2018-01-30

	* version 3.7.0

2018-01-16

	* version 3.7.0beta1

2018-01-16

	* src/about.c: updated copyright year.

2018-01-16

	* libsylph/folder.c 
	  src/gtkutils.c
	  src/import.c: fixed typos (thanks to Kentaro Hayashi) (#278).

2018-01-12

	* src/summaryview.c: summary_mark_displayed_read(): reset current
	  selection list when sorted by unread (fixes #286).

2017-12-14

	* src/exportcsv.c: exp_csv_file_move(): display error message if
	  file open failed.

2017-12-12

	* src/addressbook.c: disabled '/Tools/Export to CSV file' menu when
	  toplevel interface is selected.

2017-12-12

	* src/summaryview.c: show original From on the From column if
	  display-name contains '@' character.

2017-12-08

	* manual/ja/sylpheed.sgml: updated.

2017-11-30

	* src/exportcsv.c
	  src/importcsv.c
	  src/importldif.c: adjusted dialog layout to match other ones.

2017-11-30

	* libsylph/utils.c: strconcat_csv(): enclose fields in double quotes
	  if double quotes appear.
	* src/exportcsv.c: code cleanup. Added header line.

2017-11-29

	* libsylph/libsylph-0.def
	  libsylph/utils.[ch]: added strconcat_csv() which concaternates strings
	  and outputs as a CSV string.
	* src/Makefile.am
	  src/addressbook.c
	  src/exportcsv.[ch]: implemented CSV export feature.

2017-11-24

	* libsylph/prefs_common.[ch]
	  src/addressbook.c: added 'Nick Name' column to the address book.

2017-11-22

	* src/query_search.c: fixed folder selection dialog for copy.

2017-11-21

	* src/query_search.c: added context menu for search result.

2017-11-17

	* libsylph/procmime.c:
	  procmime_get_encoding_for_text_file()
	  procmime_get_encoding_for_str(): count 0x00 and 0x7f as
	  encode-required octet characters.

2017-11-17

	* src/compose.c: refactored UTF-16 support.
	* libsylph/codeconv.c: conv_copy_file(): supported
	  UTF-16/UTF-16BE/UTF-16LE.
	* libsylph/codeconv.c: conv_copy_file_with_gconvert(): added missing
	  GError NULL initialization.

2017-11-16

	* src/compose.c: compose_insert_file(): supported insertion of
	  UTF-16/UTF-16BE/UTF-16LE text.

2017-11-16

	* libsylph/codeconv.[ch]: conv_check_file_encoding(): added detection
	  of UTF-16/UTF-16BE/UTF-16LE.
	* src/compose.c: automatically convert attached UTF-16 text file to
	  UTF-8 on sending.

2017-11-15

	* src/printing.c: use GTK_UNIT_PIXEL instead of GTK_UNIT_POINTS
	  to avoid text corruption bug.
	  Fixed printing of empty lines.

2017-07-07

	* plugin/test/test.c: made app_exit_handler_id static to prevent conflicts
	  of symbols.

2017-06-28

	* version 3.6.0

2017-06-28

	* manual/ja/sylpheed.sgml: updated.

2017-06-12

	* version 3.6.0beta1

2017-06-12

	* src/printing.c: disable save/load of printing settings on
	  GTK+ <= 2.10.

2017-06-09

	* src/printing.c: save/load printing settings and page setup.

2017-03-22

	* src/about.c
	  src/sylpheed.rc.in: updated copyright year.

2017-02-28

	* manual/ja/sylpheed.sgml: updated.

2017-02-24

	+ libsylph/libsylph-0.def: export procmime_scan_message_stream.

2017-02-20

	* src/prefs_account_dialog.c: fixed sensitivity change of signature
	  settings.

2017-02-20

	* configure.ac: increased the version.

2017-02-17

	* manual/ja/sylpheed.sgml: added 'Other features' section.

2017-02-17

	* libsylph/imap.c: subscribe newly created folders since they are
	  not always subscribed automatically.

2017-02-17

	* src/undo.c: made debug print switchable.

2017-02-16

	* manual/ja/sylpheed.sgml: updated Japanese manual.

2017-02-16

	* src/editgroup.c: modified next selection after move.
	  Added folder icons.

2017-02-15

	* src/editgroup.c: expand the tree when moving email from group to
	  available list.

2017-02-15

	* src/editgroup.c: show available email list with folder tree.

2017-02-10

	* src/editgroup.c: fixed selection after multiple move.

2017-02-10

	* src/editgroup.c: replaced GTKCList with GtkTreeView and also
	  enabled multiple selection.

2017-02-07

	* libsylph/prefs_account.[ch]
	  src/compose.[ch]
	  src/prefs_account_dialog.c
	  src/prefs_ui.[ch]: implemented multiple signatures in one account.

2017-02-02

	* libsylph/ssl.c: supported the location of SSL certificates on
	  OpenBSD (thanks to Amit Kulkarni) (#222).

2017-02-02

	* libsylph/utils.c: execute_open_file(): unix: implemented using
	  xdg-open.
	  src/mainwindow.c: added the following menus:
	  /Tools/Open configuration folder
	  /Tools/Open attachments folder

2017-02-02

	* nsis/COPYING.ja.txt
	  nsis/COPYING.txt
	  nsis/english.nsh
	  nsis/japanese.nsh
	  nsis/spanish.nsh
	  nsis/sylpheed-defs.nsh
	  nsis/sylpheed.nsi: updated NSIS scripts:
	  - Show notice about not removing user data before uninstall
	  - Add autoenc plugin definition
	  - Update license text

2016-07-29

	* version 3.5.1

2016-07-29

	* INSTALL
	  INSTALL.ja
	  PLUGIN.txt
	  PLUGIN.ja.txt
	  README
	  README.ja: updated.

2016-07-19

	* src/compose.c
	  src/plugin.[ch]: added new plug-in signal "compose-attach-changed".

2016-07-13

	* src/compose.c: compose_get_attach_list(): return NULL if the
	  attachment list is closed.

2016-07-07

	* src/plugin.h: add two more functions.
	* src/libsylpheed-plugin-0.def: updated.

2016-06-17

	* src/main.c
	  src/plugin.[ch]
	  src/plugin-types.h: syl_plugin_get_attach_list(): added new plug-in
	  function. Extra struct types are separeted into plugin-types.h.

2016-06-17

	* src/compose.[ch]: compose_get_attach_list(): added.

2016-06-17

	* src/compose.c
	  src/mainwindow.c: emit toolbar changed signals.

2016-06-17

	* autogen.sh
	  config.rpath
	  ltmain.sh
	  missing: updated version.

2016-06-17

	* src/main.c
	  src/plugin.[ch]: added new plug-in functions and signals.

2016-06-17

	* src/compose.[ch]:
	  added new public fuctions:
	    compose_get_toolbar()
	    compose_get_misc_hbox()
	    compose_get_textview()
	    compose_attach_append()
	    compose_attach_remove_all()
	    compose_send()
	  added Compose pointer return value:
	    compose_reply()
	    compose_forward()
	    compose_redirect()
	    compose_reedit()

2016-01-19

	* version 3.5.0

2016-01-18

	* libsylph/filter.c: strmatch_regex(): removed ONIG_OPTION_EXTEND
	  option which requires spaces to be escaped.
	  This reverts the behavior of regex filtering to the original one
	  when using Oniguruma.

2015-12-28

	* version 3.5.0rc2

2015-12-21

	* libsylph/ssl.c: ssl_init(): enabled TLSv1.1 and TLSv1.2 for
	  STARTTLS when OpenSSL 1.0.1 or later was used.

2015-12-08

	* src/subscribedialog.c
	  src/prefs_actions.c
	  src/action.c: made sizes of more dialogs DPI-aware.
	* src/prefs_template.c
	  src/addressadd.c
	  src/prefs_display_items.c: update copyright year.

2015-12-07

	* src/prefs_template.c
	  src/addressadd.c
	  src/prefs_display_items.c: made sizes of more dialogs DPI-aware.

2015-12-02

	* libsylph/filter.c: strmatch_regex(): fixed regex match when using
	  Oniguruma (r3481 made it match only the head of searched string).

2015-11-27

	* version 3.5.0rc

2015-11-27

	* manual/ja/sylpheed.sgml: updated Japanese manual.

2015-11-26

	* libsylph/procmsg.c:
	  procmsg_read_cache_data_str_mem()
	  READ_CACHE_DATA_INT(): fix for sigbus on ARM caused by unaligned
	  access (#242).

2015-10-27

	* src/prefs_filter_edit.c: prefs_filter_edit_open():
	  win32: fix irresponsible text entries on the first display of the
	  dialog.

2015-08-07

	* libsylph/filter.c: strmatch_regex(): use Oniguruma native API
	  to prevent crash on Ubuntu 14.04.

2015-07-09

	* src/update_check.c: don't read() from child stdout directly
	  (fixed crash with different version of MSVCRT, thanks to
	  Gisle Vanem).

2015-06-24

	* version 3.5.0beta3

2015-06-24

	* src/about.c
	  src/sylpheed.rc.in: updated copyright year.

2015-06-22

	* src/addressbook.c: disabled auto expand of columns because it
	  conflicts with column sizes settings.

2015-02-06

	* libsylph/utils.c: _s_tempnam(): memory allocated by _wtempnam()
	  must be freed by MSVCRT, not by GLib (thanks to Gisle Vanem).

2015-01-16

	* src/gtkutils.c: gtkut_text_buffer_insert_with_tag_by_name():
	  guard against the case of len == 0 (#215).

2015-01-16

	* src/mainwindow.c: main_window_window_state_cb():
	  win32: fixed a bug that maximized state was unset on minimize.

2014-12-12

	* libsylph/procmime.[ch]
	  libsylph/libsylph-0.def
	  src/mimeview.c: made file names generated on opening attachments
	  more user-friendly.

2014-12-12

	* src/mainwindow.c: main_window_window_state_cb(): added more debug
	  print.

2014-12-09

	* src/prefs_filter.c: fixed a bug that reorder by DnD was not saved.

2014-11-20

	* version 3.5.0beta2

2014-11-20

	* libsylph/recv.c
	  src/quick_search.[ch]
	  src/logwindow.c
	  src/foldersel.c
	  src/message_search.[ch]
	  src/main.c
	  src/alertpanel.c
	  src/inputdialog.c
	  src/export.c
	  src/filesel.c
	  src/account_dialog.c
	  src/import.c
	  src/mainwindow.c
	  src/prefs_filter_edit.c
	  src/prefs_filter.c: updated copyright year.

2014-11-20

	* po/he.po: added Hebrew translation.

2014-11-14

	* nsis/sylpheed-defs.nsh
	  nsis/sylpheed.nsi: updated NSIS scripts.

2014-11-13

	* src/quick_search.c
	  src/message_search.c
	  src/account_dialog.c: made widget sizes dpi-aware.

2014-11-13

	* src/gtkutils.c
	  src/alertpanel.c
	  src/inputdialog.c: made widget spacings dpi-aware.

2014-11-13

	* src/gtkutils.[ch]
	  src/main.c: added command line option '--dpi dpinum'
	  (mainly for debugging).

2014-11-13

	* src/inputdialog.c
	  src/export.c
	  src/import.c: made more dialogs size DPI-aware.

2014-11-12

	* src/sylpheed.rc.in
	  src/Makefile.am
	  src/sylpheed.exe.manifest: win32: added manifest to make
	  sylpheed.exe dpi-aware.

2014-11-11

	* src/logwindow.c
	  src/account_dialog.c
	  src/setup.c
	  src/foldersel.c
	  src/query_search.c
	  src/prefs_filter_edit.c
	  src/prefs_filter.c: made more dialogs size DPI-aware.

2014-11-11

	* src/filesel.c: always set current folder of GtkFileChooser
	  (fixes previous folder not remembered with GTK+ 2.24.23).

2014-11-07

	* src/rpop3.c
	  src/compose.c
	  src/addressbook.c
	  src/about.c: made some dialogs size DPI-aware.

2014-11-07

	* src/notificationwindow.c: adjusted window size.

2014-11-06

	* src/gtkutils.[ch]: added gtkut_get_dpi_multiplier() which returns
	  optimal multiplier for current system DPI.
	* src/progressdialog.c
	  src/notificationwindow.c: made their window sizes DPI-aware.

2014-11-06

	* src/trayicon.c: win32: made 'Toggle window on trayicon click' option
	  work on Windows 7.

2014-11-05

	* libsylph/prefs_common.[ch]
	  src/prefs_common_dialog.c
	  src/mainwindow.c: added an option to specify startup online mode.

2014-11-05

	* src/mainwindow.c: only apply r3427 to win32 because it breaks
	  the function on some window managers.

2014-10-30

	* src/mainwindow.c
	  src/gtkutils.c: win32: fixed 'Minimize to tray icon' option not
	  working on Windows.

2014-10-30

	* src/gtkutils.[ch]
	  src/main.c: added gtkut_get_dpi().

2014-09-22

	* libsylph/recv.c: recv_bytes_write(): fixed a bug that wrote the
	  first part of data if it didn't end with CR+LF (thanks to Yohei Endo
	  and scardig for pointing it out). This bug affected IMAP4 (Bug #84).

2014-06-13

	* version 3.5.0beta1

2014-06-11

	* libsylph/socket.c: sock_info_connect_by_getaddrinfo():
	  win32: fixed crash on network failure.

2014-06-10

	* libsylph/mbox.c
	  src/inc.c
	  configure.ac: made mbox locking NFS-safe (#202).

2014-06-05

	* libsylph/filter.c: filter_match_cond(): fixed crash on 32-bit OS
	  with 64-bit time_t.

2014-04-25

	* makewin32.sh: added -static-libgcc option to prevent the dependency
	  to libgcc_s_dw2-1.dll.

2014-04-25

	* src/notificationwindow.c: set opacity on mouse over.

2014-04-24

	* sylpheed.desktop: applied Debian patch: 09_desktop_file_fixes.diff
	  (#194).

2014-04-24

	* src/notificationwindow.c: added fade effect (requires GTK+ >= 2.12).

2014-04-23

	* src/main.c: fix_font_setting(): modified OS X font name.

2014-04-23

	* src/rpop3.c: additional fix for Bug #193.

2014-04-22

	* src/main.c: fix_font_setting(): improved font name fixing.

2014-04-22

	* makewin32.sh: save build log.

2014-04-21

	* configure.ac: renamed from configure.in.

2014-04-21

	* src/passphrase.c
	  configure.in: gpgme: use gpgme_io_writen() if available
	  (fixes freeze when entering passphrase on Windows).

2014-04-18

	* libsylph/utils.c
	  libsylph/procheader.c
	  libsylph/pop.c
	  libsylph/mbox.c
	  libsylph/imap.c
	  plugin/attachment_tool/attachment_tool.c: workaround for 64-bit
	  time_t on win32.

2014-04-18

	* makewin32.sh: added -mthreads gcc option.

2014-04-18

	* libsylph/utils.[ch]
	  libsylph/mh.c
	  libsylph/procheader.c
	  libsylph/socket.c
	  src/addrcache.c
	  src/compose.c
	  src/template.c
	  src/addrbook.c
	  src/jpilot.c: replaced 'struct stat' passed to g_*stat() with
	  GStatBuf, which will be defined as struct _stat32 (win32) or
	  struct stat.

2014-04-18

	* configure.in: added -lgtkmacintegration check.
	* src/compose.c
	  src/addressbook.c
	  src/gtkutils.c
	  src/addr_compl.c: applied OS X fixes.

2014-04-18

	* libsylph/utils.[ch]
	  libsylph/procheader.c
	  libsylph/procmsg.h
	  libsylph/procheader.h
	  libsylph/folder.[ch]
	  libsylph/pop.h
	  libsylph/session.h
	  src/addrcache.h
	  src/jpilot.h
	  configure.in: wrapped time_t as stime_t. stime_t will be 32-bit
	  on win32 for backward compatibility.
	* configure.in: enable silent rules by default.
	* autogen.sh: use newer aclocal and automake.

2014-04-11

	* libsylph/folder.c:
	  folder_build_tree()
	  folder_write_list_recursive(): fixed a bug that new/unread/total
	  numbers in folderlist.xml was corrupted if sizeof(time_t) is 8 on
	  32-bit (such as recent version of mingw32).

2014-04-10

	* libsylph/libsylph-0.def
	  libsylph/Makefile.am
	  src/Makefile.am
	  src/libsylpheed-plugin-0.def
	  configure.in
	  makewin32.sh: modified for newer MinGW environment. Fixed linking.

2014-04-09

	* macosx/bundle/launcher.sh
	  macosx/bundle/sylpheed.bundle: include pango library.
	  Fixed launcher.sh bug which creates an empty (langname) file.
	* macosx/bundle/Info-sylpheed.plist: updated version.

2014-04-04

	* version 3.4.1

2014-04-04

	* libsylph/pop.c: fixed return value check of pop3_retr_recv(),
	  pop3_getrange_stat_recv() and pop3_getrange_last_recv().
	  This fixes Bug #193: Lose mails when mailbox is inaccessible.

2014-03-26

	* version 3.4.0

2014-03-26

	* updated copyright year.
	* configure.in: increased library version.

2014-03-24

	* libsylph/ssl_hostname_validation.h: added include guard.
	  Added debug print.

2014-03-20

	* src/icons/html.png: modified the size of HTML icon.

2014-03-20

	* libsylph/ssl.c
	  libsylph/ssl_hostname_validation.c: implemented wildcard certificate
	  validation (based on libcurl). Treat hostname validation failure
	  like other errors. Fixed compile error on --disable-ssl.

2014-03-19

	* version 3.4.0beta8

2014-03-19

	* libsylph/prefs_common.[ch]
	  src/inc.c
	  src/notificationwindow.c
	  src/prefs_common_dialog.c: made the display period of notification
	  window configurable.

2014-03-19

	* manual/ja/sylpheed.sgml: updated Japanese manual.

2014-03-18

	* libsylph/prefs_account.[ch]
	  src/compose.c
	  src/select-keys.c
	  src/prefs_account_dialog.c: added PGP encrypt-to-self feature.

2014-03-17

	* src/setup.c: allow resize of setup dialog (workaround for #166).

2014-03-17

	* src/addressbook.c: auto-expand columns with GTK+ >= 2.14.0.

2014-03-17

	* src/rpop3.c
	  src/query_search.c
	  src/summaryview.c
	  src/folderview.c: disabled auto-expand for GTK+ < 2.14.0 because
	  of GTK+ Bug #316087 (Resizing columns is chaotic).

2014-03-17

	* src/rpop3.c
	  src/query_search.c
	  src/summaryview.c
	  src/folderview.c: auto-expand Subject / Folder name column on
	  resize of the tree view.

2014-03-13

	* src/summaryview.c
	  src/folderview.c: added an empty column to the right-end of the
	  folder view, and modified the width of empty column to be zero-width.

2014-03-10

	* src/summaryview.c: added an empty column to the right-end of the
	  summary view (fixes rightmost column cannot be resized).

2014-03-07

	* manual/ja/Makefile.am
	  manual/ja/header.txt: added meta tag to prevent encoding
	  auto-detection failure with IE.

2014-03-07

	* src/about.c: updated copyright year.
	* src/sylpheed.rc.in: updated copyright year.

2014-03-07

	* INSTALL
	  INSTALL.ja
	  README
	  README.ja
	  LICENSE: updated.

2014-02-28

	* libsylph/ssl.c
	  src/sslmanager.c
	  libsylph/ssl_hostname_validation.[ch]: validate SSL certificate
	  hostname (#167).
	* libsylph/socks.c: replace sock->hostname with endpoint for hostname
	  check.

2013-12-20

	* src/addr_compl.c: address_completion_create_completion_window():
	  use gdk_window_get_origin() instead of deprecated
	  gdk_window_get_deskrelative_origin() (fixes wrong completion list
	  on OS X).

2013-12-19

	* src/main.c
	  src/manual.c: OS X: modified for bundle folder structure.
	* makeosx.sh: OS X: added build script for OS X.
	* macosx/bundle: OS X: added files for gtk-mac-bundler.

2013-12-13

	* libsylph/utils.c: set_startup_dir(): OS X: set application bundle
	  directory rather than /.
	* configure.in
	  libsylph/Makefile.am: OS X: added -xobjective-c option.

2013-11-29

	* version 3.4.0beta7

2013-11-28

	* libsylph/md5.c: MD5Final(): zero-clear the whole MD5Context struct
	  as intended.

2013-11-28

	* src/syldap.c:
	  syldap_test_connect():
	  syldap_read_basedn():
	  NULL check argument first.
	* src/vcard.c: vcard_build_items(): dereference nodeRemarks only if
	  it's non-null.

2013-11-28

	* src/rpop3.c: rpop3_retr_recv(): check error of
	  procheader_parse_file().

2013-11-28

	* libsylph/procmime.c: procmime_scan_multipart_message(): fixed MIME
	  nest level restriction not working.

2013-11-28

	* libsylph/ssl.c: ssl_done(): check if fp != NULL.
	* src/textview.c:
	  textview_popup_menu_activate_open_uri_cb():
	  textview_event_after():
	  prevent null dereference of msginfo.
	* src/summaryview.c: summary_unthread(): first check if
	  summaryview->folder_item is non-null.

2013-11-28

	* src/colorlabel.c: colorlabel_recreate_label(): added missing
	  parentheses.

2013-11-27

	* src/main.c: check the return value of fd_gets().

2013-11-27

	* libsylph/html.c: html_unescape_str(): strictly check for utf8 length.

2013-11-27

	* src/jpilot.c: jpilot_read_db_files(): fixed uninitialized variable
	  "attrib", "unique_id" and "next_offset".

2013-11-27

	* src/template.c: template_load(): fixed fp leak on error.
	* plugin/attachment_tool/attachment_tool.c: remove_attachment():
	  fixed fp leak on error.
	* libsylph/procmsg.c: procmsg_concat_partial_messages(): fixed fp
	  leaks on error.
	* libsylph/procmime.c: procmime_parse_mailcap(): fixed fp leak.
	* src/jpilot.c: jpilot_read_db_files(): fixed fp leak and memory leaks.

2013-11-26

	* src/headerview.c: headerview_show_xface(): make sure xface is nul
	  terminated.
	* src/rfc2015.c: rfc2015_msg_is_encrypted(): fixed fp resource leak.
	  (unused function)
	* src/jpilot.c: jpilot_read_db_files(): fixed memory leaks.

2013-11-25

	* src/main.c: win32: check for the TaskbarCreated message and reshow
	  icon when explorer.exe crashes.

2013-10-30

	* src/vcard.c
	  src/rpop3.c
	  src/folderview.c: fixed logical bugs (#134).
	  This fixes a bug that 'File - Folder - Move folder...' menu didn't
	  work.

2013-10-29

	* version 3.4.0beta6

2013-10-29

	* config.guess: updated to 2013-06-10 version (#117).
	* config.sub: updated to 2013-10-01 version (#117).

2013-10-23

	* src/stock_pixmap.c: stock_pixbuf_widget_for_toolbar():
	  check if icon for stock id exist (fixes empty toolbar icons).

2013-10-04

	* src/compose.c
	  src/prefs_toolbar.c
	  src/stock_pixmap.[ch]
	  src/mainwindow.c: made the rest of toolbar icons themeable.

2013-09-20

	* makewin32.sh: added --with-themedir configure option.

2013-09-17

	* src/stock_pixmap.c: fixed filename (book.png -> stock_book.png).

2013-09-17

	* src/main.c
	  src/Makefile.am
	  src/stock_pixmap.[ch]
	  configure.in: implemented icon theme feature (some icons on toolbars
	  are not themed yet).

2013-09-17

	* src/textview.c: modified debug output.

2013-09-13

	* libsylph/procheader.c
	  libsylph/procmsg.h
	  libsylph/procmime.[ch]
	  src/icons/html.png
	  src/icons/Makefile.am
	  src/stock_pixmap.[ch]
	  src/summaryview.c: distinguish icon for HTML mail and other mail
	  with attachments on summaryview (#84) (Thanks to Hayashi).

2013-09-11

	* src/quick_search.[ch]
	  libsylph/folder.c: added 'Last 30 days' to the quick search menu.

2013-09-10

	* src/imageview.[ch]
	  src/textview.c: rotate attached images based on Exif orientation tag.

2013-08-28

	* version 3.4.0beta5

2013-08-28

	* configure.in
	  po/eu.po: added Basque translation.

2013-08-26

	* libsylph/html.c: properly unescape special characters in links
	  (#120).

2013-08-16

	* libsylph/imap.c: imap_status(): fixed the parse failure of STATUS
	  response if a folder name contains brackets (sylpheed:35704).

2013-06-07

	* config.guess
	  config.sub: updated to 2009-06-11 version.

2013-06-07

	* src/template.c: template_compare_id(): fixed constness.

2013-06-03

	* src/prefs_template.c
	  src/template.[ch]: stabilize the order of templates.

2013-05-24

	* version 3.4.0beta4

2013-05-24

	* src/compose.c: compose_ext_editor_child_exit(): raise compose
	  window when the external editor exits (thanks to Steve Kirkendall).

2013-05-24

	* manual/ja/sylpheed.sgml: updated Japanese manual.

2013-05-23

	* libsylph/prefs_common.[ch]
	  src/messageview.c
	  src/filesel.c
	  src/summaryview.c: save selected file type.


2013-05-21

	* src/filesel.[ch]
	  src/messageview.c
	  src/summaryview.c: automatically modify file extension when
	  file type is changed.

2013-05-20

	* src/textview.c: textview_write_link(): insert space between
	  continuous links to avoid non-responsive links.

2013-05-15

	* src/printing.c: modified debug output.

2013-05-14

	* src/messageview.[ch]
	  src/mimeview.[ch]: refactored: moved MimeInfo and file path member
	  from MimeInfo to MessageView so that it can be used from TextView.

2013-05-14

	* libsylph/prefs_common.[ch]
	  src/prefs_common_dialog.c
	  src/textview.c: added an option to prefer HTML part in
	  multipart/alternative.

2013-05-14

	* libsylph/html.[ch]: supported <blockquote> tag.

2013-04-05

	* libsylph/procmsg.c: procmsg_print_message(): print all texts in
	  messages, not only the first one.

2013-04-05

	* src/printing.c: print all texts in messages, not only the first one.

2013-04-04

	* libsylph/procmsg.c:
	  procmsg_print_message()
	  procmsg_print_message_part()
	  procmsg_save_message_as_text(): win32: open output file as text mode.
	  convert MIME part strings to locale encoding if specified.

2013-04-04

	* src/messageview.c: messageview_save_as(): added the feature to save
	  message as plain text.

2013-04-03

	* libsylph/utils.[ch]
	  libsylph/procmsg.[ch]
	  src/filesel.[ch]
	  src/summaryview.c: added the feature to save message as plain text
	  (locale or UTF-8 encoding).

2013-03-29

	* version 3.4.0beta3

2013-03-29

	* src/quote_fmt_parse.y: insert current date with %d for a new message.

2013-03-29

	* src/summaryview.c: summary_junk(): select proper junk folder instead
	  of default one.

2013-03-28

	* src/quote_fmt_parse.y: prohibit warnings when target message does
	  not exist.

2013-03-28

	* src/compose.c: compose_template_apply(): enabled quotation of
	  messages on forwarding.

2013-03-28

	* src/compose.c: refactored compose_quote_fmt().

2013-03-26

	* libsylph/imap.c: properly escape folder/username/password which
	  include double-quote or backslash.

2013-03-13

	* libsylph/mh.c: mh_scan_tree_recursive(): fixed rebuilding of folder
	  tree which had been broken at 3.4.0beta1 (#103).

2013-02-15

	* procheader_scan_date_string(): optimized.

2013-02-15

	* libsylph/procheader.cprocheader_date_parse(): support ISO-type date
	  (YYYY-MM-DD HH:MM:SS).
	  Added workaround for time_t limit.
	  Supported more non-standard date.

2013-02-15

	* src/notificationwindow.c: notification_window_set_message():
	  check if the window exists.

2013-02-14

	* manual/ja/sylpheed.sgml: updated Japanese manual.

2013-02-14

	* libsylph/filter.c
	  libsylph/prefs_common.[ch]
	  src/prefs_common_dialog.c: added an option: "Do not classify message
	  as junk if sender is in the address book" (#77).

2013-02-14

	* src/notificationwindow.c: adjusted paddings again.
	  plugin/test/test.c: modified notification test.

2013-02-13

	* src/notificationwindow.c: adjusted paddings.

2013-02-13

	* src/plugin.[ch]
	  src/notificationwindow.[ch]
	  src/main.c
	  plugin/test/test.c: added plug-in API for notification window.

2013-02-13

	* src/inc.c
	  src/notificationwindow.[ch]: notification_window_open():
	  changed from notification_window_create().
	  Ignore first notify event when fading start.

2013-02-08

	* libsylph/prefs_common.[ch]
	  src/prefs_common_dialog.c
	  src/inc.c: added option: 'Show notification window when new messages
	  arrive'

2013-02-08

	* src/inc.[ch]
	  src/notificationwindow.[ch]: implemented new message notification
	  popup window.

2013-02-01

	* nsis/*.{nsh,nsi}: translate Start Menu shortcuts.

2013-01-31

	* version 3.4.0beta1

2013-01-31

	* src/mainwindow.c: help_command_line_show(): updated command line
	  help.

2013-01-31

	* src/rpop3.c: do not disconnect immediately but send QUIT on normal
	  POP3 errors.
	  Changed 'Refresh' button/menu to 'Resume'.

2013-01-31

	* src/main.c: changed safe mode option to "--safe-mode".

2013-01-30

	* src/rpop3.c: made button sensitivity and Stop/Refresh label
	  consistent.

2013-01-25

	* libsylph/mh.c: mh_scan_tree_recursive(): limit the recursion level
	  to 64.

2013-01-25

	* src/prefs_filter_edit.c: prefs_filter_edit_action_hbox_to_action():
	  check the existence of destination folder.

2013-01-24

	* libsylph/pop.c
	  src/inc.c: do not disconnect immediately but send QUIT on normal
	  POP3 errors.
	* libsylph/pop.c: set Pop3Session::state to POP3_ERROR if QUIT
	  fail.

2013-01-22

	* src/main.c
	  src/plugin.c: added safe mode (don't load plug-ins).

2013-01-22

	* libsylph/folder.c
	  libsylph/news.c
	  libsylph/imap.c: escape server name when creating cache directory
	  path (fixes IPv6 address on Windows).

2013-01-22

	* libsylph/imap.c: made "INBOX" case insensitive (follow RFC 3501).

2012-11-20

	* libsylph/socket.c: sock_connect_with_timeout(): enabled timeout
	  setting on Windows.

2012-10-30

	* version 3.3.0

2012-10-30

	* manual/ja/sylpheed.sgml: updated Japanese manual.

2012-10-29

	* src/textview.c: fixed hyperlink when 'Show attached files first on
	  message view' option was set ([sylpheed:35477]).

2012-10-12

	* libsylph/imap.c: fixed MSVC compilation (thanks to Gisle Vanem).

2012-10-10

	* nsis/sylpheed.nsi
	  Makefile.am
	  sylpheed-mailto-protocol_admin.reg
	  sylpheed-mailto-protocol.reg: updated Windows registry entry file.

2012-10-10

	* nsis/sylpheed.nsi: fixed a typo in writing registry.

2012-10-10

	* libsylph/Makefile.am
	  src/Makefile.am
	  plugin/test/Makefile.am
	  plugin/attachment_tool/Makefile.am: removed includedir from include
	  path in Makefiles (thanks to Valentine Barshak).

2012-10-05

	* configure.in: raised the required GTK+ version to 2.8.0.

2012-10-05

	* nsis/english.nsh
	  nsis/japanese.nsh
	  nsis/sylpheed-defs.nsh
	  nsis/sylpheed.nsi: .eml file association was added.
	  Automatically set the default mailto and .eml handler on Windows 7.

2012-09-28

	* version 3.3.0beta2

2012-09-27

	* sylpheed.desktop: added the following line (#83):
	  MimeType=message/rfc822;x-scheme-handler/mailto;

2012-09-26

	* sylpheed.spec.in: added sylpheed-plugins package, and fixed
	  plugindir.

2012-09-25

	* src/summaryview.c: summary_button_pressed(): fixed long-standing
	  drag begin bug on IMAP folders (#93).

2012-09-13

	* sylpheed.spec.in: fixed build on x86_64 platform.

2012-08-16

	* src/headerview.c: minor optimization for tooltips.

2012-08-16

	* src/headerview.c: fixed tooltips on windows.
	  Don't show previous tooltips when cleared.

2012-08-16

	* src/compose.c
	  src/mainwindow.c: removed redundant gtk_tooltips_new() and destroy
	  GtkTooltips object on close.

2012-08-16

	* src/headerview.[ch]: added tooltips of header labels.

2012-08-15

	* libsylph/prefs_common.[ch]
	  src/messageview.c
	  src/prefs_common_dialog.c: added an option to specify the position
	  of attach tool button.

2012-08-08

	* src/main.c: enabled viewing of external rfc822 message files.
	  Recognize mailto: or file: URL argument without command-line option.

2012-07-27

	* version 3.3.0beta1

2012-07-27

	* src/export.c: pass the opened FolderItem when 'Export only selected
	  messages' is enabled.

2012-07-27

	* libsylph/folder.[ch]
	  libsylph/mbox.c: added interface to cancel mbox import/export.
	* src/export.c
	  src/import.c: made export/import progress dialog cancellable.

2012-07-27

	* libsylph/mbox.[ch]
	  src/export.c: added 'Export only selected messages' option to
	  the export dialog.

2012-07-26

	* src/messageview.c: enable quick launch from the attach tool menu.

2012-07-26

	* src/prefs_common_dialog.c: moved Images option in Display - Attach
	  tab.

2012-07-25

	* libsylph/prefs_common.[ch]
	  src/messageview.[ch]
	  src/textview.c
	  src/prefs_common_dialog.c
	  src/mainwindow.c: added "show_attached_files_first" global option,
	  which shows attached files first on message view.
	  The UI for "show_attach_tab" option was also added.
	  The attachment toggle button was moved to the left.
	  messageview_reflect_prefs(): added.

2012-07-04

	* config.rpath
	  install-sh
	  ABOUT-NLS: updated.

2012-07-03

	* libsylph/imap.c: imap_cmd_fetch_func(): made response parser more
	  robust (fixes [sylpheed:35306] can't fetch message error).

2012-06-25

	* version 3.2.0

2012-06-25

	* src/Makefile.am: possible fix for gmodule link error on some
	  environments (#74).
	* libsylph/*.[ch]
	  src/*.[ch]
	  src/version.h.in: updated copyright year.

2012-06-20

	* src/icons/clip.xpm: replaced the clip icon with more visible one
	  on selected row.
	* src/summaryview.c: adjusted the width of the attach column.

2012-06-20

	* README
	  README.ja
	  INSTALL
	  INSTALL.ja: updated.

2012-06-20

	* libsylph/prefs_common.[ch]
	  src/messageview.c: added "show_attach_tab" option (no UI) which
	  toggles the Attachment tab and toggle button.

2012-06-19

	* src/inc.c: fixed 'Stop' button didn't become inactive after POP3
	  session finished.

2012-06-19

	* libsylph/prefs_common.c: win32: changed the default of junk
	  commands with sylfilter.

2012-06-19

	* manual/ja/sylpheed.sgml: updated Japanese manual.

2012-06-19

	* src/plugin.c: removed "dereferencing type-punned pointer will break
	  strict-aliasing rules" warnings.

2012-06-19

	* src/filesel.c: removed label warning on non-win32.

2012-06-19

	* libsylph/socket.c: sock_info_connect_by_hostname(): fixed
	  compilation error with --disable-ipv6 (thanks to Jerry Heyman).

2012-06-18

	* version 3.2.0beta9

2012-06-18

	* src/messageview.c: modified the width of tool menu arrow button.

2012-06-18

	* src/summaryview.c: added tooltip for message view toggle arrow.

2012-06-18

	* nsis/update-manager.nsi: prevent 'Sylpheed is running.' message
	  on update.

2012-06-18

	* src/mimeview.c: mimeview_destroy(): fixed a memory leak of a
	  GtkItemFactory.

2012-06-18

	* src/mimeview.[ch]: disabled 'Save all...' menu if attached files
	  with file name do not exist.

2012-06-18

	* src/messageview.c: added attached filenames to the tool menu.

2012-06-15

	* src/messageview.[ch]: changed the Text/Attachments tab to a toggle
	  button, and moved it to the right edge of the header pane.
	  Added tool menu arrow button and 'Save all' menu.

2012-06-13

	* src/compose.c: compose_attach_property(): force focus for compose
	  window (will fix #70).

2012-06-13

	* src/inc.c: included server name in the error dialog.
	* src/progressdialog.c: adjusted the column width.

2012-06-12

	* src/filesel.c: win32: handle multiple file selection with shortcuts.
	  Follow folder link on save mode.

2012-06-11

	* src/filesel.c: win32: follow Windows shortcut (.lnk).

2012-06-06

	* version 3.2.0beta8

2012-06-06

	* src/inc.c: properly detect DNS lookup error when
	  session_connect_full() failed immediately.

2012-05-31

	* libsylph/session.[ch]
	  libsylph/socket.[ch]
	  src/inc.[ch]
	  src/send_message.c: differentiate DNS lookup error from connection
	  errors.
	* libsylph/imap.c
	  libsylph/nntp.c: fixed resource leak on SOCKS connection failure.

2012-05-30

	* nsis/sylpheed.nsi: reserve nsProcess.dll file to speed up the launch
	  of installer.

2012-05-30

	* src/compose.c: compose_send(): fixed a bug that messages could not
	  be sent with POP before SMTP enabled ([sylpheed-jp:11173]).

2012-05-30

	* manual/ja/*.html
	  manual/ja/Makefile.am: convert the encoding of HTML files to UTF-8
	  (prevents garbled character with IE).

2012-05-28

	* src/textview.c
	  src/compose.c: properly set line-space for auto-wrapped lines
	  (fixes Bug #64).

2012-05-18

	* src/main.c: open compose window before receiving on startup
	  (fixes Bug #61).

2012-05-02

	* src/compose.c: compose_attach_append(): fixed Bug #54: Focus problem
	  when reediting/forwarding emails after attachment deleted

2012-05-02

	* src/compose.c: when queueing messages or saving to draft folder,
	  disable them while mail checking only if queue or draft folder is
	  on IMAP server.
	* src/mainwindow.c: disabled Send button while mail check is running.

2012-05-02

	* src/inc.c: use a flag to distinguish the state of activity.

2012-04-27

	* src/compose.c: cancel sending if new mail check is running.

2012-04-24

	* src/about.c: updated copyright year.

2012-04-23

	* libsylph/utils.[ch]
	  libsylph/libsylph-0.def: added play_sound() function (works only on
	  Windows).
	* libsylph/prefs_common.[ch]
	  src/prefs_common_dialog.c
	  src/inc.c: win32: added an option to play sound when new messages
	  arrive.

2012-04-20

	* libsylph/imap.c: imap_remove_msgs_by_seq_set(): workaround for
	  a broken IMAP server (Yahoo! Mail) which cannot fetch messages
	  right after EXPUNGE.

2012-04-18

	* src/update_check.c: removed compiler warnings caused by usage of
	  gboolean as gpointer (thanks to Ricard Mones).

2012-04-18

	* addr_compl.c: fixed Bug #52: Address autocomplete: Not possible to
	  select drop-down list element with arrow keys (Linux)
	  Possibly occured with GTK+ >= 2.24.

2012-04-18

	* src/addressbook.c: addressbook_list_button_pressed():
	  fixed Bug #47: Address book: Cancel editing contact results in
	  click-and-drag behaviour

2012-04-13

	* version 3.2.0beta7

2012-04-13

	* src/mimeview.c: mimeview_save_part_as(): fixed a bug that a MIME
	  part that didn't have a name could not be saved.

2012-04-13

	* libsylph/prefs_common.[ch]
	  src/filesel.[ch]: preserve the last selected folders between
	  sessions.

2012-04-12

	* src/inc.c: show the detail of new messages on the trayicon tooltip.

2012-04-12

	* src/addressbook.[ch]
	  src/addr_compl.c: also use first and last name for completion.

2012-04-11

	* src/addr_compl.c: also match to the subsequent part of the name of
	  contacts (Bug #51).

2012-04-11

	* nsis/sylpheed-defs.nsh
	  nsis/sylpheed.nsi
	  nsis/english.nsh
	  nsis/japanese.nsh: abort installation if auto-uninstall was
	  cancelled or failed.
	  Added SylFilter in the installer.

2012-03-27

	* src/textview.c: don't open in-page link of HTML mail.

2012-03-26

	* libsylph/news.c: news_fetch_msg()
	  libsylph/imap.c: imap_fetch_msg(): refetch message when cache
	  file size is 0 (Bug #50).

2012-03-26

	* libsylph/defs.h: removed direct inclusion of <glibconfig.h> and
	  <glib/gwin32.h> (fixes Bug #53).

2012-03-26

	* src/menu.c: menu_button_position(): adjusted the menu position.

2012-03-26

	* src/folderview.c
	  src/summaryview.c: also support Shift+F10 for menu popup.

2012-03-26

	* src/summaryview.c: enabled menu popup with Menu key.

2012-03-26

	* src/menu.[ch]
	  src/folderview.c: enabled menu popup with Menu key.

2012-03-02

	* libsylph/imap.c: relaxed the response check of AUTHENTICATE and
	  APPEND (don't check space after '+').

2012-02-29

	* version 3.2.0beta6

2012-02-21

	* libsylph/Makefile.am
	  src/Makefile.am
	  plugin/test/Makefile.am
	  plugin/attachment_tool/Makefile.am
	  configure.in: fixed compilation error with Fink + OS X (Bug #42).
	  (moved -I$(top_srcdir)/* to the beginning of INCLUDES)

2012-02-21

	* src/prefs_filter.c: fixed a bug that filter settings are removed
	  if Escape key is pressed quickly on auto filter rule creation.
	  Also made it update filter.xml file only when the list is modified.

2012-01-20

	* libsylph/imap.c: emit "add-msg", "remove-msg", "remove-all-msg",
	  "move-folder" and "remove-folder" signals.

2012-01-20

	* libsylph/news.c
	  libsylph/nntp.[ch]: supported SOCKS proxy.

2012-01-19

	* src/prefs_filter_edit.[ch]: made 'is shorter than' default for 'Age'
	  condition.

2012-01-18

	* src/plugin.[ch]
	  src/plugin-marshal.list
	  src/prefs_template.c
	  src/prefs_common_dialog.c
	  src/prefs_filter_edit.c
	  src/prefs_account_dialog.c
	  src/prefs_filter.c
	  src/plugin_manager.c: added new plug-in signals for preferences
	  dialogs (#30).

2012-01-11

	* src/messageview.c: add .eml extension like summary_save_as().
	* src/summaryview.c: summary_set_row(): show as '(No Subject)'
	  when subject is empty string.

2012-01-06

	* src/inc.c
	  src/plugin.[ch]
	  src/plugin-marshal.list
	  plugin/test/test.c: added new plug-in signals (#10):
	  "inc-mail-start": notify start of receiving
	  "inc-mail-finished": notify end of receiving and number of new
	  messages

2012-01-06

	* src/trayicon.c: extended the blinking period of tray icon to 10
	  seconds.

2012-01-06

	* manual/ja/sylpheed.sgml: updated Japanese manual.

2012-01-05

	* src/prefs_common_dialog.c: fixed a typo.

2011-12-27

	* version 3.2.0beta5

2011-12-26

	* src/rpop3.c: added refresh (reload) menu.

2011-12-22

	* src/rpop3.c: implemented reloading after the loading stopped.

2011-12-21

	* src/rpop3.c: supported SOCKS proxy.
	  Receive message headers from the latest one.

2011-12-21

	* libsylph/imap.c:
	  imap_session_get()
	  imap_cmd_noop(): check the activity of session, and return NULL
	  if busy. This fixes crashes when message fetch and new message
	  checking happen at the same time.

2011-12-16

	* src/mainwindow.c: main_window_create(): force visibility of the
	  message view on startup only if the layout type is vertical mode.

2011-11-29

	* version 3.2.0beta4

2011-11-29

	* src/prefs_common_dialog.c: sylfilter command was added as a preset
	  of junk filter program.

2011-11-17

	* src/mainwindow.c: main_window_create(): force visibility of the
	  message view on startup (fixes wrong view size on vertical-view
	  mode).
	  main_window_get_size(): don't update summaryview_vwidth if
	  message view is not visible.

2011-10-14

	* src/summaryview.c: show both filtered and original numbers of
	  messages on the status label.
	  Show the numbers of moved/copied/deleted marks on filtered mode.

2011-10-04

	* src/quick_search.c: implemented multiple keywords search of the
	  quick search entry.

2011-09-16

	* src/summaryview.c: summary_select_row(): don't always move focus
	  when refreshing (mainly for quick search).

2011-09-15

	* libsylph/procmime.c: made MIME debug print optional and disabled by
	  default.
	* src/summaryview.c
	  src/folderview.c
	  src/mainwindow.c: prevent "imap_cmd_gen_send: cannot send command
	  because another command is already running." error by locking the
	  UI on command execution.

2011-09-08

	* version 3.2.0beta3

2011-09-08

	* manual/ja/sylpheed.sgml: updated Japanese manual.

2011-08-11

	* version 3.2.0beta2

2011-08-11

	* libsylph/procmsg.c: procmsg_open_cache_file_mmap(): removed
	  warnings when cache files were not found.

2011-08-11

	* libsylph/html.c: minor code cleanup.

2011-08-10

	* libsylph/html.c: html_get_parenthesis(): fixed a bug that </style>
	  end tags were not properly searched if whitespace was inserted in it
	  (ex. </style > </style[\n]>).

2011-08-10

	* libsylph/procmime.c: removed alloca() calls.

2011-08-03

	* src/quick_search.c: applied a patch to fix quick search text color
	  on dark themes (thanks to speps).

2011-08-03

	* libsylph/folder.[ch]
	  src/summaryview.[ch]: reflect account preference for trash folder.
	  summary_colorlabel_menu_item_activate_item_cb(): removed a warning.

2011-07-21

	* src/textview.c: use style colors for part widgets.

2011-07-20

	* libsylph/html.c: html_get_tag(): support tags such as <br/> and
	  <name value="foo" />.

2011-07-05

	* libsylph/procmsg.c: use memory mapped file to read cache files.
	  This improves the speed of cache reading.
	  (requires GTK+ >= 2.8)

2011-06-30

	* version 3.2.0beta1

2011-06-30

	* libsylph/socket.c: my_getaddrinfo(): removed redundant zero clear.

2011-06-30

	* src/textview.c
	  src/mimeview.[ch]: added 'Print' menu in mime part menu.
	  Added part widget to message/rfc822 part.

2011-06-29

	* libsylph/socket.c: win32: supported IPv6 with fallback implementation
	  for Windows 2000.
	* makewin32.sh: enabled IPv6.

2011-06-28

	* src/foldersel.c: removed alloca() calls.
	* src/account_dialog.c: account_open(): removed alloca() call.
	* src/folderview.c: removed alloca() calls.
	* src/undo.c: undo_insert_text_cb(): removed alloca() call.
	* libsylph/xml.c: xml_unescape_str(): removed alloca() call.

2011-06-24

	* src/update_check.c: win32: also check the file size of updater exe.

2011-06-24

	* src/summaryview.c: summary_colorlabel_menu_item_activate_item_cb():
	  removed alloca().
	* libsylph/utils.c: my_tmpfile(): win32: fixed a memory leak.
	  unix: removed alloca().
	* src/compose.c: removed alloca() calls.

2011-06-23

	* src/mimeview.[ch]
	  src/textview.c: fixed a typo: mimeview_launch_part() and code
	  cleanups. Removed alloca() call.
	* src/summaryview.c
	  src/messageview.c
	  src/inc.c: removed alloca() calls.
	* libsylph/utils.[ch]: to_human_readable_buf(): new.

2011-06-16

	* src/menu.h
	  src/textview.c: use image menu item for part menu.

2011-06-15

	* src/textview.[ch]: reuse popup menu for each attachments.

2011-06-14

	* src/textview.c: textview_part_widget_destroy_notify(): fixed destroy
	  notify handler.
	  Use prelight state.
	  textview_part_widget_exposed(): draw edges as rounded.
	  textview_part_widget_button_pressed(): disable 'Copy file name'
	  menu if file name not exist.

2011-06-13

	* src/textview.c: highlight part widgets on mouse over.

2011-06-13

	* src/textview.c
	  src/mimeview.[ch]: implemented popup menu of attachments in text
	  view.

2011-06-13

	* src/textview.c: fixed handling of button release event.

2011-06-10

	* libsylph/procmsg.c
	  libsylph/libsylph-0.def: procmsg_add_messages_from_queue():
	  fixed an error when removing queued messages on win32.

2011-06-10

	* src/compose.c
	  plugin/test/test.c: changed the spec of compose-send signal
	  because the previous one prohibited sending if the signal is not
	  used.

2011-06-10

	* src/textview.c: added border line before and after headers.
	  Made attachments display more graphical.

2011-06-09

	* src/account_dialog.c
	  src/prefs_filter.c: fixed duplicated keyboard accelerators.

2011-06-08

	* libsylph/procmsg.[ch]
	  libsylph/folder.c: remove queue headers when moving messages from
	  a queue folder (fixes Debian BTS #493546).

2011-06-08

	* src/messageview.c
	  src/plugin.[ch]
	  src/plugin-marshal.list
	  plugin/test/test.c: added a new plug-in API: "messageview-show".

2011-06-08

	* src/compose.c
	  src/plugin.[ch]
	  src/plugin-marshal.list
	  plugin/test/test.c: added a new plug-in API: "compose-send".

2011-06-06

	* src/compose.c: compose_generate_msgid(): don't use mailbox part
	  of address directly, instead use md5 hash of random number + mailbox
	  part.

2011-06-06

	* src/compose.c: compose_send(): don't close compose window when
	  saving to outbox failed.

2011-05-18

	* libsylph/codeconv.c: conv_encode_header(): replaced alloca() with
	  g_malloc() and g_strndup().

2011-05-18

	* libsylph/folder.[ch]
	  libsylph/imap.[ch]
	  src/mainwindow.c: cancel online mode switch if active sessions
	  exist (fixes crash on offline switch while IMAP session is active).

2011-05-13

	* src/textview.c: textview_make_clickable_parts(): removed alloca()
	  and use GSList.
	* src/compose.c: removed some alloca() calls.
	* libsylph/procheader.c: removed alloca() calls.
	* libsylph/imap.c: imap_utf8_to_modified_utf7(): removed alloca()
	  calls.

2011-05-12

	* src/prefs_ui.c: removed alloca() calls.

2011-05-12

	* libsylph/prefs.h
	  libsylph/account.c
	  src/account_dialog.c: increased the prefs buffer size from 1024
	  to 8192.

2011-05-06

	* version 3.1.1

2011-03-22

	* configure.in: added the following line for newer gcc-4.5:
	  LIBS="$LIBS `$PKG_CONFIG --libs enchant`"
	  (thanks to Ricardo Mones)

2011-03-16

	* src/compose.c: changed keyboard shortcut of File/Send to prevent
	  accidental sending.

2011-03-14

	* src/summaryview.c: mark messages read when message view becomes
	  visible by Enter or Space key.

2011-03-01

	* src/addressadd.c
	  src/addrindex.c: renamed variable 'interface' to 'iface'.

2011-02-28

	* src/addressbook.c
	  src/prefs_common_dialog.c: fixed compilation problem on MinGW
	  (interface -> iface). Thanks to Hayashi.

2011-02-25

	* libsylph/defs.h
	  libsylph/utils.c
	  src/main.c: OS X: changed the location of settings to
	  ~/Library/Application Support/Sylpheed .

2011-02-25

	* libsylph/utils.c
	  libsylph/defs.h
	  src/mimeview.c
	  src/prefs_common_dialog.c: use 'open' command for URI, file open
	  and text editor on OS X.

2011-02-15

	* src/summaryview.c: summary_show_queued_msgs(): clear selection list
	  because it can be invalid after appending messages.

2011-02-14

	* src/addressbook.c
	  src/addressitem.h
	  src/addrindex.[ch]: renamed 'interface' in struct to 'iface' to
	  prevent compilation problem on some environments.

2011-02-10

	* src/main.c
	  src/gtkutils.c: implement fix_font_setting() for Mac OS X.

2011-02-10

	* libsylph/codeconv.c:
	  conv_get_locale_charset()
	  conv_get_locale_charset_str(): return correct locale encoding
	  for Mac OS X (usually UTF-8).

2011-02-04

	* libsylph/prefs_common.[ch]
	  src/addressbook.c: save the columns width of address book.

2011-01-31

	* version 3.1.0

2011-01-31

	* sylpheed.desktop: added Ukrainian and Russian comment.

2011-01-28

	* sylpheed.desktop: added Turkish comment.

2011-01-24

	* src/prefs_common_dialog.c: removed a warning.
	* src/sylpheed.rc.in: updated LegalCopyright.
	* libsylph/procmime.c: procmime_get_part_fp_fp(): fixed return value
	  on error.

2011-01-24

	* version 3.1.0rc

2011-01-24

	* src/plugin-marshal.list
	  src/Makefile.am: added marshaller for plug-in library.

2011-01-24

	* src/sylpheed-marshal.list
	  src/textview.c
	  src/plugin.[ch]
	  plugin/test/test.c: added MsgInfo argument to "textview-menu-popup"
	  signal.

2011-01-24

	* src/summaryview.c: fixed warnings about non-string literal format.

2011-01-21

	* src/addressbook.c: fixed double underline in menu label
	  (thanks to Ricardo Mones).

2011-01-21

	* README
	  README.ja
	  LICENSE
	  nsis/COPYING*.txt
	  src/about.c: updated copyright year.

2011-01-21

	* src/undo.c: fixed long-standing undo-redo bug:
	  1. input "a b"
	  2. delete 3 chars by backspace
	  3. undo 2 times
	  4. "a ba" is entered, not "a b"

2011-01-19

	* src/sylpheed-marshal.list
	  src/textview.c
	  src/plugin.[ch]
	  PLUGIN.txt
	  PLUGIN.ja.txt: added "textview-menu-popup" signal for plug-ins.
	* plugin/test/test.[ch]: use "textview-menu-popup" signal.

2011-01-19

	* libsylph/filter.[ch]
	  src/inc.c
	  src/summaryview.c: check the return value of junk filter command
	  and show error dialog on failure.

2011-01-18

	* src/inc.c
	  src/folderview.c: do not count junk-filtered or trashed messages as
	  new ones.
	  Do not display new state as red color on Junk folder.

2011-01-18

	* src/addressadd.c: removed warnings about xpm.

2011-01-17

	* src/summaryview.c: summary_qsearch(): fixed crash when folder tree is
	  empty.

2011-01-17

	* version 3.1.0beta7

2011-01-17

	* manual/ja/sylpheed.sgml: updated Japanese manual.

2011-01-17

	* src/version.h.in
	  src/about.c: added build revision to the about dialog.

2011-01-17

	* src/summaryview.c: summary_get_tmp_marked_msg_list(): don't use
	  full copy for saving flags.

2011-01-16

	* src/summaryview.c: summary_restore_tmp_marks(): optimized.

2011-01-14

	* src/summaryview.c: preserve temporary movec/copy marks on refresh.
	  summary_show_queued_msgs(): update status display.

2011-01-11

	* src/update_check.c: win32: properly set the parameter of default
	  download URL.
	* makewin32.sh: also install attachment_tool plug-in.

2011-01-07

	* libsylph/prefs_common.[ch]
	  src/compose.c
	  src/send_message.c
	  src/prefs_common_dialog.c: added an option to disable the send
	  dialog. Made the compose window insensitive on sending.

2011-01-07

	* src/send_message.[ch]: send_message_queue_all(): refactored.

2011-01-06

	* libsylph/filter.c: filter_match_rule(): optimized by modifying the
	  order of condition matching.

2011-01-06

	* src/prefs_common_dialog.c: modified 'Address auto-completion'
	  setting layout.

2011-01-06

	* src/query_search.c
	  src/prefs_filter_edit.c: made the default boolean type of query
	  search and filter condition AND.

2011-01-06

	* src/textview.c: added context menu 'Reply to this address'.

2011-01-05

	* src/inc.c: always update summary even when
	  prefs_common.open_inbox_on_inc is true (fixes wrong unread number
	  display).

2010-12-24

	* version 3.1.0beta6

2010-12-24

	* src/main.c: win32: always check if text font is loadable on startup.

2010-12-24

	* manual/ja/sylpheed.sgml: updated Japanese manual.

2010-12-22

	* libsylph/filter.[ch]
	  libsylph/prefs_common.[ch]
	  libsylph/mbox.c
	  src/inc.[ch]
	  src/main.c
	  src/summaryview.[ch]
	  src/prefs_common_dialog.c: refactored junk filter rule management.
	  Create junk filter rule on demand.
	  Deprecated prefs_common_junk_filter_list_set().
	  Automatically select appropriate Junk folder on filtering.

2010-12-22

	* src/addressbook.c: added menu 'Add to recipient/Cc/Bcc'.

2010-12-21

	* libsylph/session.c
	  src/rpop3.c
	  src/compose.c
	  src/inc.c
	  src/passphrase.c
	  src/sigstatus.c: changed deprecated gtk_timeout_add() to
	  g_timeout_add(_full)(). Use G_PRIORITY_LOW for long timeout
	  interval (may fix slow receiving problem?).

2010-12-20

	* libsylph/prefs_common.[ch]
	  src/compose.[ch]
	  src/addressbook.c
	  src/addr_compl.c
	  src/prefs_common_dialog.c: added new option: "Set only mail address
	  when composing from address book".
	  Don't add modified flag when opening composition window from
	  address book.
	* src/importldif.c: fixed uninitialized variable.

2010-12-17

	* src/compose.c
	  src/mimeview.c: changed the label 'MIME type' to 'Data type' for
	  understandability.

2010-12-17

	* libsylph/html.c: html_parse_tag(): look at every attribute in 'a'
	  tag for 'href' (thanks to Rich Coe).

2010-12-15

	* src/summaryview.c: summary_toggle_view(): mark as read when message
	  view is toggled on.

2010-12-14

	* libsylph/folder.[ch]
	  src/mainwindow.c: disconnect all current sessions of remote folders
	  when going offline.

2010-12-14

	* src/summaryview.c: reverted the behavior when 'Always open messages
	  in summary when selected' is off (don't display a message when
	  opening a folder).

2010-12-09

	* version 3.1.0beta5

2010-12-09

	* src/send_message.c: send_message_smtp(): fixed a bug that
	  temporary password was not cleared on auth failure.

2010-12-09

	* src/plugin.h: fixed typo.
	* src/update_check.c: update_check(): win32: fixed crash on update
	  check.
	* configure.in: enable updatecheckplugin only if updatecheck is
	  enabled.

2010-12-08

	* version 3.1.0beta4

2010-12-08

	* libsylph/socks.c: win32: fixed compilation error.

2010-12-07

	* libsylph/prefs_account.[ch]
	  src/prefs_account_dialog.c: added UI for SOCKS settings.
	* libsylph/session.c: session_connect_full(): check if
	  socks_info->proxy_host is set.
	* libsylph/imap.c: added SOCKS proxy support.
	* manual/ja/sylpheed.sgml: added SOCKS proxy description.

2010-12-07

	* libsylph/prefs_account.[ch]
	  libsylph/socks.[ch]
	  libsylph/session.[ch]
	  src/inc.c
	  src/send_message.c: added SOCKS4/5 proxy support.

2010-12-03

	* nsis/*: added NSIS installer script files.

2010-12-01

	* libsylph/prefs_common.[ch]
	  src/summaryview.c
	  src/prefs_common_dialog.c: added an option 'Always mark as read when
	  a message is opened'. This will bring back the previous behavior.

2010-11-25

	* src/main.c
	  src/setup.h: win32: added missing code for WAB file import.

2010-11-18

	* manual/ja/sylpheed.sgml: updated to 3.1.

2010-11-16

	* libsylph/xml.[ch]: xml_escape_str(): added.

2010-11-12

	* src/plugin_manager.c: fixed button order.

2010-11-09

	* src/rpop3.c: rpop3_account(): clear temporary password if
	  authentication fails.

2010-11-05

	* src/update_check.c
	  src/mainwindow.c: modified strings about plug-ins.

2010-11-05

	* src/main.c
	  src/update_check.c: convert argv[0] to UTF-8 (fixes restart of
	  process on Win32 when installed on non-ascii path).

2010-11-02

	* libsylph/sylmain.c
	  libsylph/defs.h
	  src/update_check.[ch]
	  src/plugin_manager.c
	  src/plugin.[ch]
	  src/main.[ch]
	  src/libsylpheed-plugin-0.def
	  src/mainwindow.[ch]
	  plugin/test/test.c
	  configure.in: merged plug-in update check and automatic update patch.

2010-10-25

	* libsylph/procmime.[ch]: added procmime_get_part_fp_fp().

2010-10-21

	* src/plugin.[ch]
	  src/main.c: added new functions for sending messages.

2010-10-21

	* src/summaryview.c: modified always_show_msg flag handling.

2010-08-31

	* libsylph/prefs_account.c: leave messages on POP3 server for 7 days
	  by default.

2010-08-30

	* src/main.c: remote_command_exec(): fixed the bug that default
	  account's inbox was not properly selected when 'Open inbox on
	  startup' was enabled.

2010-08-19

	* src/addressbook.[ch]
	  src/setup.c: win32: implemented automatic import of Windows Address
	  Book (WAB) file.

2010-08-18

	* version 3.1.0beta3

2010-08-17

	* src/importldif.[ch]: addressbook_imp_ldif_file(): new function to
	  import LDIF file automatically.
	* src/ldif.[ch]: supported "nickname" tag. Ignore null-string
	  fld->userName. Skip duplicated "mail" tags. Fixed a memory leak.
	* src/setup.c: setup_import_data(): don't create duplicate folders.

2010-08-10

	* libsylph/imap.c: imap_parse_envelope(): fixed for response:
	  (... RFC822.SIZE 0 RFC822.HEADER "" ...)

2010-08-10

	* plugin/attachment_tool/attachment_tool.c: skip multipart messages
	  without attachments.

2010-08-09

	* faq/en/*: updated Sylpheed FAQ to 2.2 (thanks to Petr Kovar).

2010-08-09

	* src/main.c
	  src/setup.c
	  src/import.c: enabled cancellation of eml/dbx import.

2010-08-06

	* src/main.c
	  src/setup.[ch]
	  src/import.[ch]: win32: implemented automatic import of Outlook
	  Express mail stores on first run.

2010-08-05

	* src/import.c: implemented the import feature of Outlook Express
	  mailboxes (dbx).

2010-08-04

	* plugin/attachment_tool/Makefile.am: fixed.

2010-08-04

	* configure.in
	  plugin/Makefile.am
	  plugin/attachment_tool/*: added new plug-in 'Attachment Tool
	  Plug-in'. This plug-in is distributed under the GNU LGPL.

2010-08-04

	* src/plugin.[ch]
	  src/main.c
	  src/summaryview.[ch]: added/fixed SummaryView and alert panel
	  plug-in APIs.

2010-08-02

	* src/summaryview.c: summary_save_as(): added extension .eml for
	  default file name.

2010-08-02

	* src/inc.[ch]: made the progress of receive dialog display only
	  number/size in current session, not including already received ones.

2010-07-30

	* libsylph/prefs_common.[ch]
	  src/prefs_common_dialog.c
	  src/folderview.c
	  src/mainwindow.[ch]: added new global option 'Change current account
	  on folder open'.
	  Made 'mark_as_read_on_new_window' a hidden option.

2010-07-30

	* src/inc.c: added 'Cancel all' button to the incorporation dialog.

2010-07-30

	* src/summaryview.c: summary_mark_displayed_read(): made
	  mark_as_read_on_new_window setting work.

2010-07-30

	* libsylph/folder.c: folder_destroy(): remove private data after
	  folder_tree_destroy() to prevent warnings.
	* libsylph/prefs_account.[ch]
	  src/compose.c
	  src/prefs_account_dialog.c: added new account option 'Put signature
	  before quote (not recommended)'.

2010-07-30

	* src/summaryview.c: summary_selection_changed(): don't clear message
	  view on multiple selection and always_show_msg mode.
	* libsylph/prefs_common.c: made always_show_message_when_selected
	  enable by default.

2010-07-29

	* src/prefs_common_dialog.c: modified description of Junk mail folder.

2010-07-29

	* libsylph/procmsg.c
	  src/folderview.c: added 'Empty junk' context menu to Junk folder.

2010-07-29

	* libsylph/prefs_common.c
	  src/main.c
	  src/summaryview.c: use default Junk folder when
	  prefs_common.junk_folder is not set.

2010-07-29

	* libsylph/mh.c
	  libsylph/folder.[ch]
	  libsylph/defs.h
	  src/icons/stock_spam_16.png
	  src/icons/Makefile.am
	  src/foldersel.c
	  src/prefs_folder_item.c
	  src/stock_pixmap.[ch]
	  src/folderview.c: added 'Junk' special folder and automatically
	  create it when not exist.

2010-07-28

	* src/folderview.c: folderview_menu_popup(): show/hide needless items
	  depending on context.

2010-07-28

	* src/summaryview.[ch]
	  src/mainwindow.c: improved the always-show-msg-on-summary-select
	  mode (don't mark as read on automatic selection).

2010-07-27

	* libsylph/sylmain.c
	  src/main.c: moved ssl_init()/ssl_done() from
	  syl_init()/syl_cleanup() to src/main. Fixes accepted SSL certs
	  not loaded when using alternative config dir.

2010-07-23

	* libsylph/virtual.c
	  src/folderview.c: enabled moving of virtual folders.

2010-07-22

	* src/addressbook.c: implemeted drag and drop of addresses.

2010-07-21

	* src/prefs_template.c: notify on OK button press if not saved.

2010-07-21

	* src/prefs_template.c: confirm on cancel if templates are modified.
	  Added Up/Down button to reorder template list.

2010-07-20

	* src/importcsv.c: added 'Alias' attribute.

2010-07-16

	* version 3.1.0beta2

2010-07-16

	* manual/*/Makefile.am: disabled install of sylpheed.sgml.

2010-07-16

	* libsylph/utils.c
	  libsylph/procmsg.c: removed redundant debug print.

2010-07-16

	* libsylph/libsylph-0.def: updated.
	* src/libsylpheed-plugin-0.def: updated.

2010-07-16

	* libsylph/filter.c: filter_cond_new(): fixed a bug that the value of
	  <account-id> tag was not parsed correctly.

2010-07-16

	* manual/GFDL-1.2
	  manual/en/sylpheed.sgml
	  manual/en/*.html: updated to sylpheeddoc_manual_en_09032003.tar.gz.
	  Added missing SGML source file. Also included GFDL-1.2 text file.

2010-07-14

	* src/plugin.[ch]
	  src/main.c: added syl_plugin_summary_show_queued_msgs() and cleanup
	  the code.

2010-07-14

	* src/gtkutils.[ch]
	  src/addressbook.c
	  src/compose.c
	  src/mainwindow.c: always display fixed-positioned windows on screen
	  (prevent windows displayed outside of screen between multi and
	  single monitor switching).
	* src/compose.c: always display compose window at the same location
	  even if overlapped.

2010-07-13

	* src/summaryview.c: summary_show_queued_msgs(): scroll summary view
	  to make added messages are visible.

2010-07-13

	* src/mainwindow.c: show error dialog on failure.

2010-07-13

	* libsylph/procmsg.c: procmsg_concat_partial_messages(): fully
	  implemented RFC 2046.

2010-07-13

	* libsylph/procmsg.c
	  libsylph/procmime.c: allow Content-Type without total parameter.

2010-07-12

	* libsylph/utils.[ch]
	  libsylph/procmsg.[ch]
	  libsylph/procmime.[ch]
	  src/mainwindow.c: implemented concatenation of partial messages
	  (RFC 2046). The header concatenation is still incomplete.

2010-07-08

	* faq/GFDL-1.2
	  faq/Makefile.am
	  faq/en/*.xml
	  faq/en/Makefile.am: added missing source files of English FAQ.
	  Also included GFDL-1.2 text file.

2010-07-07

	* src/prefs_common_dialog.c: changed the upper limit of auto check
	  interval to 1000 minutes.

2010-07-06

	* src/plugin.[ch]
	  src/main.c
	  plugin/test/test.c: added plug-in APIs to get selected messages
	  on summary.

2010-07-06

	* src/plugin.[ch]
	  src/main.c
	  src/summaryview.c
	  plugin/test/test.c: added new plug-in APIs for manipulating the
	  summary view popup menu.

2010-07-02

	* src/mainwindow.c
	  src/summaryview.c
	  src/prefs_common_dialog.c: changed 'Mark/Mark' to 'Mark/Set flag',
	  'Mark/Unmark' to 'Mark/Unset flag'.

2010-07-02

	* src/summaryview.c: summary_show(): display error if a connection to
	  IMAP/News server failed.

2010-07-02

	* src/plugin.[ch]
	  src/main.c
	  src/summaryview.[ch]
	  src/folderview.c: added write lock mode on summary view.

2010-07-01

	* src/foldersel.c: move up/collapse/expand row with left/right key.

2010-07-01

	* src/folderview.c: folderview_key_pressed(): modified key handling
	  code.

2010-07-01

	* src/mimeview.c: mimeview_selection_changed(): don't display images
	  when inline image setting is off (workaround for vulnerability).

2010-06-30

	* src/folderview.c: folderview_key_pressed(): move up/collapse/expand
	  row with left/right key (like Windows Explorer).

2010-06-30

	* libsylph/procmsg.[ch]
	  src/inc.c
	  src/summaryview.[ch]: update summary view on receiving on the fly.
	* configure.in: updated/fixed libtool version.

2010-06-18

	* libsylph/pop.c
	  libsylph/session.c: protect against session->sock == NULL
	  (fixes crash on cancel).

2010-06-17

	* libsylph/prefs_common.h
	  src/compose.c
	  src/main.c: made user-agent string configurable from plug-ins.

2010-06-15

	* version 3.1.0beta1

2010-06-15

	* src/libsylpheed-plugin-0.def: updated.

2010-06-15

	* src/addr_compl.c: removed debug print.

2010-06-11

	* src/plugin.c
	  src/folderview.c: fixed syl_plugin_folderview_add_sub_widget().
	* plugin/test/test.c: added syl_plugin_folderview_add_sub_widget()
	  test.

2010-06-11

	* src/plugin.[ch]
	  src/main.c
	  src/folderview.[ch]: added plug-in APIs for folder view.
	  Added folderview_add_sub_widget() which adds sub widget under
	  folder view.

2010-06-11

	* src/action.c: reset signal handlers of child process to prevent
	  app_will_exit() called on SIGTERM.
	  Added debug output.

2010-06-10

	* src/folderview.[ch]: put vbox on the top of folder view.

2010-06-09

	* src/action.c: prevent double free when using %f.
	  Obtain thread lock in gdk_input_add() callbacks.

2010-06-07

	* libsylph/prefs_common.[ch]
	  src/addr_compl.c
	  src/prefs_common_dialog.c: made the old behavior of address
	  completion configurable.

2010-06-05

	* src/addr_compl.c: replace_address_in_edit(): fixed infinite loop
	  on completion start with GTK+ 2.18+.

2010-06-04

	* src/addr_compl.c: implemented real automatic address completion.

2010-06-03

	* src/quick_search.c: suppress filter debug output.

2010-06-02

	* libsylph/filter.c: added debug log for filter.

2010-06-01

	* src/summaryview.c: modified 'Go to next folder' dialog description.

2010-05-31

	* src/plugin.[ch]
	  src/main.c: added some functions for FolderView.

2010-05-28

	* src/update_check.c: support DISP_RELEASE / DISP_DEVEL which
	  set displayed new version.

2010-05-28

	* src/update_check.[ch]
	  src/plugin.[ch]
	  src/main.c: added functions to modify URLs for update check.

2010-05-27

	* src/prefs_common_dialog.c: prefs_colorlabel_create(): added
	  description for the color label settings.

2010-05-25

	* src/mainwindow.c: help_command_line_show(): added Windows-only
	  --ipcport option.

2010-05-24

	* src/compose.c: compose_attach_open(): fixed compilation on win32.

2010-05-24

	* src/inc.c: fixed crash when clicking tray icon menu
	  'Get from current account' with no account.

2010-05-24

	* src/main.c: added --instance-id <ID> option, which allows users to
	  run multiple instances of Sylpheed. There is no extra checks for
	  config directory, so use with caution.

2010-05-21

	* libsylph/filter.c: filter_apply(): fixed a bug that MIME flag was
	  not set to filtered messages. This occurred to filtered sent
	  messages.

2010-05-21

	* src/prefs_common_dialog.c
	  src/prefs_filter_edit.c
	  src/prefs_account_dialog.c
	  src/editldap.c: removed warnings 'GtkSpinButton: setting an
	  adjustment with non-zero page size is deprecated'.
	  The last value of gtk_adjustment_new() must be 0 for GtkSpinButton.

2010-05-21

	* libsylph/socket.c: sock_kill_process(): prevent redundant error
	  messages when waitpid() is interrupted by EINTR.

2010-05-20

	* src/compose.c: added "Open" menu in the attach context menu.
	  attach_button_pressed(): modify sensitivity of attach context menu.

2010-05-11

	* src/syldap.c: allow deprecated LDAP API calls (debian BTS #463366).
	  Possibly fixes crash on 64-bit architecture.

2010-05-11

	* src/setup.c: removed debug print.

2010-05-08

	* libsylph/mbox.c: proc_mbox_full(): fixed a bug that MIME flag was
	  not properly set on importing mbox file.

2010-04-23

	* faq/en/sylpheed-faq*: updated Sylpheed FAQ (English)
	  (thanks to Petr Kovar).

2010-04-09

	* libsylph/sylmain.c
	  libsylph/defs.h
	  src/main.c: also load plug-ins from user plug-in directory.

2010-04-07

	* libsylph/defs.h
	  src/prefs_common_dialog.c: made DEFAULT_BROWSER_CMD 'xdg-open'
	  (thanks to Doruk Fisek). Removed obsolete commands.

2010-04-02

	* version 3.0.2

2010-04-02

	* src/folderview.c: folderview_create(): use fixed-height-mode
	  for the GtkTreeView if GTK+ >= 2.12. This fixes random scrolling
	  problem on selecting folders.

2010-03-19

	* src/account_dialog.c: update folder config file after account name
	  changed.

2010-03-19

	* src/main.c
	  src/setup.c
	  src/mainwindow.c: update account and folder config files after
	  creating new accounts.

2010-03-16

	* version 3.0.1

2010-03-12

	* manual/ja/sylpheed.sgml: updated.

2010-03-01

	* src/update_check.c
	  src/setup.c: fixed typos (thanks to Ricardo Mones).

2010-02-24

	* version 3.0.0

2010-02-24

	* src/sslmanager.c: fixed freeze when sending/receiving messages with
	  STARTTLS and 'SSL certificate verify failed' dialog popped up.

2010-02-19

	* version 3.0.0rc

2010-02-19

	* src/update_check.c: set curl timeout to 10 secs.

2010-02-19

	* src/prefs_actions.c: removed compilation warning.

2010-02-16

	* src/addressadd.c: translate 'Auto-registered address' book.

2010-02-16

	* libsylph/prefs_common.[ch]
	  src/compose.c
	  src/prefs_common_dialog.c: added 'Enable address auto-completion'
	  setting.

2010-02-16

	* src/plugin.h: bumped SYL_PLUGIN_INTERFACE_VERSION.

2010-02-16

	* libsylph/folder.c: folder_find_child_item_by_name(): use case
	  insensitive match on Win32 to prohibit multiple reference of folder.

2010-02-15

	* src/query_search.c: row_activated(): fixed a bug that 'Getting
	  message n' message was left on the status bar on displaying IMAP4
	  messages with new window.

2010-02-15

	* src/setup.c: fixed compile error with OpenSSL disabled.
	  Don't accept default Gmail address.

2010-02-12

	* version 3.0.0beta8

2010-02-12

	* libsylph/libsylph-0.def: updated.

2010-02-12

	* libsylph/filter.c: made default_addrbook_func static.

2010-02-12

	* src/compose.c: compose_change_spell_lang_menu(): force selection of
	  currently selected item to update compose->spell_lang.

2010-02-12

	* src/compose.c: Preserve PGP settings saving and loading drafts
	  (thanks to Antonio).

2010-02-12

	* src/compose.c: Preserve spell-checking settings saving and loading
	  drafts (thanks to Antonio).

2010-02-12

	* libsylph/folder.c
	  src/quick_search.[ch]
	  src/addressbook.c: added 'In addressbook' to the quick search menu.

2010-02-12

	* src/compose.c: compose_add_new_recipients_to_addressbook():
	  use addressbook_has_address().

2010-02-12

	* src/addressbook.c: lock addr_table since it can be accessed from
	  sub threads.

2010-02-10

	* libsylph/filter.c: filter_write_file(): fixed crash.

2010-02-10

	* libsylph/filter.[ch]
	  src/prefs_filter_edit.[ch]
	  src/addressbook.[ch]
	  src/main.c: added a new filter match type: is (not) in addressbook.
	  addressbook_has_address(): new function for fast search of address
	  book by addresses.

2010-02-05

	* src/setup.c: confirm on cancel. Modified messages.

2010-02-05

	* src/setup.c: check the input values for address, ID and server.

2010-02-05

	* src/mainwindow.c: new_account_cb(): don't update UI when cancelled.

2010-02-05

	* src/setup.c: modified messages.

2010-02-05

	* src/main.c
	  src/setup.[ch]
	  src/mainwindow.c: implemented new account setup wizard.

2010-02-04

	* src/mimeview.c
	  src/rfc2015.c: fixed crash when checking signature while GnuPG is
	  not available.

2010-02-02

	* src/addr_compl.c: address_completion_complete_address_in_entry():
	  don't open completion menu if entry equals to the completed address.

2010-01-29

	* version 3.0.0beta7

2010-01-29

	* src/compose.c: applied the patch: Preserve 'Auto wrapping' setting
	  when saving to and loading from drafts (thanks to Antonio Ospite).

2010-01-28

	* libsylph/libsylph-0.def
	  src/libsylpheed-plugin-0.def: updated.
	* configure.in: bumped the version.

2010-01-27

	* libsylph/prefs_common.[ch]
	  src/prefs_common_dialog.c:
	  src/compose.c: made address auto-registration configurable.

2010-01-27

	* src/addressbook.c
	  src/editbook.c: show translated messages on the statusbar.
	  Replaced sprintf() with g_snprintf(). Removed global
	  addressbook_msgbuf[].
	  Prohibit addressbook names begin with '@'.

2010-01-26

	* src/compose.c
	  src/addressbook.[ch]
	  src/addressadd.[ch]
	  src/addrindex.[ch]: implemented auto-registration of new recipients.

2010-01-21

	* src/main.c: check_gpg(): show more verbose debug messages.

2010-01-21

	* src/compose.[ch]
	  src/plugin.[ch]
	  src/main.c: added new plug-in APIs for compose window:
	  syl_plugin_compose_new, syl_plugin_compose_entry_set,
	  syl_plugin_compose_entry_append, syl_plugin_compose_entry_get_text,
	  syl_plugin_compose_lock, syl_plugin_compose_unlock
	* src/compose.h: made GtkSpell members non-conditional for binary
	  compatibility.
	* plugin/test/test.c: added tests for new signals.

2010-01-19

	* src/summaryview.c: summary_show(): prevent beep when changing to
	  folders which are sorted in descending order.

2010-01-15

	* libsylph/imap.[ch]
	  src/summaryview.c: save color labels on IMAP server using custom
	  keywords (partially compatible with Thunderbird).

2010-01-14

	* version 3.0.0beta6

2010-01-14

	* libsylph/utils.[ch]
	  libsylph/imap.c
	  src/colorlabel.[ch]
	  src/sylpheed.rc.in
	  src/prefs_common_dialog.c
	  src/about.c
	  README.ja
	  README: updated copyright year.

2010-01-14

	* libsylph/utils.c: to_unumber(); return 0 on error (-1 will return
	  UINT_MAX). Fixes the bug that IMAP caches get wrongly deleted.

2010-01-13

	* version 3.0.0beta5

2010-01-13

	* libsylph/utils.c: to_unumber(): added.
	  remove_numbered_files()
	  remove_expired_files(): made filename to number conversion unsigned
	  (fixes undeleted IMAP caches with UIDs larger than INT_MAX).

2010-01-13

	* libsylph/imap.c: imap_cmd_append(): added date-time info on APPEND
	  using Date: header (for Gmail to display received date).

2010-01-12

	* configure.in: added workaround for crash by enchant with zemberek.

2010-01-12

	* configure.in: added AM_SILENT_RULES (requires automake 1.11)
	  (thanks to Antonio Ospite).

2010-01-06

	* src/colorlabel.[ch]: fixed a memory leak.

2010-01-05

	* src/colorlabel.[ch]
	  src/prefs_common_dialog.c: implemented the UI for customizing
	  color label text.

2009-12-28

	* src/main.c: lock_socket_input_cb(): added missing lock on I/O
	  callback (fixes freeze on remote commands).

2009-12-28

	* src/update_check.[ch]
	  src/main.c
	  src/prefs_common_dialog.c
	  src/mainwindow.c: added configure option '--disable-updatecheck'
	  which disables the update check feature.
	* src/compose.c: removed redundant code.

2009-12-24

	* src/colorlabel.[ch]
	  src/main.c: made color label text customizable
	  (~/.sylpheed-2.0/colorlabelrc).

2009-12-22

	* src/colorlabel.[ch]: implemented a feature to change color label
	  text.

2009-12-21

	* libsylph/utils.[ch]
	  libsylph/prefs_common.[ch]
	  src/compose.c
	  src/prefs_common_dialog.c: added option to set only mail address of
	  recipients when replying.

2009-12-17

	* version 3.0.0beta4

2009-12-17

	* src/inputdialog.c: win32: fixed focus problem.

2009-12-17

	* src/inputdialog.[ch]
	  src/filesel.c
	  src/mainwindow.c: added select button to 'Add mailbox' dialog.

2009-12-17

	* libsylph/utils.[ch]
	  src/setup.c: check whether the specified location includes settings
	  folder.

2009-12-16

	* src/summaryview.c: summary_show(): fixed quick search on refresh.

2009-12-16

	* libsylph/utils.[ch]: strcasestr_with_skip_quote(): added.
	* src/compose.c: compose_reply_set_entry(): ignore case when checking
	  mailing list post.

2009-12-16

	* renamed folder-group.png to group.png.
	* removed unused icons.

2009-12-16

	* src/icons/folder-group.png: new group icon.

2009-12-16

	* src/icons/folder-search.png: modified color.

2009-12-16

	* src/quick_search.[ch]
	  src/summaryview.c: show description when the entry doesn't have
	  focus.

2009-12-15

	* src/update_check.c: don't show update dialog if modal dialog exists
	  or incorporation is active.

2009-12-15

	* src/icons/folder-search.png: modified.
	* src/icons/folder-group.png: added.
	* src/stock_pixmap.[ch]
	  src/addressbook.c
	  src/foldersel.c
	  src/summaryview.c
	  src/addressadd.c
	  src/folderview.c
	  src/prefs_filter_edit.c: renamed STOCK_PIXMAP_DIR_* to
	  STOCK_PIXMAP_FOLDER_*.

2009-12-14

	* src/setup.c: changed the icon. Use name 'Mailbox' only when basename
	  is 'Mail'.

2009-12-11

	* src/setup.c: modified path display.

2009-12-11

	* src/setup.c: adjusted dialog width.
	  Append "/Mail" at the tail of selected folder.

2009-12-11

	* src/setup.c: new setup dialog which improves usability.

2009-12-11

	* src/icons/folder-close.png
	  src/icons/folder-noselect.png
	  src/icons/folder-open.png: modified folder icons.

2009-12-10

	* src/addressbook.c
	  src/foldersel.c
	  src/folderview.c: decreased spacing between icon and text.

2009-12-10

	* src/icons/folder-*.png
	  src/stock_pixmap.c: added new folder icons.

2009-12-09

	* src/prefs_common_dialog.c: adjusted layout.

2009-12-09

	* srsrc/quick_search.[ch]: added status label to display number of
	  matched messages.

2009-12-09

	* src/icons/interface.xpm: modified.

2009-12-09

	* src/foldersel.c: made New button secondary.

2009-12-09

	* src/compose.[ch]: added a menu item to request disposition
	  notification.

2009-12-08

	* src/icons/stock_book.png
	  src/stock_pixmap.c: new icon.

2009-12-08

	* libsylph/folder.c
	  src/quick_search.[ch]: added 'Last 7 days' to the quick search.

2009-12-08

	* src/addressbook.c: added Search: label.

2009-12-08

	* src/compose.c: compose_close_cb(): fixed response handling on win32.

2009-12-08

	* src/addressbook.c: removed unused xpm objects. Added person icon.

2009-12-08

	* src/icons/address.xpm: modified icon.
	* src/icons/stock_person.png
	  src/stock_pixmap.[ch]: added new icon.

2009-12-08

	* libsylph/ssl.c
	  src/sslmanager.c: prohibit acception of expired certificates.

2009-12-08

	* src/compose.c: compose_close_cb(): modified button order on win32.

2009-12-04

	* src/summaryview.c: summary_filter_real(): disable sort while
	  filtering to prohibit 'The model has been modified from within
	  gtk_tree_selection_selected_foreach.' warning.

2009-11-26

	* version 3.0.0beta3

2009-11-26

	* src/Makefile.am: sylpheed.res: depend on icons/sylpheed.ico.

2009-11-26

	* src/addressbook.c: enabled lookup feature for all addressbook type.

2009-11-26

	* src/sylpheed.rc.in: modified LegalCopyright.

2009-11-26

	* libsylph/ssl.c: ssl_init_socket_with_method(): modified debug
	  output.

2009-11-26

	* libsylph/prefs_common.[ch]
	  src/prefs_common_dialog.c
	  src/folderview.c: the visibility of message number columns in the
	  folder view is now configurable for each column.

2009-11-26

	* libsylph/imap.c: made error log more verbose.
	* libsylph/socket.c: sock_connect_with_timeout(): check socket with
	  getsockopt() even if select() succeed.

2009-11-25

	* src/sslmanager.c: display issued and expire date. Refined text
	  format.

2009-11-24

	* src/addressbook.c: re-enabled sort order change because the bug
	  seems to be fixed.

2009-11-24

	* src/addressbook.c: addressbook_create(): create renderer for
	  each column.

2009-11-19

	* libsylph/ssl.c
	  src/sslmanager.c: calculate and display SHA1/MD5 fingerprint
	  if verification of SSL certificate failed.

2009-11-16

	* version 3.0.0beta2

2009-11-16

	* src/icons/sylpheed.ico: added 48x48(32bpp), 32x32(32bpp),
	  16x16(32bpp) icons.

2009-11-13

	* libsylph/imap.c: removed redundant debug print.
	* libsylph/libsylph-0.def: updated.

2009-11-13

	* src/addressbook.c: added sort order change (but disabled because of
	  random crash bug inside GTK+).
	  Hide Lookup button if LDAP is not used.

2009-11-11

	* src/plugin.[ch]
	  src/main.c: added plugin APIs: syl_plugin_main_window_lock(),
	  syl_plugin_main_window_unlock() and syl_plugin_inc_is_active().

2009-11-09

	* src/addressbook.c: addressbook_read_file(): show more descriptive
	  error.

2009-11-09

	* libsylph/mh.c
	  src/inc.c: removed redundant debug print.

2009-11-09

	* libsylph/imap.c: imap_get_msginfo(): SELECT before FETCH
	  (fixed opening message by syl_plugin_open_message().

2009-11-09

	* src/plugin.h: increased SYL_PLUGIN_INTERFACE_VERSION.

2009-11-06

	* libsylph/mh.c
	  libsylph/folder.c
	  libsylph/sylmain.c
	  libsylph/account.[ch]
	  src/account_dialog.c: added "account-updated" signal to SylApp.
	  Don't emit signals if SylApp is not initialized.
	  Call account_updated() only once.

2009-11-06

	* src/plugin.c
	  src/main.c:
	  syl_plugin_add_menuitem()
	  syl_plugin_add_factory_item(): added <IMAPFolder> and <NewsFolder>
	  to parent factory.

2009-11-06

	* configure.in: increased LT_CURRENT because the interface is not
	  completely compatible.

2009-11-05

	* libsylph/folder.[ch]
	  libsylph/news.c
	  libsylph/imap.c: add a new flag:
	  RemoteFolder::remove_cache_on_destroy. If this is not set, caches
	  will not be removed on folder_destroy().
	* libsylph/utils.c: remove_dir_recursive(): added debug print.

2009-11-05

	* libsylph/imap.c: imap_create_tree(): return error if
	  imap_scan_tree() failed.
	* src/account_dialog.c: show waiting dialog on creating folder tree.
	* src/folderview.c: disable close button of waiting dialog.

2009-11-05

	* libsylph/imap.c: imap_create_tree(): don't continue if connection
	  failed.
	* libsylph/socket.c: don't use alarm() if threads are enabled.
	  sock_connect_with_timeout(): check with FD_ISSET() when select()
	  succeeded.

2009-11-04

	* libsylph/socket.c: sock_connect_with_timeout(): use non-blocking
	  socket and select() for connection timeout (fix crash on connection
	  failure).

2009-11-04

	* libsylph/imap.c
	  src/query_search.c
	  src/main.c: fixed a bug that prohibited query search on IMAP
	  folders. Don't call gtk_main_iteration() from non-main threads.

2009-11-02

	* src/summaryview.c: summary_selection_changed(): fixed unintended
	  drag start on IMAP.
2009-11-02

	* libsylph/utils.[ch]
	  libsylph/mh.c
	  libsylph/procmsg.c
	  libsylph/news.c: more fix for UID more than INT_MAX.

2009-11-02

	* libsylph/imap.[ch]
	  src/summaryview.c: don't allow parallel multiple command on IMAP.

2009-10-29

	* src/update_check.c: fixed freeze bug on showing dialog.

2009-10-29

	* version 3.0.0beta1

2009-10-29

	* libsylph/libsylph-0.def
	  src/libsylpheed-plugin-0.def: updated.

2009-10-29

	* src/addressbook.c: modified the design.

2009-10-29

	* src/addressbook.c: addressbook_list_button_pressed(): change
	  selection if a non-selected row is right-clicked.

2009-10-28

	* libsylph/socket.c: sock_connect_async_thread(): fixed a crash
	  when connection failed.

2009-10-28

	* src/addressbook.c: removed debug print.

2009-10-28

	* src/update_check.c: made release version have priority over
	  development version.

2009-10-28

	* src/addressbook.c: expand tree row when double-clicked.
	  Removed commented out code.

2009-10-28

	* src/addressbook.c: automatically sort the tree and list.

2009-10-28

	* src/addressbook.c: don't change selection when the list is right-
	  clicked.

2009-10-27

	* src/addressbook.c: reimplemented addressbook_move_nodes_up().

2009-10-27

	* src/addressbook.c
	  src/addressitem.h: reimplemented the list view of address book UI
	  with GtkTreeView.

2009-10-26

	* src/addressbook.c
	  src/addressitem.h: reimplemented the folder tree of address book
	  UI with GtkTreeView.

2009-10-23

	* configure.in: made threads enabled by default.

2009-10-20

	* libsylph/imap.c:
	  imap_fetch_msg()
	  imap_cmd_fetch(): fixed a bug that could not fetch UID more than
	  INT_MAX.

2009-10-20

	* faq/en/sylpheed-faq*: updated Sylpheed FAQ (English)
	  (thanks to Petr Kovar).
	* README
	  README.ja: updated.

2009-10-16

	* libsylph/utils.[ch]: added tzoffset_buf().
	  Made get_rfc822_date(), get_outgoing_rfc2822_str() and
	  generate_mime_boundary() thread-safe.

2009-10-16

	* libsylph/mh.c
	  libsylph/procmsg.c
	  libsylph/news.c
	  libsylph/filter.c
	  libsylph/imap.c: use itos_buf() because itos() is not thread-safe.

2009-10-16

	* src/plugin.[ch]: properly check plug-in version.

2009-10-16

	* libsylph/codeconv.c: made codeconv module thread-safe.
	* src/query_search.c: update search window using timer.

2009-10-13

	* src/plugin.[ch]
	  src/main.c: added new APIs: syl_plugin_summary_lock(),
	  syl_plugin_summary_unlock() and syl_plugin_summary_is_locked().

2009-10-13

	* libsylph/utils.c
	  libsylph/imap.c
	  libsylph/socket.c
	  src/query_search.c: use g_atomic_int_{get,set} for thread
	  terminate flags.

2009-10-09

	* src/send_message.c: made send dialog non-modal.

2009-10-08

	* src/query_search.c: destroy async queue when finished.

2009-10-08

	* makewin32.sh: added --enable-threads.

2009-10-08

	* libsylph/imap.c
	  src/query_search.c: fixed compilation without thread support.

2009-10-08

	* src/query_search.c: execute query search in another thread.

2009-10-07

	* src/inc.c: inc_drop_message(): fixed a bug that MIME flag was not
	  properly set on receiving.

2009-10-07

	* libsylph/mh.c: mh_get_mtime(): fixed memory leak.
	  Added global locks to each functions.

2009-10-06

	* src/rpop3.c: added missing GDK locks.

2009-10-05

	* libsylph/utils.c
	  libsylph/pop.c
	  libsylph/socket.c
	  src/logwindow.c: removed some debug prints.
	* libsylph/session.c: uncommented code block for unix.

2009-10-05

	* libsylph/imap.c: imap_session_destroy(): free thread pool.

2009-10-05

	* src/main.c: display status on loading plug-ins.

2009-10-02

	* libsylph/imap.c: execute imap_get_uncached_messages() in another
	  thread.

2009-10-02

	* src/trayicon.c
	  src/syldap.c
	  src/summaryview.c
	  src/folderview.c: added missing locks on idle callbacks.

2009-10-01

	* libsylph/imap.c: reimplemented using GThreadPool.

2009-10-01

	* libsylph/imap.c: refactored.

2009-09-30

	* libsylph/imap.c: execute imap_cmd_fetch() in another thread.

2009-09-30

	* libsylph/utils.[ch]
	  src/logwindow.c: added log_flush() function.
	* libsylph/imap.c: execute imap_cmd_ok() in another thread.

2009-09-30

	* libsylph/socket.[ch]
	  libsylph/session.c: renamed sock_connect_async() to
	  sock_connect_async_thread().
	* libsylph/imap.c: imap_open(): connect in another thread.

2009-09-29

	* libsylph/utils.c: made writing to log file thread-safe.

2009-09-29

	* src/logwindow.[ch]: made LogWindow thread-safe.
	* libsylph/utils.c
	  libsylph/socket.c
	  src/inc.c
	  src/statusbar.c
	  src/send_message.c
	  src/main.c: made gdk_threads_enter() / gdk_threads_leave()
	  reentrant.

2009-09-25

	* libsylph/utils.[ch]
	  libsylph/socket.[ch]
	  libsylph/session.c
	  libsylph/pop.c
	  src/inc.c
	  src/main.c: fixed the handling of GDK thread lock.

2009-09-18

	* libsylph/utils.c: execute_command_line_async_wait(): disable
	  threading if USE_THREADS is not set.

2009-09-18

	* introduced multi-threading.
	* libsylph/session.c
	  libsylph/socket.[ch]: win32: connect() on another thread to avoid
	  UI blocking.
	* libsylph/filter.c
	  libsylph/utils.[ch]: execute command on another thread to avoid
	  UI blocking.
	* src/rpop3.c
	  src/compose.c
	  src/inc.c
	  src/trayicon.c
	  src/main.c
	  src/send_message.c
	  src/folderview.c
	  src/sigstatus.c: surround timeout/IO-watch callback functions with 
	  gdk_threads_enter() and gdk_threads_leave().

2009-09-17

	* folderview_new_folder_cb(): win32: fixed prohibited character check.

2009-09-15

	* libsylph/mh.c
	  libsylph/procmsg.c
	  src/rpop3.c
	  src/compose.c: mh_add_msgs(): generate cache on adding messages.
	  Cleanup the code.

2009-09-15

	* libsylph/procmsg.c: minor optimization: use g_slist_prepend() for
	  mark/cache queue.

2009-09-14

	* libsylph/procmsg.c: use MsgFlagInfo struct for mark queue to reduce
	  its memory usage.

2009-09-14

	* src/import.c: update summary cache on eml import.

2009-09-14

	* libsylph/mh.c: update summary cache on move/copy.

2009-09-14

	* libsylph/mbox.c: update summary cache when importing from mbox.

2009-09-14

	* libsylph/mh.c
	  libsylph/procmsg.[ch]
	  libsylph/folder.[ch]
	  libsylph/virtual.c
	  libsylph/news.c
	  libsylph/filter.c
	  libsylph/imap.c
	  src/inc.c
	  src/summaryview.c: update summary caches on receiving. This
	  improves the opening speed of folders with many new messages.

2009-09-03

	* libsylph/mh.c
	  src/summaryview.c: show progress when scanning folders.

2009-08-20

	* libsylph/utils.c: set_log_file(): open log file as text mode.

2009-08-13

	* version 2.7.1

2009-08-13

	* manual/ja/sylpheed.sgml: updated import/export description.

2009-08-13

	* libsylph/Makefile.am
	  src/Makefile.am
	  configure.in: added -version-info to libtool.

2009-08-12

	* src/export.c: don't overwrite existing file.

2009-08-12

	* src/export.c: implemented export to .eml or MH files.

2009-08-12

	* libsylph/mh.c: mh_do_move_msgs(): emit remove-msg signal after
	  add-msg for speedup.

2009-08-12

	* src/import.c: removed 'eml (file)'. Update description label.

2009-08-11

	* libsylph/mbox.c
	  src/export.[ch]: show progress bar on export.
	* src/mainwindow.c
	  src/import.c: modified menu label and function names.

2009-08-11

	* src/import.c: implemented eml file import (with folder).

2009-08-10

	* src/import.c: added eml file import (one file).

2009-08-10

	* src/import.c: added format selection menu, and refactored the code.

2009-08-10

	* libsylph/procmime.c: procmime_scan_content_type_str():
	  remove comments from Content-Type charset parameter.

2009-08-05

	* src/plugin.c: syl_plugin_load_all(): don't output warning when
	  failed to open directory.

2009-08-05

	* src/import.c: modified progressbar dialog.

2009-08-04

	* sylpheed.spec.in: fixed %files section.

2009-08-04

	* libsylph/mbox.c
	  src/progressdialog.[ch]
	  src/import.c: show progressbar on mbox import.

2009-07-21

	* version 2.7.0

2009-07-01

	* PLUGIN.txt
	  PLUGIN.ja.txt: added plugin document.

2009-07-01

	* plugin/test/Makefile.am: fixed build issue.

2009-06-25

	* updated COPYING and LICENSE.

2009-06-25

	* manual/ja/sylpheed.sgml: updated bsfilter description.

2009-06-17

	* src/plugin.[ch]
	  src/main.c
	  src/libsylpheed-plugin-0.def: made syl_plugin_lookup_symbol()
	  public. Added syl_plugin_main_window_get_statusbar().

2009-06-12

	* plugin/test/Makefile.am: do not install automatically (added make
	  install-plugin target).

2009-06-12

	* manual/ja/sylpheed.sgml: updated for 2.7.

2009-06-10

	* merged plugin-test branch into trunk.

2009-06-08

	* libsylph/procmsg.c
	  libsylph/procheader.c: made perror() more descriptive.

2009-06-03

	* src/plugin.[ch]
	  src/main.c: syl_plugin_manage_window_get_focus_window(): added.

2009-05-28

	* src/folderview.c: folderview_new_folder_cb(): win32: don't allow
	  filesystem-unsafe characters.

2009-05-27

	* configure.in
	  src/update_check.c: added config.h macro DEVEL_VERSION.

2009-05-27

	* src/update_check.c: disable auto update check if specified.
	  don't show check button on manual checking.

2009-05-26

	* src/defs.h
	  src/update_check.c: moved VERSION_URI in defs.h.

2009-05-22

	* libsylph/prefs_common.[ch]
	  src/update_check.[ch]
	  src/main.c
	  src/prefs_common_dialog.c
	  src/mainwindow.c: implemented update check (using curl).
	* src/plugin_manager.c: show grid lines.

2009-05-18

	* src/plugin.h: added padding into SylPluginInfo.
	* src/about.c: updated copyright year.
	* configure.in: updated version to 2.7.0beta1.

2009-05-15

	* libsylph/procmsg.c: made error message more descriptive on fopen().

2009-05-15

	* src/plugin.h
	  src/plugin_manager.c: added description to SylPluginInfo.

2009-05-14

	* src/plugin_manager.c
	  src/main.c
	  src/mainwindow.c: implemented plugin manager.

2009-05-14

	* src/plugin.[ch]
	  src/libsylpheed-plugin-0.def: added APIs to change menu sensitivity.

2009-05-11

	* src/plugin_manager.c: added template of window creation.

2009-05-08

	* src/plugin.[ch]
	  src/libsylpheed-plugin-0.def
	  src/main.c
	  src/plugin_manager.[ch]
	  plugin/test/test.c: added new plugin APIs to manage plug-ins.
	  added plugin interface version check.

2009-04-24

	* src/plugin.c
	* src/plugin.h
	* src/main.c
	* src/manage_window.[ch]: added new plugin APIs.

2009-04-23

	* imap.c: imap_folder_destroy(): fixed crash when folder->account
	  was NULL.

2009-04-23

	* libsylph/mh.c
	  libsylph/sylmain.c
	  libsylph/syl-marshal.*: added new signal: move-folder.

2009-04-22

	* libsylph/sylmain.[ch]: added syl_init_gettext().

2009-04-21

	* added new signal: folderlist-updated, remove-folder.

2009-04-20

	* added new API:
	  syl_plugin_folder_sel()
	  syl_plugin_folder_sel_full()
	  syl_plugin_input_dialog()
	  syl_plugin_input_dialog_with_invisible()

2009-04-16

	* added new API:
	  syl_plugin_folderview_get()
	  syl_plugin_folderview_get_selected_item()

2009-04-16

	* src/plugin.[ch]
	  src/main.c
	  src/folderview.c: added new signal: folderview-menu-popup.
	  added new API: syl_plugin_add_factory_item().

2009-04-15

	* src/plugin.[ch]
	  src/main.c: added new APIs for opening messages.

2009-03-23

	* src/mainwindow.c: enable 'Remote mailbox' only if current account
	  is POP3.

2009-03-19

	* src/folderview.c: show 'Send queued messages' instead of 'Mark all
	  read' in the context menu of the Queue folder.

2009-03-17

	* libsylph/prefs.c: prefs_file_close(): win32: use _commit() as well
	  as fsync() on Unix.

2009-03-17

	* libsylph/prefs.c: prefs_file_close(): abort if fsync() fails.

2009-03-17

	* libsylph/prefs.c
	  configure.in: prefs_file_close(): do fflush() and fsync() before
	  fclose() to lessen the possibility of data loss.

2009-03-16

	* libsylph/utils.[ch]
	  libsylph/mh.c: g_link(): fixed infinite loop bug on Unix and
	  renamed g_link to syl_link.

2009-03-13

	* libsylph/utils.[ch]
	  libsylph/mh.c: win32: use CreateHardLink() if available.
	  It will improve file I/O on receive.

2009-02-27

	* libsylph/prefs_common.c
	  src/prefs_common_dialog.c: modified the default command line option
	  of spam filters (added undo-contrary option).

2009-02-25

	* src/addr_compl.c: add_address(): fixed crash when name == NULL
	  which can happen with csv import (thanks to Simon Effenberg).

2008-12-26

	* libsylph/procmime.c: procmime_decode_content(): properly process
	  lines longer than 8192 bytes.

2008-12-19

	* version 2.6.0

2008-12-15

	* libsylph/procmime.c: procmime_parse_mime_parameter(): modified
	  variable name.

2008-12-11

	* libsylph/mbox.c
	  libsylph/smtp.[ch]
	  src/inc.c: renamed/removed MSGBUFSIZE since it conflicts with
	  OpenBSD's header file.

2008-12-11

	* libsylph/procmime.c: procmime_parse_mime_parameter(): made a
	  workaround for raw-JIS filename (Eudora etc.).

2008-12-03

	* libsylph/socket.[ch]
	  libsylph/session.c: added SYL_ prefix to SockFlags enum to avoid
	  confliction with recent glibc header file
	  (/usr/include/bits/socket.h) (thanks to Michael Schwendt).

2008-12-01

	* version 2.6.0rc

2008-11-28

	* libsylph/news.c
	  libsylph/imap.c: when removing news/imap accounts, remove cache
	  directory with server name if it becomes empty.

2008-11-27

	* src/foldersel.c: only expand folders which are expanded in the
	  folder view.

2008-11-27

	* libsylph/prefs.[ch]: made backup generation configurable.
	* libsylph/pop.c: pop3_write_uidl_list(): don't save older backups.

2008-11-27

	* src/addressbook.c: addressbook_refresh(): fixed a bug that the
	  addressbook window was not refreshed when adding sender to
	  addressbook.

2008-11-25

	* libsylph/mbox.c: proc_mbox_full(): only count for non-junk and
	  not-deleted and not-marked-as-read messages (thanks to Otinov
	  Sergey).

2008-11-25

	* src/foldersel.[ch]
	  src/summaryview.c
	  src/mainwindow.c: added message label to the folder selection
	  dialog.

2008-11-25

	* src/main.c: added #include <conio.h> for _getch() (thanks to Gisle
	  Vanem).

2008-11-20

	* src/addressbook.c
	  src/editgroup.c
	  src/gtkutils.c
	  src/select-keys.c
	  src/addr_compl.c
	  src/prefs_summary_column.c
	  src/prefs_display_items.c: include gtk/gtk.h as a workaround for
	  GTK+ >= 2.13.3.

2008-11-19

	* libsylph/session.c: session_connect(): fixed a bug that
	  session->server was not set.

2008-11-19

	* src/foldersel.c: made virtual folders unselectable when not in
	  FOLDER_SEL_ALL mode.

2008-11-19

	* libsylph/prefs.c: prefs_file_close(): keep backups for four
	  generations.

2008-11-14

	* version 2.6.0beta2

2008-11-14

	* src/rpop3.c: added menu using GtkUIManager.

2008-11-14

	* src/prefs_toolbar.c: use GTK_STOCK_NETWORK as the icon of POP3
	  remote mailbox.

2008-11-13

	* po/Makefile.in.in: updated for datarootdir.
	* missing: updated.

2008-11-13

	* src/jpilot.c: moved code conversion to separated function.
	  Code cleanup.

2008-10-07

	* src/prefs_toolbar.[ch]
	  src/mainwindow.[ch]: added POP3 remote mailbox button to the
	  toolbar.

2008-10-07

	* src/mainwindow.c: disable '/Message/Receive/Remote mailbox...'
	  when mail incorporation is active.

2008-10-03

	* manual/ja/sylpheed.sgml: updated Japanese manual.

2008-10-01

	* src/rpop3.c: fixed sorting by subject, date and size.

2008-09-29

	* version 2.6.0beta1

2008-09-29

	* src/main.c
	  libsylph/codeconv.c: check for HAVE_LOCALE_H and ENABLE_NLS
	  (thanks to Enrico Troger).

2008-09-26

	* src/inc.c
	  src/progressdialog.[ch]
	  src/send_message.c: added progress column to the progress dialog.

2008-09-26

	* src/messageview.c
	  src/summaryview.c
	  src/mainwindow.c
	  src/prefs_filter_edit.[ch]
	  src/prefs_filter.[ch]: use target header field as a default filter
	  name when creating filter rule automatically.

2008-09-25

	* src/rpop3.c: send NOOP command for each 30 seconds to prevent
	  session timeout.

2008-09-24

	* src/inputdialog.c: don't debug print return string on invisible
	  mode.
	* libsylph/imap.c: imap_parse_envelope(): allow responses such as
	  "RFC822.HEADER{...}" (workaround for some broken servers).

2008-09-24

	* src/rpop3.c: display 'Quitting...' on logout.

2008-09-19

	* src/rpop3.c: modified style.
	* configure.in: updated version.

2008-09-19

	* libsylph/socket.c: also handle G_IO_NVAL.
	* src/rpop3.c: added stop button which stops retrieving of headers.

2008-09-18

	* src/rpop3.c: enabled cancellation on connection.

2008-09-18

	* src/rpop3.c: implemented receiving of messages.

2008-09-18

	* src/rpop3.c: added timeout. Show dialog on error.

2008-09-17

	* libsylph/pop.c
	  src/rpop3.c: modified column width. Implemented message display.

2008-09-17

	* libsylph/pop.[ch]: made some functions non-static.
	  pop3_session_new(): set server, port, userid and password.
	* src/inc.c: sync with the libsylph/pop.[ch] change.
	* src/rpop3.[ch]
	  src/mainwindow.c: first implementation of remote POP3 mailbox
	  feature. Currently, only deletion of messages is available.

2008-07-16

	* src/compose.[ch]: fixed Enchant support.
	  Force 'en' dictionary if user-specified language doesn't match.

2008-07-10

	* libsylph/imap.c: imap_add_inter_folders(): more error checks.

2008-07-09

	* libsylph/imap.c: imap_get_folder_list(): add intermediate folders
	  because some IMAP servers don't return \NoSelect parent folders
	  at 'LIST "" "*"'.

2008-07-04

	* src/main.c: win32: handle window messages even if console is
	  initialized.

2008-07-04

	* src/main.c: win32: handle console ctrl events.
	  Call register_system_events() after all config files are read.

2008-06-27

	* configure.in
	  src/compose.c: supported GtkSpell 2.0.13 (with Enchant)
	  (thanks to Michael Schwendt).
	* Makefile.am: removed unrequired ACLOCAL_AMFLAGS.
	* config.guess
	  ltmain.sh
	  config.sub: updated.

2008-06-20

	* src/main.c: handle SIGHUP/SIGINT/SIGTERM/SIGQUIT signals on Unix,
	  and unified the function with Win32.

2008-06-19

	* libsylph/codeconv.[ch]:
	  conv_set_autodetect_type()
	  conv_get_autodetect_type(): added function to change the behavior
	  of character encoding auto-detection.

2008-06-18

	* libsylph/procmime.c: procmime_scan_mime_header(): also use
	  MimeInfo::filename to determine file type.

2008-06-17

	* version 2.5.0

2008-06-17

	* sylpheed.desktop: added Polish translation (thanks to Jan Stepien).

2008-06-06

	* version 2.5.0rc2

2008-06-06

	* src/template.c: template_load(): removed the restriction that the
	  template body over 8KB could not be read.

2008-06-06

	* INSTALL
	  INSTALL.ja: fixed GnuPG/GPGME URL.
	* configure.in: require GPGME >= 1.0.0.
	* src/about.c: updated copyright year.

2008-06-05

	* libsylph/codeconv.c: conv_get_locale_charset(): recognize "utf8"
	  in locale strings as UTF-8 (fixes some character corruption).

2008-06-05

	* libsylph/procmime.c: procmime_scan_encoding(): fixed
	  Content-Transfer-Encoding with comments.

2008-05-22

	* src/summaryview.c: summary_display_msg_idle_func(): fixed a crash
	  (thanks to Michael Schwendt).

2008-05-19

	* version 2.5.0rc

2008-05-16

	* src/compose.c: display alert dialog when signing/encryption failed.
	* src/select-keys.c: fixed window position and focus.

2008-05-14

	* src/summaryview.c: summary_display_msg_full(): don't move focus
	  from text view to summary view.

2008-05-08

	* libsylph/prefs_common.[ch] 
	  src/compose.[ch]: remember the maximized state.

2008-04-30

	* sylpheed.desktop: fixed warnings and added German translation
	  (thanks to Enrico Troger).
	* Makefile.am: install sylpheed.desktop and sylpheed-64x64.png.

2008-04-24

	* version 2.5.0beta3

2008-04-24

	* libsylph/prefs_common[ch]
	  src/compose.c
	  src/prefs_common_dialog.c: added option of excluded
	  addresses/domains for recipients confirmation.

2008-04-24

	* src/compose.c: compose_check_attachments(): exclude quoted lines.
	* src/prefs_common_dialog.c: modified English.

2008-04-11

	* version 2.5.0beta2

2008-04-11

	* src/summaryview.c: reset quick search condition if search bar is
	  not shown.

2008-04-11

	* src/gtkutils.h: added missing include.

2008-04-10

	* src/quick_search.c
	  src/mainwindow.c: added 'Edit/Quick search' menu.
	  Also search To: header in Sent/Draft/Queue folders.

2008-04-10

	* src/gtkutils.[ch]
	  src/prefs_account_dialog.c: spaces in address and server
	  entries are automatically removed at applying configuration.

2008-04-09

	* libsylph/session.c
	  src/send_message.c: always display error dialog when connection
	  to SMTP server failed.

2008-04-08

	* src/compose.c: compose_check_recipients(): fixed leaks of GSList.

2008-04-08

	* libsylph/prefs_common.[ch]
	  src/compose.c
	  src/prefs_common_dialog.c: added the option to confirm recipients
	  before sending.

2008-03-28

	* src/compose.c: delete attach property dialog when closed.

2008-03-28

	* libsylph/prefs_common.[ch]
	  src/prefs_common_dialog.c
	  src/compose.c: the feature to confirm missing attachments was added.

2008-03-27

	* src/query_search.c: number of matches is displayed when search is
	  done.

2008-03-19

	* src/main.c: parse_cmd_opt(): win32: fixed absolute path was not
	  handled correctly.

2008-03-13

	* src/addr_compl.c: get_completion_address(): added characters to be
	  quoted.
	  get_address_from_edit(): treat other characters than ',' and space
	  as valid ones.

2008-02-29

	* src/quick_search.c: added missing #include <gtk/gtkentry.h>.

2008-02-29

	* version 2.5.0beta1

2008-02-29

	* src/summaryview.c: fixed new/unread status display on filtered mode.

2008-02-28

	* src/prefs_common_dialog.c: fixed a bug that the quote description
	  dialog never appeared again after closing it with close button.

2008-02-15

	* libsylph/socket.c:
	  sock_connect_async_cb()
	  sock_connect_address_list_async(): also watch for G_IO_ERR and
	  G_IO_HUP (fixes busy loop when connection is immediately refused).

2008-02-15

	* libsylph/ssl.c
	  src/sslmanager.c: added the feature to save SSL peer certificate
	  and always accept it.

2008-01-08

	* src/quick_search.c: quick_search_create(): fixed crash on menu
	  change.

2007-12-28

	* libsylph/enums.h
	  libsylph/prefs_common.[ch]
	  src/quick_search.[ch]
	  src/summaryview.[ch]
	  src/mainwindow.[ch]
	  src/Makefile.am: implemented vertical view. Separated quick search
	  into another module.

2007-12-27

	* libsylph/prefs_common.[ch]
	  src/messageview.c
	  src/prefs_common_dialog.c: added the option 'Treat HTML only
	  messages as attachment'.

2007-12-27

	* configure.in
	  src/Makefile.am: don't enable windres on non-win32 platforms.

2007-12-21

	* version 2.4.8

2007-12-21

	* src/main.c: wndproc(): win32: call app_will_exit() when WM_ENDSESSION
	  is received (fixes folder tree state not saved etc.).

2007-12-20

	* src/summaryview.c: summary_show(): fixed beep on folders with one
	  message when using GTK+ 2.12.

2007-12-18

	* src/syldap.c: syldap_display_search_results(): fixed warnings again.

2007-12-17

	* src/syldap.c: fixed memory leaks (thanks to Michael Schwendt).
	  syldap_display_search_results(): fixed warnings (thanks to Michael
	  Schwendt).

2007-12-07

	* libsylph/codeconv.c: conv_encode_header(): use outgoing encoding
	  to determine B or Q encoding instead of MB_CUR_MAX.

2007-11-08

	* libsylph/utils.c: my_memmem(): fixed buffer overrun bug (though
	  unused).

2007-10-11

	* src/messageview.c: messageview_set_menu_state(): disable
	  /Message/Re-edit menu in non-sent folders.

2007-10-03

	* version 2.4.7

2007-09-28

	* src/compose.c
	  src/select-keys.c: fixed the crash when try to use ascii-armored PGP
	  encryption.

2007-09-27

	* libsylph/folder.c: folder_item_compare(): fixed a bug that virtual
	  folders were not sorted properly.

2007-09-27

	* src/summaryview.[ch]: fixed the status label so that it will
	  automatically resize when there is not enough width.

2007-09-26

	* src/mainwindow.c: main_window_separation_change(): keep previous
	  focus when separation changed.

2007-09-20

	libsylph/utils.c
	libsylph/procmsg.c
	libsylph/procmsg.h
	libsylph/procmime.c
	libsylph/imap.c
	src/addrcache.c
	src/compose.c
	src/inc.c
	src/trayicon.c
	src/printing.c
	src/addressbook.c
	src/prefs_toolbar.c
	src/editbook.c
	src/ldif.c
	src/mimeview.c
	src/importcsv.c
	src/main.c
	src/gtkshruler.c
	src/send_message.c
	src/rfc2015.c
	src/summaryview.c
	src/mainwindow.c
	src/manage_window.c
	src/prefs_display_items.c: removed all warnings output with -Wall.

2007-09-20

	* src/prefs_common_dialog.c: fixed a bug that 'Set display item of
	  summary...' button always show send folder setting.

2007-09-19

	* version 2.4.6

2007-09-19

	* libsylph/filter.c: filter_apply_msginfo(): disabled auto decrypt
	  to avoid passphrase dialog.

2007-09-18

	* src/compose.c: display error and abort sending if the read of attach
	  files fails.

2007-09-14

	* libsylph/imap.c: imap_create_folder(): check for \NoInferior and
	  \Noselect flags.

2007-09-14

	* libsylph/folder.[ch]: folder_item_copy(): new. It duplicates
	  FolderItem struct.
	* libsylph/imap.c: imap_scan_tree(): use 'LIST "" "*"' command
	  instead of 'LIST "" "%"' to obtain folder list.

2007-09-14

	* src/inc.[ch]
	  src/summaryview.c: block notify if a new message is read on
	  receiving.

2007-09-13

	* src/summaryview.c: summary_cmp_by_to(): compare using simpilfied
	  To strings.

2007-09-13

	* libsylph/procheader.[ch]: procheader_get_toname(): added.
	* src/summaryview.c: summary_set_row(): simplify To headers.

2007-09-13

	* libsylph/procmsg.[ch]: procmsg_set_auto_decrypt_message(): added.
	* src/query_search.c: query_search_folder(): disabled the passphrase
	  dialog on query search.

2007-09-12

	* libsylph/enums.h
	  libsylph/folder.h
	  libsylph/prefs_common.[ch]
	  src/summaryview.c
	  src/prefs_summary_column.[ch]
	  src/mainwindow.c: added 'To' column to the summary view. It will
	  be displayed at sent folders (Sent, Draft, Queue) by default.
	  The display column setting of sent and normal folders became
	  independent.

2007-09-10

	* src/compose.c
	  src/rfc2015.[ch]: use combined method for encrypt and sign with
	  PGP/MIME.
	  rfc2015_encrypt_sign(): added.
	  rfc2015_encrypt_sign_armored(): fixed a memory leak.

2007-09-07

	* src/compose.c
	  src/rfc2015.[ch]: implemented proper ascii-armored PGP encryption.
	  rfc2015_encrypt_armored()
	  rfc2015_encrypt_sign_armored(): added.

2007-08-31

	* version 2.4.5

2007-08-31

	* src/addr_compl.c: get_complete_address(): fixed another format
	  string bug in address completion (thanks to Megaman 9703).

2007-08-23

	* src/compose.c: compose_is_itemized(): also don't join '--'.

2007-08-23

	* libsylph/codeconv.c: conv_get_current_locale(): fixed the case
	  when cur_locale = "" (thanks to Elohin Igor').

2007-08-23

	* src/inc.c: inc_put_error(): fixed format string vulnerability
	  (thanks to Ulf Harnhammar, Secunia Research).

2007-07-20

	* version 2.4.4

2007-07-20

	* src/compose.c: compose_reply(): fixed a memory leak.

2007-07-20

	* libsylph/socket.c: ssl_read(): win32: set errno to EIO to avoid
	  random error message.
	* src/send_message.c: send_message_smtp(): ignore errors right after
	  QUIT (workaround for Gmail SMTP server).

2007-07-18

	* src/compose.c: compose_parse_source_msg(): fixed wrong null check.

2007-07-17

	* src/mimeview.c: mimeview_reply(): remove file after reply.

2007-07-17

	* src/compose.c
	  src/send_message.[ch]: send_message_set_reply_flag(): check reply
	  target's Message-Id when adding reply flags.

2007-07-13

	* libsylph/prefs_common.[ch]: prefs_common_junk_folder_rename_path():
	  added.
	* src/folderview.c: also update junk folder path when a folder is
	  renamed.

2007-07-13

	* libsylph/filter.c: filter_rule_rename_dest_path()
	  filter_rule_delete_action_by_dest_path(): fixed path separator
	  (win32: fixes renaming of folder didn't modify filter actions).

2007-07-12

	* src/compose.[ch]
	  src/send_message.[ch]: refactored
	  add-reply-or-forward-mark-after-sending.
	* libsylph/procmsg.c: removed debug print.

2007-07-11

	* libsylph/folder.[ch]: folder_find_item_and_num_from_id(): added.
	* src/compose.c
	  src/send_message.c: code cleanup.

2007-07-11

	* src/editbook.c: win32: fixed a bug that the name entry didn't
	  accept key input.

2007-07-10

	* src/compose.c
	  src/mimeview.[ch]
	  src/send_message.c: added the feature to reply to attached
	  message/rfc822 messages.
	* src/quote_fmt_parse.y: removed the check of MsgInfo::folder.

2007-07-10

	* src/compose.c: restore reply/forward target on reedit.
	* src/send_message.c: send_get_queue_info(): fixed memory leaks.

2007-07-09

	* src/compose.c
	  src/send_message.[ch]: implemented add-reply-or-forward-mark
	  after sending from queue.

2007-07-09

	* src/compose.c: implemented add-forward-mark-after-sending.

2007-07-09

	* libsylph/procmsg.[ch]: procmsg_get_msginfo(): added.
	* src/compose.c
	  src/summaryview.[ch]: implemented add-reply-mark-after-sending.

2007-06-26

	* version 2.4.3

2007-06-25

	* src/addressbook.c: addressbook_format_address(): null-check person
	  to avoid crash (thanks to Michael Schwendt).

2007-06-22

	* src/about.c: place cursor at the start (fixed unintended scroll
	  on win32).

2007-06-15

	* src/manage_window.c: manage_window_set_transient(): force popup
	  of parent window (fixes invisible dialog when main window is hidden).

2007-06-11

	* libsylph/socket.[ch]: added sock_add_watch_poll().
	* libsylph/session.c: win32: use blocking socket while sending data
	  (fixes stall of SMTP when sending via dialup connection).

2007-06-08

	* src/compose.c: compose_get_signature_str(): supported UTF-8 with
	  BOM.

2007-06-07

	* libsylph/session.c: session_ping_cb(): abort if not connected.

2007-06-04

	* src/summaryview.c: clear search entry when Escape key is pressed.

2007-05-28

	* src/compose.c: compose_exec_ext_editor(): win32: fixed infinite loop
	  when pid was not obtained.

2007-05-28

	* src/filesel.c: filesel_select_file_full(): don't execute automatic
	  incorporation while dialog is open.

2007-05-18

	* version 2.4.2

2007-05-18

	* src/main.c: open_message(): fixed a memory leak.

2007-05-18

	* libsylph/utils.[ch]: uriencode_for_mailto(): added.
	* src/textview.c: URI encode mailto: to protect '+'.

2007-05-17

	* src/main.c
	  src/mainwindow.c: added --open to the help message.

2007-05-16

	* src/summaryview.[ch]: summary_mark_all_read(): improved the
	  performance of IMAP4 by only modifying the flagged messages.

2007-05-16

	* libsylph/utils.[ch]:
	  extract_parenthesis_with_escape()
	  extract_quote_with_escape(): added.
	* libsylph/procheader.c: procheader_get_fromname(): process
	  quoted-pair correctly.

2007-05-15

	* libsylph/procmime.[ch]: procmime_get_encoding_for_str(): added.
	* src/compose.c: compose_write_to_file(): chomp all trailing spaces
	  only if body charset is ISO-2022-JP. Use quoted-printable or
	  base64 in other case.

2007-05-14

	* src/summaryview.c: the quick search key now persists on refresh.
	  The selection now persists on the update of quick search.

2007-05-10

	* libsylph/folder.c: qsearch_cond_type now persists between sessions.

2007-05-10

	* src/mainwindow.c: main_window_set_toolbar_sensitive(): made a
	  workaround for the GTK+ bug (Bug 56070 - Can't click button after
	  setting it sensitive.)

2007-05-10

	* src/summaryview.c: fixed wrong status on persist qsearch filter.

2007-05-10

	* libsylph/folder.[ch]: added qsearch_cond_type to FolderItem.
	* libsylph/prefs_common.[ch]: added persist_qsearch_filter option.
	* src/summaryview.c: the quick search condition now persists for the
	  whole session.

2007-05-09

	* src/main.c: also supported '--open' in initial startup.

2007-05-09

	* src/main.c: implemented '--open' command line option which open
	  messages specified with command-line in new window.
	* libsylph/mh.c: mh_fetch_msg(): don't show warning when num is
	  out of range.

2007-05-08

	* src/prefs_account_dialog.c: prefs_account_ssl_create():
	  automatically set SSL ports in Advanced tab when the radio buttons
	  are toggled.

2007-05-07

	* src/folderview.c: enabled recursive download of remote folders.

2007-05-02

	* version 2.4.1

2007-05-02

	* src/sylpheed.rc.in: updated copyright year.

2007-04-27

	* src/query_search.c: query_search_create_vfolder(): win32: fixed
	  path separator problem (use / for abstract path).

2007-04-27

	* src/main.c: win32: read sylpheed.ini file on startup. Added --ipcport
	  option.

2007-04-26

	* src/addr_compl.c: insert address only if shift or control key is
	  pressed when accepting.

2007-04-26

	* src/addressbook.c: addressbook_load_completion(): added nickname to
	  the callback argument for completion only. Give priority to display
	  name rather than nickname.
	* src/addr_compl.c: removed g_ prefix from non-glib symbols. Removed
	  duplicated candidates.

2007-04-26

	* src/main.c: win32: disable autocheck timer while suspending to
	  prevent network error on resume.

2007-04-23

	* libsylph/ssl.c
	  src/sslmanager.c: use OPENSSL_free() instead of g_free() for
	  strings allocated by OpenSSL (fixes crash on Win32 when an OpenSSL
	  DLL linked with MSVCR71.DLL was used. Thanks to Akihiro Okamura).

2007-04-20

	* version 2.4.0

2007-04-20

	* manual/ja/sylpheed.sgml
	  manual/ja/sylpheed*.html: updated.

2007-04-19

	* libsylph/pop.c:
	  pop3_getauth_apop_send()
	  pop3_session_recv_msg(): check for invalid APOP timestamp
	  (CVE-2007-1558), and check for the functions' return value.

2007-04-19

	* src/mainwindow.c: toolbar_customize()
	  src/compose.c: toolbar_customize(): write config file after toolbar
	  customization.

2007-04-18

	* version 2.4.0rc

2007-04-18

	* libsylph/recv.c: recv_bytes(): restrict the buffer size up to
	  BUFFSIZE (fixes crashes when trying to fetch >64KB messages on IMAP4
	  via FreeCap on Win32).
	* libsylph/utils.c: log_print(): use g_print() instead of fputs()
	  when output to stdout to display UTF-8 correctly.

2007-04-18

	* src/printing.c: message_count_page(): a workaround for the crash
	  which seems to occur on Fedora Core.

2007-04-17

	* manual/ja/sylpheed.sgml
	  manual/ja/sylpheed*.html: updated.

2007-04-17

	* src/addrcache.c
	  src/addressbook.c: fixed a crash bug that if a person was removed
	  and its e-mail address was referenced by a group in another folder.

2007-04-17

	* libsylph/session.[ch]: remove idle callback on close, and check
	  GSource in the callback (possibly fixes crashes on cancellation).

2007-04-16

	* manual/ja/sylpheed.sgml
	  manual/ja/sylpheed*.html: updated for 2.4.0.

2007-04-16

	* libsylph/prefs_common.c
	  src/gtkutils.[ch]
	  src/main.c: win32: check if the font "MS Gothic 12" is really
	  loadable. Also check for multi-byte font name for the new JIS2004
	  MS Gothic font.

2007-04-13

	* libsylph/utils.c: copy_file(): optimized using read() / write().

2007-04-13

	* libsylph/utils.c: file_exist(): use g_file_test() if allow_fifo is
	  FALSE (optimization in win32).
	  rename_force(): win32: don't use workaround in recent version of GLib
	  since its g_rename() now atomically overwrites the destination file.
	  move_file(): use is_file_entry_exist() instead of is_file_exist() in
	  non-overwrite mode.

2007-04-12

	* version 2.4.0beta8

2007-04-12

	* src/menu.h
	  src/mainwindow.c: added toolbar style switch to the context menu of
	  the toolbar.

2007-04-12

	* src/addressbook.c
	  src/editbook.c: use 'Address Book' instead of 'Addressbook'.

2007-04-12

	* libsylph/codeconv.[ch]: supported ISO-8859-16.

2007-04-11

	* src/query_search.c: query_search_folder(): flush summary mark/cache
	  before retrieving message list (fixes incorrect message number on
	  search. Thanks to Nakada).

2007-04-11

	* src/filesel.c: use Yes/No button for overwrite confirmation dialog.

2007-04-11

	* src/filesel.c: use custom overwrite confirmation dialog.

2007-04-11

	* src/filesel.c: use GTK's overwrite confirmation dialog.

2007-04-11

	* src/importldif.c
	  src/importcsv.c: fixed the position of transient window.

2007-04-11

	* src/importcsv.c: scroll CList when reordering.

2007-04-11

	* src/importcsv.c: supported tab-separated file.

2007-04-11

	* libsylph/utils.[ch]: strsplit_csv(): added.
	* src/importcsv.c: properly process CSV with double quotations.

2007-04-11

	* src/addressbook.c: set focus row after import.

2007-04-11

	* src/importcsv.c: adjusted spacing and wrap file name.

2007-04-11

	* src/importcsv.c: added description to the field page.

2007-04-11

	* src/importcsv.c: imp_csv_load_fields(): fixed initially incorrect
	  scrollbar size.

2007-04-11

	* src/inc.c: inc_cancel()
	  src/send_message.c: send_cancel_button_cb(): disconnect immediately
	  when cancelled (possibly fixes crash after cancellation).

2007-04-10

	* src/importcsv.c: added Remarks field. Fixed reorder of the last row.

2007-04-10

	* src/importcsv.c: implemented enable/disable of fields.

2007-04-10

	* src/importldif.c: modified the navigate buttons.
	* src/importcsv.c: implemented reorder of items.

2007-04-10

	* src/addressbook.c: also delete physical files when deleting data
	  sources. Bring addressbook window in front after closing the import
	  dialogs.
	* src/importcsv.c: imp_csv_load_fields(): implemented case:
	  CSV columns < address book fileds.

2007-04-10

	* src/importldif.c
	  src/importcsv.c: convert filename from/to UTF-8.

2007-04-10

	* src/importldif.c
	  src/importcsv.c: use GtkFileChooser.
	* src/passphrase.c
	  src/editjpilot.c
	  src/export.c
	  src/import.c
	  src/editvcard.c: removed redundant includes.

2007-04-10

	* src/mainwindow.c
	  src/prefs_filter.c: modified the string "Filter setting" to
	  "Filter settings".

2007-04-06

	* src/importcsv.c: fixed import of locale encoding.

2007-04-06

	* src/importcsv.[ch]
	  src/addressbook.c
	  src/Makefile.am: implemented CSV import (in progress).

2007-04-06

	* src/compose.c: modified the menu string '/View/Reply-To' and
	  '/View/Followup-To'.

2007-04-06

	* src/compose.c: made the position of the ruler ticks accurate.

2007-04-06

	* libsylph/filter.[ch]: return error code.
	* src/inc.c
	  src/summaryview.c: display error dialog if the execution of the
	  junk filter command failed.

2007-04-06

	* src/summaryview.c: added new quick search rule: 'Within 1 day' and
	  'Recent 5 days'. Fixed a memory leak.

2007-04-05

	* src/compose.c: added margin to the text view.
	* src/gtkshruler.[ch]: added new APIs for tick start position.

2007-04-04

	* libsylph/procmime.c: procmime_scan_multipart_message(): use heap
	  memory instead of stack for read buffer, and increased the max
	  recursion level to 64.

2007-04-04

	* src/inc.c: inc_is_active(): also check for session queue.
	  inc_cancel_all(): really cancel all sessions.

2007-04-03

	* version 2.4.0beta7

2007-04-03

	* libsylph/mh.c
	  libsylph/folder.c
	  libsylph/imap.c: win32: fixed a bug that the path separator of
	  FolderItem::path was not processed correctly (fixed path information
	  becoming incorrect on renaming folders).

2007-04-02

	* sylpheed.desktop: added Comment[hu] and modified Categories
	  (thanks to nTOMasz).

2007-04-02

	* src/prefs_toolbar.[ch]
	  src/mainwindow.[ch]: added Stop button to the toolbar.

2007-03-30

	* libsylph/utils.[ch]: scan_mailto_url(): added an argument for
	  in-reply-to header.
	* src/compose.c: supported In-Reply-To header in mailto URL (thanks
	  to Laurent Bigonville).

2007-03-29

	* src/main.c: app_will_exit(): force process termination (fixes
	  unable to exit sylpheed in some case).

2007-03-29

	* src/inc.c
	  src/main.c: disable --compose, --receive, --send remote commands
	  when a modal dialog exists.

2007-03-28

	* src/textview.c: textview_show_message(): put error message when
	  decryption failed.

2007-03-28

	* src/folderview.c: folderview_select_next_unread(): temporarily
	  disable remember_last_selected option (fixes select next unread).

2007-03-28

	* version 2.4.0beta6

2007-03-27

	* src/prefs_display_header.c
	  src/prefs_actions.c
	  src/addressbook.c
	  src/editgroup.c
	  src/importldif.c
	  src/prefs_template.c
	  src/select-keys.c
	  src/editaddress.c
	  src/addressadd.c
	  src/editldap_basedn.c
	  src/prefs_summary_column.c
	  src/prefs_filter_edit.c
	  src/prefs_display_items.c
	  src/prefs_customheader.c
	  src/gtkutils.[ch]: win32: made a workaround for the redraw problem
	  in GTK+ 2.10.11.

2007-03-25

	* libsylph/imap.c
	  libsylph/mh.c: fixed get_msg_list() with uncached_only flag.
	* src/inc.c: inc_remote_account_mail(): fixed a bug that messages which
	  were not filtered were not counted as new messages.

2007-03-25

	* src/main.c: app_init(): win32: disabled LANGUAGE (fixes incorrect
	  language selection).

2007-03-23

	* src/folderview.c: label_window_create(): don't use
	  gtk_widget_show_now() (fixes stall on rebuilding folder tree).

2007-03-20

	* src/prefs_display_item.c: win32: made a workaround for the CList
	  redraw problem in GTK+ 2.10.11.

2007-03-16

	* version 2.4.0beta5

2007-03-15

	* libsylph/filter.c: filter_action_exec(): fixed a bug that flag
	  changes were not applied on copy action in local filtering.
	* src/inc.c: inc_remote_account_mail(): apply flag changes in IMAP
	  automatic filtering.

2007-03-14

	* libsylph/mh.c
	  libsylph/folder.c: win32: use '/' instead of '\' for folder path
	  (fixes data format incompatibility between Unix and Win32).

2007-03-14

	* src/inc.c: inc_remote_account_mail(): enabled automatic junk mail
	  filtering on IMAP.

2007-03-14

	* libsylph/codeconv.c: conv_encode_header(): fixed wrong handling
	  of quotation in continuing multi-byte strings.

2007-03-13

	* src/summaryview.c: fixed crash on exit when the order of summary
	  columns were changed by DnD.

2007-03-02

	* src/printing.c: printing_print_messages_gtk(): made the default
	  directory of printing dialog document dir.

2007-03-02

	* src/addr_compl.c: completion_window_key_press(): prevent warnings
	  when ESC, BS etc. is pressed.
	* src/addressbook.c: removed Name: label.

2007-03-01

	* src/rfc2015.c
	  src/sigstatus.c: guard against null verify result.

2007-02-23

	* src/inc.c: inc_remote_account_mail(): count filtered messages for
	  new mail notification.

2007-02-23

	* libsylph/session.c: win32: fixed a bug that the timeout didn't work.

2007-02-21

	* src/addressbook.c
	  src/addressitem.h: added close button to the address book.
	  Set the minimum size of the window.

2007-02-16

	* src/editaddress.c: removed unused code, and set window position to
	  center on parent.

2007-02-16

	* src/editgroup.c: improved the layout of the edit group dialog.

2007-02-15

	* version 2.4.0beta4

2007-02-15

	* src/addressbook.c: code cleanups. Disable 'Lookup' button if LDAP
	  is disabled.

2007-02-15

	* src/addressbook.c: addressbook_load_completion(): fixed possible
	  crash.

2007-02-15

	* src/folderview.c: folderview_create(): enabled coloring of
	  new/unread/total columns.

2007-02-13

	* src/addressbook.c: enabled multiple copy and paste of persons.

2007-02-13

	* src/addressbook.c
	  src/addrbook.[ch]: when deleting email from group, only remove from
	  group list and not from person.
	  Added "Delete" shortcut key to '/Address/Delete'.

2007-02-13

	* wrc/mainwindow.c: main_window_get_size(): fixed the problem that
	  the width of the folder view was not saved on maximized state.

2007-02-13

	* src/folderview.c: folderview_check_new(): don't give up unless the
	  network failure of remote mailboxes.

2007-02-09

	* src/addressbook.c: removed redundant signal handler.

2007-02-09

	* src/addressbook.c: addressbook_menuitem_set_sensitive(): fixed the
	  sensitivity of 'New Address'.
	* src/editgroup.c: improved the behavior of edit group dialog.

2007-02-09

	* src/addressbook.c: implemented copy and paste of person, and
	  refactored the menu sensitivity management.

2007-02-08

	* libsylph/mbox.[ch]
	  src/inc.c: added the argument filter_junk to proc_mbox_full().
	  proc_mbox(): don't filter junk if folder_table is NULL.

2007-02-07

	* version 2.4.0beta3

2007-02-07

	* src/prefs_filter_edit.c: prefs_filter_edit_set_header_list():
	  fixed a memory leak.

2007-02-07

	* libsylph/procheader.[ch]
	  src/query_search.c
	  src/prefs_filter_edit.c
	  src/prefs_filter.[ch]: fixed a bug that the saved search rule
	  could be broken after editing a search folder.
	  Fixed a bug that the user-defined headers was not saved.

2007-02-06

	* libsylph/mbox.[ch]
	  src/inc.c: filter junk mails from local mbox even if
	  prefs_common.filter_on_inc is FALSE.
	  proc_mbox_full(): added.

2007-02-06

	* src/prefs_toolbar.[ch]
	  src/icons/stock_notspam.png
	  src/icons/Makefile.am
	  src/stock_pixmap.[ch]
	  src/mainwindow.[ch]: added 'Not junk' and 'Search' button to the
	  main toolbar.

2007-02-05

	* src/compose.c: fixed '/View/Customize toolbar...' menu.

2007-02-02

	* src/compose.c
	  src/main.c
	  src/mainwindow.c: disable 'Send' button when no queued messages
	  exist.

2007-02-02

	* src/prefs_toolbar.c
	  src/prefs_summary_column.c
	  src/prefs_display_items.c: disalbed reordering by DnD because of
	  GtkCList bug. Added dummy row to the display list. Made separator
	  label more visible.

2007-02-01

	* src/prefs_toolbar.c: fixed 'Get' icon.

2007-02-01

	* version 2.4.0beta2

2007-02-01

	* libsylph/prefs_common.c
	  src/compose.[ch]
	  src/prefs_toolbar.[ch]
	  src/mainwindow.c
	  src/prefs_display_items.h: refactored the toolbar structure.
	  Added common and account prefs tool button to the compose window.

2007-02-01

	* src/mainwindow.c: main_window_set_menu_sensitive(): don't lock some
	  items in Configuration menu.

2007-02-01

	* src/mainwindow.c: main_window_window_state_cb(): fixed a bug that
	  the window was kept being skipped from window list after it became
	  visible with window shading or switching workspaces.

2007-01-31

	* libsylph/enums.h
	  src/compose.c
	  src/prefs_toolbar.h
	  src/mainwindow.c: added the option 'Text at the right of icon' for
	  the toolbar.

2007-01-31

	* src/mainwindow.c
	  src/prefs_account_dialog.c: made labels more descriptive.

2007-01-31

	* src/compose.c
	  src/menu.c
	  src/gtkutils.[ch]
	  src/mainwindow.c: reimplemented the toolbar with new APIs.
	  Overflow menu was added, and the size of button became not fully
	  homogeneous.

2007-01-30

	* libsylph/mh.c: mh_scan_tree_recursive(): also scan symbolic links.
	* libsylph/utils.c: remove_dir_recursive_real(): if rmdir() fails,
	  try unlink() for symbolic links.

2007-01-30

	* src/mainwindow.[ch]
	  src/prefs_toolbar.[ch]: added new toolbar items.

2007-01-30

	* src/mainwindow.c: main_window_set_toolbar_button_visibility():
	  don't automatically hide Junk and Execute button.
	* src/prefs_toolbar.h: PrefsToolbarItem: added stock_id.

2007-01-29

	* version 2.4.0beta1

2007-01-26

	* src/mainwindow.c
	  src/compose.c: fixed a bug that the toolbar state was reset to
	  GTK_TOOLBAR_BOTH after the customization of toolbar.

2007-01-26

	* src/prefs_toolbar.c
	  src/mainwindow.c
	  src/prefs_display_items.[ch]: set dialog title and label.
	* src/prefs_summary_column.c: place window on the center of parent.

2007-01-26

	* src/compose.c
	  src/prefs_toolbar.[ch]
	  src/mainwindow.c
	  src/prefs_display_items.[ch]: implemented the toolbar customization
	  of the composition window.
	* src/prefs_summary_column.c: prefs_summary_column_add(): add items
	  before focused row.

2007-01-25

	* src/prefs_display_items.[ch]
	  src/prefs_toolbar.[ch]
	  src/mainwindow.c: implemented the toolbar customization dialog.

2007-01-24

	* libsylph/socket.c: fd_open_inet(): win32: inhibit the warning of
	  setsockopt().

2007-01-22

	* libsylph/session.c: session_ping_cb(): prohibit blocking here.
	  libsylph/socket.[ch]: added SockFlags as a member of SockInfo.
	  fd_check_io(): select() sockets if SOCK_CHECK_IO flag is up even if
	  in non-blocking mode (prevents WSAEWOULDBLOCK in Win32).

2007-01-19

	* libsylph/session.c
	  libsylph/socket.c: win32: increased SO_SNDBUF and SO_RCVBUF
	  (fixes low performance on sending data).

2007-01-19

	* src/send_message.c: send_message_smtp(): prevent incorporation
	  while executing the event loop.

2007-01-18

	* libsylph/prefs_common.[ch]
	  src/mainwindow.c: implemented the framework of toolbar
	  customization.

2007-01-18

	* src/prefs_account_dialog.c: prefs_account_receive_create(): added
	  the option "Filter new messages in INBOX on receiving".

2007-01-18

	* src/mainwindow.c: main_window_toolbar_create(): added separator
	  between junk and next (or execute).

2007-01-18

	* src/textview.c: textview_clear(): made a workaround for the assertion
	  failure in gtk_text_view_validate_onscreen().

2007-01-17

	* libsylph/filter.c: filter_apply_msginfo(): return immediately if
	  procmsg_get_message_file() failed.
	* libsylph/imap.c: imap_get_msg_list_full(): return NULL if
	  uncached_only.

2007-01-17

	* libsylph/virtual.c: fixed virtual class structure.

2007-01-17

	* libsylph/mh.c
	  libsylph/folder.[ch]
	  libsylph/news.c
	  libsylph/prefs_account.[ch]
	  libsylph/imap.c
	  src/inc.c: implemented the automatic filtering of IMAP4 INBOX
	  folder.
	  folder_item_get_uncached_msg_list(): new API.

2007-01-17

	* src/about.[ch]
	  README
	  README.ja
	  COPYING: modified the copyright year.

2007-01-17

	* libsylph/codeconv.c: conv_encode_header(): force output of UTF-8
	  if code conversion failed.

2007-01-16

	* libsylph/procmsg.c: procmsg_open_data_file(): fixed a bug that the
	  version of a data file was not checked when the file couldn't be
	  opened with EACCES and reopened.

2007-01-15

	* libsylph/utils.c: get_rc_dir(): win32: use SHGetFolderPath() instead
	  of using environmental variable APPDATA. 

2007-01-15

	* libsylph/utils.c: get_domain_name(): win32: return correct domain
	  name (if possible).

2007-01-12

	* src/account_dialog.c: account_edit_create(): place edit account
	  window at the center of parent window.

2007-01-12

	* libsylph/utils.c
	  libsylph/codeconv.c: conv_encode_header(): handle quote correctly
	  (fixes stray quote character appearing after encoding mail headers).

2007-01-11

	* libsylph/procmime.c: procmime_parse_mime_parameter(): allow spaces
	  around equals between name and value of MIME parameters.

2007-01-11

	* libsylph/prefs_common.[ch]
	  src/trayicon.c
	  src/prefs_common_dialog.c: added the option to toggle window on
	  trayicon click.

2007-01-11

	* libsylph/ssl.c: find_certs_file(): also look for "ca-root.crt".

2006-12-28

	* libsylph/mbox.c: proc_mbox(): filter junk mails when
	  filter_junk_on_recv is enabled.

2006-12-28

	* configure.in: check additional libraries (resolv, socket, nsl)
	  (fixes compilation failure in some OSes).

2006-12-28

	* libsylph/imap.c: imap_cmd_fetch(): read until last response on
	  error (fixes out of sync response).

2006-12-28

	* src/compose.c: compose_create(): win32: don't set geometry hint
	  (fixes compose window cannot be maximized).

2006-12-28

	* src/compose.c: compose_exec_ext_editor(): display verbose error
	  message. Fixed a memory leak.

2006-12-25

	* libsylph/utils.c: change_file_mode_rw(): win32: use widechar API.

2006-12-25

	* libsylph/utils.c: change_file_mode_rw(): win32: use
	  SetFileAttributes() to change file attributes.
	* libsylph/procmsg.c:
	  procmsg_write_mark_file(): check if procmsg_open_mark_file() really
	  succeeds (fixes crash when .sylpheed_mark is not writable).
	  procmsg_open_data_file(): remove read-only/hidden attributes
	  when data file is unable to open with EACCES.

2006-12-25

	* libsylph/socket.c: added #include "utils.h" (fixes compilation
	  failure with GLib 2.4).

2006-12-22

	* version 2.3.0

2006-12-22

	* manual/ja/sylpheed.sgml
	  manual/ja/sylpheed*.html
	  manual/ja/Makefile.am: added security feature section.

2006-12-20

	* manual/ja/sylpheed.sgml
	  manual/ja/sylpheed*.html
	  manual/ja/Makefile.am: updated for 2.3.0.

2006-12-19

	* version 2.3.0rc

2006-12-19

	* src/mainwindow.c: main_window_popup(): follow the current visibility
	  state in separate window mode (fixes blank message view is always
	  appears on window popup).

2006-12-18

	* libsylph/ssl.c: ssl_init(): call SSL_CTX_load_verify_locations()
	  also when only certs_file exists.

2006-12-18

	* libsylph/ssl.c: ssl_init(): look for CA certificates bundle file
	  in multiple location.
	  ssl_init_socket_with_method(): disabled reject list (for now).

2006-12-14

	* src/version.h.in: modified PROG_VERSION string.

2006-12-14

	* version 2.3.0beta7

2006-12-14

	* libsylph/ssl.c: x509_cmp_func(): use X509_cmp().

2006-12-14

	* src/compose.c
	  src/prefs_template.c
	  src/template.[ch]: added Bcc: and Reply-To: to the template.

2006-12-13

	* src/printing.c: adjusted the margin for page number.

2006-12-13

	* src/printing.[ch]
	  src/messageview.c
	  src/mainwindow.c: implemented page setup.

2006-12-13

	* src/sslmanager.c: ssl_manager_verify_cert(): follow comply_gnome_hig
	  setting.

2006-12-13

	* libsylph/socket.c: Unix: reload /etc/resolv.conf if it has been
	  modified.

2006-12-13

	* libsylph/ssl.c: ssl_init(): read /etc/ssl/certs if exist.
	* src/main.c: call sock_init() and ssl_init() after parse_cmd_opt()
	  for debug option.

2006-12-13

	* src/compose.c: compose_reedit(): place cursor at the top of the
	  text. Set the default focus to To or Subject entry if they're empty.

2006-12-12

	* libsylph/ssl.[ch]
	  src/sslmanager.[ch]
	  src/main.c: implemented SSL certificate dialog.

2006-12-12

	* src/printing.c: draw_page(): fixed crash on the request of a page
	  which is out of range.

2006-12-12

	* src/printing.c: reimplemented multiple page printing.
	  Implemented printing of MIME part using GtkPrintOperation.

2006-12-11

	* src/prefs_common_dialog.c
	  src/prefs_account_dialog.c: don't make GtkTextView auto-expanded.

2006-12-11

	* src/prefs_account_dialog.c: implemented auto-input of signature.

2006-12-08

	* libsylph/prefs_account.[ch]
	  src/prefs_account_dialog.c
	  src/compose.c: added the option to input signature directly.

2006-12-08

	* src/printing.c: use the display font size.

2006-12-07

	* src/prefs_account_dialog.c: prefs_account_receive_create(): modified
	  the description.

2006-12-07

	* version 2.3.0beta6

2006-12-07

	* src/messageview.c
	  src/textview.c: give the priority to the separated message view's
	  encoding setting on display and on reply.

2006-12-06

	* src/printing.c: layout_set_headers(): fixed a memory leak.
	  message_count_page(): adjusted the line number of first page.

2006-12-06

	* src/printing.c: added page number.

2006-12-06

	* src/printing.c: more proper implementetion.

2006-12-05

	* src/summaryview.c:
	  summary_filter_func()
	  summary_filter_junk_func(): flush UI for each 100 messages.

2006-12-05

	* src/send_message.c: send_send_data_progressive(): win32: force
	  flushing of UI (fixes the dialog not updated while sending large
	  messages).

2006-12-04

	* src/printing.c: implemented printing of multiple pages.

2006-12-04

	* src/printing.c: implemented page counting.

2006-12-04

	* src/printing.c: printing_print_message_part(): show confirmation
	  dialog.

2006-12-04

	* libsylph/imap.c: imap_get_uncached_messages(): fixed a warning
	  (thanks to Sebastian Kargel).

2006-11-30

	* libsylph/procmsg.c
	  src/printing.[ch]
	  src/messageview.c
	  src/mimeview.[ch]
	  src/summaryview.c: implemented printing of MIME part. Code cleanups.

2006-11-29

	* libsylph/prefs_common.[ch]
	  src/summaryview.c
	  src/prefs_common_dialog.c: added an option "Use external program for
	  printing". It is ignored on GTK+ < 2.10, though.

2006-11-29

	* libsylph/prefs_common.[ch]
	  src/compose.c
	  src/prefs_common_dialog.c: added an option "Inherit recipients on
	  reply to self messages".

2006-11-24

	* src/mainwindow.c: account_selector_menu_cb(): only change current
	  account display (fixes message view get scrolled to the top on
	  account change).

2006-11-22

	* src/gtkutils.c: gtkut_window_popup(): win32: ensure that the window
	  is displayed at the top (fixes window not brought in front with
	  the tray icon click after DnD).

2006-11-22

	* src/printing.[ch]
	  src/summaryview.c: initial implementation of new printing using
	  GtkPrintOperation.

2006-11-21

	* src/summaryview.c
	  src/folderview.c
	  src/mainwindow.c: disable new mail notification when any message
	  is displayed, marked as read, or trashes are emptied.

2006-11-21

	* merged from LibSylph branch.
	* libsylph/utils.c: my_tmpfile(): guard against unset progname.
	* libsylph/session.c: check whether notify callback is set.
	* libsylph/smtp.h
	  libsylph/session.h
	  libsylph/socket.h: fixed the offset of struct members independent
	  from configuration.

2006-11-20

	* libsylph/folder.[ch]: added folder_scan_tree() and
	  folder_create_tree().

2006-11-20

	* merged from LibSylph branch.
	* libsylph/prefs_common.[ch]: added prefs_common_get().
	* libsylph/filter.h: modified the prototype of filter_cond_new().
	* libsylph/account.[ch]: added account_get_current_account().
	* libsylph/mbox.c: use account_get_current_account().
	* libsylph/procmime.[ch]: removed unused procmime_mimeinfo_replace().

2006-11-16

	* src/mainwindow.c: main_window_create(): modified the height of
	  the statusbar.

2006-11-16

	* src/summaryview.c: periodically update UI on manual filtering.

2006-11-15

	* src/jpilot.c: applied the patch for libpisock12 support (fixes
	  AddressDB.pdb import failure). Thanks to Colin and Corey.

2006-11-14

	* libsylph/utils.[ch]: added get_document_dir() which returns the
	  document directory (in Win32, it is 'My Documents'. In Unix, it is
	  home directory).
	* src/filesel.c: filesel_select_file_full(): made the default directory
	  document folder.

2006-11-14

	* src/addressadd.c: removed statusbar.

2006-11-13

	* src/headerview.[ch]: added Cc: header.

2006-11-13

	* src/addressadd.c: made the window position at the center of parent
	  window. Also modified the layout.

2006-11-10

	* version 2.3.0beta5

2006-11-10

	* src/trayicon.[ch]: implemented trayicon_set_notify() with
	  eggtrayicon. Don't compile eggtrayicon with GTK+ >= 2.10.0.
	  Some code cleanups.

2006-11-09

	* src/inc.c
	  src/summaryview.c: only disable new mail notification when a new
	  mail is actually read.
	* src/trayicon.c: removed redundant include.

2006-11-08

	* src/trayicon.c
	  src/icons/stock_sylpheed_newmail.png
	  src/icons/stock_sylpheed_newmail_16.png
	  src/icons/Makefile.am
	  src/stock_pixmap.[ch]: added icons for notifying the arrival of new
	  mail.

2006-11-06

	* src/undo.c: fixed a bug that text was not redrawn on the undo of
	  large text.

2006-11-06

	* libsylph/procmsg.c: procmsg_print_message(): fixed a crash when
	  printing a message with empty Subject, From, and To (thanks to
	  Jonathan Woithe).
	* libsylph/codeconv.c:
	  conv_convert()
	  conv_codeset_strdup_full()
	  conv_iconv_strdup_with_cd(): return NULL if input string is NULL
	  (fixes crashes with NULL strings).

2006-11-02

	* libsylph/folder.[ch]
	  libsylph/prefs_common.[ch]
	  src/summaryview.c
	  src/prefs_common_dialog.c: added the option "Remember last selected
	  message".

2006-11-01

	* libsylph/prefs_common.[ch]
	  src/main.c
	  src/prefs_common_dialog.c: added the option "Open inbox on startup".

2006-10-31

	* src/prefs_account_dialog.c: prefs_account_protocol_activated():
	  disable POP before SMTP option with non-POP3 account.

2006-10-30

	* version 2.3.0beta4

2006-10-30

	* libsylph/pop.[ch]
	  src/inc.[ch]
	  src/send_message.c
	  src/prefs_account_dialog.c: implemented POP before SMTP (thanks to
	  Nakamoto).

2006-10-20

	* src/trayicon.c: trayicon_set_notify(): unset blinking correctly.

2006-10-19

	* libsylph/codeconv.c: conv_get_code_conv_func(): added JIS-SJIS and
	  UTF-8 to SJIS conversion (fixes character corruption on printing
	  when environment-dependent characters are used in win32).

2006-10-19

	* src/summaryview.c: summary_unset_sort_column_id(): fixed crash when
	  using GTK+ 2.4.x.

2006-10-19

	* sylpheed-mailto-protocol.reg: added values for start menu (thanks
	  to Fukasawa).

2006-10-16

	* version 2.3.0beta3

2006-10-16

	* src/icons/group.xpm: removed the extra spaces.

2006-10-13

	* libsylph/socket.c: win32: properly handle WSAEWOULDBLOCK.
	  is_nonblocking_mode(): implemented by saving SockInfo list.
	* libsylph/session.c: win32: session_ping_cb(): only dispatch if no
	  event occurs for more than one second.
	  Don't use sock_has_read_data() anymore.

2006-10-12

	* src/messageview.c: removed the border.
	* src/mainwindow.c: decreased the size of statusbar.

2006-10-12

	* src/main.c
	  src/stock_pixmap.[ch]
	  src/icons/stock_sylpheed_32.png
	  src/icons/Makefile.am: added 32x32 icon for win32 application icon.

2006-10-10

	* src/gtkutils.c: gtkut_tree_view_fast_clear(): enable fast clear
	  if GTK+ >= 2.10.0.

2006-10-10

	* src/headerview.c: headerview_init()
	  src/alertpanel.c: alertpanel_create(): win32: modified the style of
	  labels which are set not to have focus to make the selection visible.

2006-10-10

	* src/foldersel.c: foldersel_create(): removed vertical padding.

2006-10-10

	* src/icons/dir-*.xpm: removed extra spaces.

2006-10-10

	* src/main.c: win32: use small icon for application icon (fixes icon
	  image got garbled).

2006-10-06

	* src/action.c: execute_actions(): don't move cursor on insertion
	  mode (fixed a bug that inserted text was always placed at the top).

2006-10-05

	* src/gtkutils.c: gtkut_window_popup(): unset skip_taskbar_hint (fixes
	  main window kept hidden on popup with another process).
	* src/trayicon.c: use main_window_popup().

2006-10-04

	* version 2.3.0beta2

2006-10-04

	* libsylph/session.c
	  libsylph/socket.[ch]: win32: implemented sock_set_nonblocking_mode().

2006-10-04

	* src/inc.c: inc_drop_message(): exclude junk mails from the number of
	  new messages.

2006-10-03

	* libsylph/socket.c: win32: fd_read(), fd_write(): if recv() or send()
	  fail with WSAEWOULDBLOCK, set errno to EAGAIN.

2006-10-03

	* src/inc.[ch]: exclude messages marked as read when counting new
	  messages.
	* libsylph/pop.[ch]: count messages skipped by size limit.

2006-10-02

	* src/mainwindow.c: main_window_get_position(): don't update position
	  when window is hidden.

2006-09-28

	* version 2.3.0beta1

2006-09-28

	* libsylph/ssl.c: ssl_init_socket_with_method(): retry SSL_connect()
	  if it fails with SSL_ERROR_WANT_READ or SSL_ERROR_WANT_WRITE.

2006-09-28

	* src/trayicon.[ch]: trayicon_hide(): added.
	* src/mainwindow.c: call trayicon_hide() instead of trayicon_destroy().
	* src/main.c: app_will_exit(): call trayicon_destroy().

2006-09-28

	* src/trayicon.c: use 16x16 icon for Windows system tray.
	* src/icons/stock_sylpheed_16.png
	  src/icons/Makefile.am
	  src/stock_pixmap.[ch]: added 16x16 Sylpheed icon.

2006-09-28

	* src/trayicon.c: some code cleanups.

2006-09-27

	* src/summaryview.c: adjusted the width of icon columns for win32.

2006-09-27

	* src/trayicon.[ch]: trayicon_set_notify(): added. It blinks the tray
	  icon for 5 seconds.
	* src/inc.c: blink the tray icon when new mails arrive.

2006-09-26

	* libsylph/prefs_common.[ch]
	  src/trayicon.[ch]
	  src/prefs_common_dialog.c
	  src/mainwindow.c: implemented tray icon in Win32 using GtkStatusIcon.
	  Just present window with left click of the tray icon.
	  Removed 'About' menu.
	  Added 'Display Sylpheed' menu.
	  Added 'Minimize to tray icon' option.

2006-09-26

	* libsylph/session.[ch]: win32: made workaround for state machine
	  freeze problem in GLib >= 2.8.x.
	  session_read_data_as_file_cb(): reset Session::read_buf_len to
	  prevent the unexpected call of idle functions.

2006-09-22

	* version 2.2.9

2006-09-22

	* libsylph/defs.h: updated HOMEPAGE_URI.
	  src/gtkshruler.c: updated URI.

2006-09-22

	* src/summaryview.c: fixed crash when summary was sorted by logical
	  columns.

2006-09-21

	* version 2.2.8

2006-09-21

	* src/summaryview.c: summary_set_tree_model_from_list(): set the tree
	  view even if mlist is empty to update sort indicator.

2006-09-20

	* src/compose.c: compose_destroy()
	  src/textview/c: textview_destroy(): remove selection clipboard
	  before destruction (fixes crash with GTK+ 2.10 when closing window
	  while selection is active).

2006-09-19

	* libsylph/utils.[ch]
	  src/compose.c: compose_write_to_file(): chomp all trailing spaces
	  when signing with PGP/MIME instead of using quoted-printable for
	  compatibility with other MUAs.

2006-09-19

	* src/compose.c: compose_write_to_file(): check Bcc recipients before
	  encryption.

2006-09-14

	* libsylph/pop.c: pop3_write_uidl_list(): use PrefFile to protect
	  uidl file on disk full.

2006-09-14

	* src/textview.c: textview_write_error(): new.
	  Made error messages display with red color. Show error when writing
	  body failed.

2006-09-14

	* src/inc.c: inc_pop3_session_do(): update dialog when starting
	  session (fixes incorrect state display in Win32).

2006-09-14

	* src/summaryview.c: workaround for broken
	  gtk_tree_view_column_set_sort_column_id() in GTK+ 2.10.x was made.
	  Don't show sort indicator on icon columns.
	  Simplified compose mode.

2006-09-13

	* libsylph/utils.c
	  libsylph/procmime.c: fflush() stream before rewind() to ensure
	  error checking.
	  procmime_get_part_fp(): check the return value of
	  procmime_decode_content().
	* libsylph/procmsg.c: procmsg_open_data_file(): avoid uninitialized
	  value.

2006-09-13

	* libsylph/procmsg.c: procmsg_read_cache(): fixed crash when reading
	  a corrupted cache data.
	* libsylph/session.c: session_read_data_as_file_cb(): fflush buffer
	  and check error before rewind().

2006-09-13

	* libsylph/procmime.c: procmime_decode_content(): fflush temporary
	  file and check errors.

2006-09-12

	* src/importldif.c: change cancel button to close when import
	  finished.
	* src/ldif.c: ldif_get_line(): refactored.
	  ldif_read_file(): fixed a memory leak.

2006-09-12

	* libsylph/codeconv.c
	  src/compose.c: made workaround for UTF-8 with BOM.

2006-09-12

	* src/ldif.[ch]: supported base64 encoded entries.
	  Supported "mozillaNickname" entry.
	  Use cn for display name if exists.
	  Reverse first and last name on Japanese locale.

2006-09-06

	* src/messageview.c
	  src/summaryview.c
	  src/mainwindow.c: unify menu strings "View/Message source" and
	  "View/All headers".

2006-09-06

	* libsylph/procmsg.h: MsgInfo
	  src/compose.h: AttachInfo: don't use off_t because its size may
	  change between compile time.

2006-09-06

	* libsylph/socket.c: retry waitpid() when it is interrupted
	  (thanks to Stefaan).

2006-09-06

	* src/action.c: free_children(): wait for processes when they still
	  exist.
	  Kill/wait child pid instead of pgid (thanks to Stefaan A Eeckels).

2006-09-06

	* src/eggtrayicon.[ch]: updated eggtrayicon source, and added icon
	  transparency (thanks to Fryderyk Dziarmagowski).

2006-09-04

	* src/action.c: execute_actions(): fixed wrong insertion point at
	  TextView.

2006-08-23

	* libsylph/imap.[ch]
	  src/prefs_account_dialog.c: supported PLAIN authentication on IMAP4
	  (thanks to IKEDA Soji).

2006-08-23

	* libsylph/procmsg.[ch]
	  libsylph/procmime.[ch]
	  src/textview.c
	  src/mimeview.c
	  src/rfc2015.c: added signature information to MsgInfo. Removed unused
	  member from MimeInfo.

2006-08-17

	* src/textview.c
	  src/rfc2015.c: supported verification of encrypted and signed
	  messages with combined method.
	  Show full signature information on the text view.

2006-08-16

	* src/sourcewindow.c: fixed scrolling problem on first click.

2006-08-15

	* libsylph/prefs_common.[ch]
	  src/summaryview.c: don't move to trash on manual junk filtering when
	  'Delete junk mails from server on receiving' is set.

2006-08-10

	* src/prefs_ui.[ch]
	  src/prefs_common_dialog.c: link the state of 'Open first unread
	  message when entering a folder' with 'Always open messages in
	  summary when selected'.

2006-08-09

	* src/compose.c: compose_set_ext_editor_sensitive(): also set the
	  sensitivity of '/File/Append signature'.

2006-08-09

	* libsylph/codeconv.[ch]: conv_check_file_encoding(): check the
	  encoding of text file to see if it is locale encoding or UTF-8.
	* src/compose.c: compose_insert_file(): check whole file to see if it
	  is UTF-8.

2006-08-07

	* configure.in: use onig-config.

2006-08-07

	* src/folderview.c: added separator before 'Mark all read'.

2006-08-04

	* src/sylpheed.rc.in
	  configure.in: added version information.

2006-08-04

	* src/sylpheed.rc.in
	  src/Makefile.am
	  configure.in: generate sylpheed.rc from sylpheed.rc.in.

2006-08-03

	* configure.in: fixed a bug that $LIBS was not properly restored
	  when OpenSSL test failed (thanks to IWAMOTO Kouichi).

2006-08-03

	* libsylph/filter.c
	  src/about.c
	  src/prefs_filter_edit.c
	  configure.in: Oniguruma can be used instead of system's regex API
	  (thanks to IWAMOTO Kouichi).

2006-08-02

	* src/sumaryview.c:
	  summary_filter_func()
	  summary_filter_junk_func(): fixed a bug that flag changes were not
	  saved with manual filtering.

2006-07-31

	* version 2.2.7

2006-07-31

	* src/folderview.c: folderview_menu_popup(): enable some menu items
	  on receiving.
	* libsylph/procmsg_empty_trash(): check whether the folder is really
	  trash.

2006-07-28

	* src/rfc2015.c: sig_status_for_key(): check the error of
	  gpgme_get_key() (fixes crashes on checking signature).

2006-07-28

	* src/compose.c
	  src/messageview.c
	  src/prefs_common_dialog.c
	  src/mainwindow.c: added Windows-1257 encoding for Baltic.

2006-07-27

	* libsylph/md5_hmac.c: md5_hex_hmac(): fixed a memory leak.

2006-07-26

	* src/compose.c: compose_reply_set_entry(): use original address
	  strings instead of stripped ones. Fixed a bug that To: address
	  was duplicated in Cc: on reply-to-all.

2006-07-25

	* libsylph/prefs_common.[ch]
	  src/inc.c
	  src/prefs_common_dialog.c: added an option to filter junk mails
	  before normal filtering.

2006-07-24

	* src/summaryview.c: added 'Set as (not) junk mail' to the context
	  menu.

2006-07-21

	* src/summaryview.c: summary_filter_real(): fixed a bug that manual
	  junk filtering didn't work when no filter rule exist.

2006-06-27

	* po/tr.po: fixed a typo which caused crash.

2006-06-26

	* src/gtkutils.[ch]: gtkut_tree_view_fast_clear(): new.
	* src/summaryview.c: made workarounds for the crash in GTK+ 2.8.x.

2006-06-25

	* libsylph/mh.c: mh_scan_tree_recursive(): win32: improved its
	  performance.
	  Don't scan virtual folders.

2006-06-25

	* src/summaryview.c: summary_execute_move(), summary_execute_copy():
	  removed redundant folder scan.
	* libsylph/mh.c: mh_scan_folder_full(): win32: supported non-unicode
	  platforms (not tested).

2006-06-23

	* libsylph/mh.c: mh_scan_folder_full(): win32: optimized scanning of
	  directory using FindFirstFile() / FindNextFile().

2006-06-16

	* src/folderview.c: folderview_menu_popup(): enable "Mark all read"
	  only when selected folder is opened in the case of IMAP4.

2006-06-16

	* libsylph/procmsg.[ch]
	  src/folderview.c: added "Mark all read" to the folder context menu.

2006-06-09

	* version 2.2.6

2006-06-08

	* src/textview.c: textview_write_link(): remove spaces from href
	  (fixes execution failure with ShellExecute() on Win32 and URI check).

2006-06-04

	* src/send_message.c: send_message_smtp(): added missing timeout
	  handling (thanks to Colin).

2006-06-01

	* libsylph/imap.c: support 8-bit literal (literal8) defined in RFC
	  3516.

2006-05-29

	* version 2.2.5

2006-05-26

	* libsylph/pop.c: pop3_lookup_next(): increment
	  Pop3Session::cur_total_bytes too when deleting expired messages.

2006-05-26

	* src/foldersel.c: fixed a bug that bold face was disabled with
	  GLib 2.10 and Pango 1.12.

2006-05-17

	* src/main.c: fixed execution failure when using accessibility module.
	* libsylph/codeconv.c: conv_sjistojis(): fixed character corruption
	  and buffer overflow when using half-width kana.

2006-05-09

	* src/summaryview.c: don't decrease new/unread count if zero.

2006-03-29

	* version 2.2.4

2006-03-27

	* src/prefs_common_dialog.c: made "RFC 2231" not translatable.

2006-03-27

	* libsylph/utils.[ch]: subst_control(): new.
	* libsylph/procheader.c: procheader_parse_stream(): remove control
	  characters from headers.
	* src/folderview.c
	  src/summaryview.c: fixed a bug that bold face was disabled with
	  GLib 2.10 and Pango 1.12.

2006-03-24

	* src/summaryview.[ch]: added the clear button for quick search entry.

2006-03-24

	* src/prefs_common_dialog.c: prefs_keybind_apply_clicked(): fixed
	  "/View/Show all headers" menu string (thanks to Kyosuke Takayama).

2006-03-17

	* src/prefs_ui.[ch]
	  src/prefs_common_dialog.[ch]: added the option for MIME filename
	  encoding method.

2006-03-17

	* libsylph/utils.[ch]
	  libsylph/prefs_common.[ch]
	  libsylph/procmime.c
	  libsylph/codeconv.[ch]
	  src/compose.c: implemented RFC 2231 filename encoding on send.

2006-03-16

	* libsylph/procmime.c: implemented RFC 2231 parameter value extension.

2006-03-14

	* libsylph/mh.c: mh_scan_tree_recursive(): allow Unix path separator
	  when comparing path on Win32 (fixes duplicated subfolders when
	  rebuilding folder tree on Win32 while settings were shared between
	  Win32 and Unix).

2006-03-14

	* version 2.2.3

2006-03-10

	* src/icons/sylpheed.ico: made background transparent.

2006-03-10

	* src/query_search.c: enabled sorting of the result.

2006-03-10

	* src/editbook.c
	  src/editgroup.c
	  src/importldif.c
	  src/editjpilot.c
	  src/editaddress.c
	  src/addressadd.c
	  src/editldap_basedn.c
	  src/editvcard.c
	  src/editldap.c: modified the spacing of statusbar.

2006-03-10

	* src/addressbook.c: modified the accelerators, and the layout.

2006-03-10

	* libsylph/procmsg.[ch]
	  src/messageview.c
	  src/summaryview.c: printing messages now follows 'Show all headers'
	  status.

2006-03-09

	* libsylph/procmime.c: procmime_execute_open_file(): parse ~/.mailcap
	  if ~/.sylpheed-2.0/mailcap not found.

2006-03-09

	* libsylph/utils.[ch]
	  libsylph/prefs_common.[ch]
	  src/mimeview.c: added a hidden option "mime_command" for backward
	  compatibility.
	* libsylph/procmime.c
	  libsylph/procmsg.c
	  src/compose.c
	  src/inc.c
	  src/messageview.c
	  src/summaryview.c: use str_find_format_times().

2006-03-08

	* libsylph/procmime.c: read mailcap file other than standard location.

2006-03-08

	* libsylph/procmime.[ch]
	  src/mimeview.c: removed metamail support and replaced it with
	  the alternative implementation.
	* libsylph/prefs_common.c: leave "mime_image_viewer" and
	  "mime_audio_player" options for compatibility, but made them empty
	  by default.

2006-03-07

	* src/compose.c: compose_get_signature_str(): allow relative signature
	  path.

2006-03-06

	* src/textview.c: textview_uri_security_check(): ignore trailing path
	  separator when comparing URI.

2006-03-06

	* src/compose.[ch]
	  src/addressbook.c: always enable To, Cc, and Bcc button. Create new
	  compose window if not exist.

2006-03-06

	* libsylph/prefs_common.[ch]
	  src/addressbook.c: preserve the window position of address book.
	  Moved the position of Help menu.

2006-03-06

	* src/compose.c: compose_select_account(): enabled View/Cc menu on
	  mail accounts.

2006-03-03

	* version 2.2.2

2006-03-02

	* src/message_search.c: fixed crash after a message window was closed
	  while the search dialog was still open.

2006-03-02

	* libsylph/imap.c: imap_rename_folder_real(): fixed crash when tried
	  to move folders right under the root folder.

2006-03-01

	* src/alertpanel.c: place dialog center if it is out of range (fixes
	  main window becomes not responsive when alert dialog is shown while
	  it is minimized on win32).

2006-03-01

	* src/main.c: win32: do console initialization only once.

2006-02-28

	* src/main.c: win32: output debug and help messages to newly created
	  console.

2006-02-27

	* libsylph/utils.c: execute_async(), execute_sync(): win32: fixed
	  encoding problem (GSpawn in GLib < 2.8.2 takes codepage arguments).

2006-02-27

	* version 2.2.1

2006-02-24

	* configure.in: enabled GtkSpell by default.

2006-02-24

	* libsylph/folder.h: fixed comments.

2006-02-24

	* src/summaryview.c: performance fix when resetting the quick search
	  while sorted by thread date with descending order.
	* Makefile.am
	  sylpheed.spec.in: added README.es.

2006-02-24

	* README.es: added (thanks to Ricardo Mones).
	* README, README.ja: changed the FSF address.

2006-02-23

	* src/subscribedialog.c: ignore non-ascii newsgroup names (fixes crash
	  on Win32).

2006-02-22

	* libsylph/folder.c: folder_get_path(): use filename-safe string for
	  IMAP cache directory.
	* src/prefs_common_dialog.c: fixed a warning on compile.

2006-02-21

	* libsylph/utils.[ch]: uriencode_for_filename(): creates filename-safe
	  string by URI encode (except space).
	* libsylph/pop.c: use filename-safe string for UIDL file (might break
	  backward compatibility on Unix).

2006-02-14

	* libsylph/session.c
	  libsylph/socket.[ch]: win32: avoid blocking when reading from
	  socket.

2006-02-13

	* version 2.2.0

2006-02-10

	* sylpheed.spec.in: modified Requires:.

2006-02-09

	* src/summaryview.c
	  src/folderview.c: prohibit move/copy from/to queue folders, and
	  move/copy to virtual folders.

2006-02-09

	* version 2.2.0rc

2006-02-08

	* libsylph/codeconv.c: conv_get_fallback_for_private_encoding():
	  supported "x-sjis" encoding.

2006-02-08

	* libsylph/codeconv.c:
	  conv_get_locale_charset()
	  conv_get_locale_charset_str(): use GLib API on Win32 (fixes wrong
	  encoding returned).
	  src/rfc2015.c: sig_status_full(): use g_locale_to_utf8() for locale
	  to UTF-8 conversion.

2006-02-07

	* src/mainwindow.c: made the help window of command line options
	  singleton.

2006-02-07

	* src/tryaicon.c: trayicon_button_pressed(): force dropping of
	  obscured flag in case window is obscured by always-on-top windows.

2006-02-07

	* src/compose.c: compose_exec_ext_editor(): fixed a problem that the
	  UI was still insensitive after execution of external editor failed
	  (thanks to M.Suzuki).

2006-02-07

	* src/tryaicon.c: trayicon_button_pressed(): use gtk_widget_iconify()
	  instead of gtk_widget_hide() (fixes some problems).

2006-02-06

	* version 2.2.0beta8

2006-02-06

	* src/prefs_filter_edit.c: disabled regex match type on win32.

2006-02-06

	* libsylph/mh.c
	  libsylph/imap.c: don't reset unread flag when moving/copying
	  messages into trash.

2006-02-06

	* libsylph/mh.c: win32: fixed a bug that the contents of folders which
	  have specific Japanese characters such as 'Hyou' (which contains
	  0x5c ('\') at the second byte) at the end of its name couldn't be
	  seen.

2006-02-06

	* src/messageview.[ch]: update menu when show_all_headers state
	  changed.

2006-02-05

	* libsylph/pop.c: pop3_getrange_stat_recv(): fixed non-portable format
	  string ("%Ld" is not defined in *BSD, including Mac OS X). This
	  fixes wrong status display at receiving on *BSD systems.
	* libsylph/utils.c: to_human_readable(): disabled translation.

2006-02-03

	* src/summaryview.c: summary_row_expanded(): re-enabled workaround
	  on GTK+ 2.8.

2006-02-03

	* src/mimeview.c: mimeview_show_mime_part(): show filenames with
	  normal font.

2006-02-02

	* manual/ja/sylpheed.sgml: partially updated for 2.2.

2006-02-02

	* src/mainwindow.c: main_window_key_pressed(): handle Tab key as a
	  special case.

2006-02-02

	* src/inc.c
	  src/trayicon.c
	  src/gtkutils.[ch]
	  src/mainwindow.[ch]: don't enable trayicon action if modal window
	  exists. Present window on click if main window is obscured.

2006-02-02

	* src/mainwindow.c: added the help of command line options.

2006-02-02

	* src/mainwindow.c: main_window_key_pressed(): fixed key event
	  handling of the quick search entry.

2006-02-01

	* src/inc.c
	  src/folderview.[ch]: properly count the number of new messages on
	  local and remote mailboxes.

2006-02-01

	* libsylph/imap.c: imap_cmd_gen_recv(): trim too long lines (ex.
	  SEARCH command).

2006-02-01

	* src/mainwindow.[ch]: disable Send button if no account exist.

2006-02-01

	* libsylph/prefs_common.c: modified the default of summaryview_height.

2006-02-01

	* src/compose.c
	  src/messageview.c
	  src/mainwindow.c: disabled Actions menu on win32.

2006-01-31

	* version 2.2.0beta7

2006-01-31

	* src/compose.c
	  src/messageview.c
	  src/prefs_common_dialog.c
	  src/mainwindow.c: added Arabic encoding (thanks to Mohammed Sameer).

2006-01-31

	* src/statusbar.c
	  src/textview.c: disabled the trimming of statusbar strings.

2006-01-31

	* libsylph/prefs_common.[ch]
	  src/addressbook.c: the size of address book is now remembered.

2006-01-31

	* src/mainwindow.c: added 'Mark thread as read' menu.
	* src/summaryview.c: summary_mark_thread_as_read(): fixed leaks of
	  GtkTreePath list.

2006-01-30

	* src/summaryview.[ch]: implemented 'Mark thread as read'.

2006-01-30

	* src/summaryview.c: enabled the move/copy of the whole message in
	  collapsed threads.

2006-01-30

	* libsylph/account.[ch]
	  src/compose.c: compose_reply(): fixed a bug that automatic account
	  selection was disabled on IMAP4 folders.

2006-01-30

	* libsylph/socket.[ch]: code cleanup.

2006-01-28

	* src/main.c: win32: properly popup main window on remote command mode
	  using SetForegroundWindow().

2006-01-27

	* src/summaryview.c: summary_selection_changed(): only execute idle
	  function on button press.

2006-01-27

	* src/summaryview.c: summary_selection_changed(): display message in
	  idle function (fixes wrong drag begin state after passphrase dialog
	  appeared).

2006-01-27

	* src/passphrase.c: convert passphrase into locale encoding.

2006-01-27

	* src/gtkutils.[ch]
	  src/summaryview.c: when deleting a collapsed thread, all the
	  messages in the thread will be removed.

2006-01-27

	* src/query_search.[ch]
	  src/Makefile.am
	  src/folderview.c
	  src/mainwindow.c: renamed summary_search.[ch] to query_search.[ch].

2006-01-26

	* libsylph/prefs_common.[ch]
	  src/compose.c
	  src/prefs_common_dialog.c: removed 'Wrap before sending' option,
	  which was rather problematic.

2006-01-26

	* libsylph/socket.c
	  configure.in: supported IPv6 on Win32.

2006-01-26

	* src/textview.c
	  src/mimeview.c
	  src/summaryview.c
	  src/folderview.c: also recognize GDK_KP_* keycodes.

2006-01-25

	* version 2.2.0beta6

2006-01-25

	* libsylph/virtual.c
	  src/summary_search.c: exclude trash on recursive search.
	* src/prefs_search_folder.[ch]
	  src/folderview.c: update summary when virtual folders are modified.

2006-01-25

	* libsylph/procmsg.[ch]: procmsg_trash_messages_exist(): added.
	* src/folderview.c: folderview_menu_popup(): don't make 'Empty trash'
	  active if trashed messages don't exist.
	  src/mainwindow.c: main_window_empty_trash(): return immediately
	  when trashed messages don't exist.

2006-01-25

	* src/compose.c: 'File/Insert signature' now inserts signature into
	  current cursor position. 'File/Append signature' was added for the
	  previous behavior.

2006-01-24

	* src/summaryview.c: summary_qsearch_reset(), summary_qsearch():
	  update the sensitivity of UI.

2006-01-24

	* src/compose.c: compose_attach_parts(): force attaching of specific
	  types even if filename is unspecified.
	  src/procmime.[ch]: added MIME_VIDEO to ContentType.

2006-01-24

	* src/foldersel.c: place dialog at the center on parent window.

2006-01-24

	* src/alertpanel.c
	  src/inputdialog.c: set transient window before gtk_widget_show()
	  (fixed wrong window position).

2006-01-24

	* libsylph/account.c
	  libsylph/prefs_account.c
	  src/prefs_account_dialog.c: fixed memory leaks.
	* libsylph/imap.c: imap_session_connect(): save temporary password.
	  imap_close(): don't try to connect to server when closing.

2006-01-24

	* libsylph/procsg.c: procmsg_remove_all_cached_messages(): skip
	  virtual folders.

2006-01-23

	* libsylph/procmsg.[ch]
	  libsylph/prefs_account.[ch]
	  src/main.c
	  src/prefs_account_dialog.[ch]: implemented clearing of IMAP4 message
	  caches on exit.

2006-01-23

	* libsylph/imap.c: imap_do_copy_msgs(): fixed a bug that cache files
	  in source folder was not removed was fixed.

2006-01-20

	* src/compose.c: compose_new(): fixed filename encoding.
	* src/main.c: open_compose_new(): allow non-ascii mailto string and
	  filename.

2006-01-20

	* src/alertpanel.c
	  src/inputdialog.c
	  src/filesel.c: place dialog at the center on parent window.

2006-01-20

	* version 2.2.0beta5

2006-01-20

	* src/summaryview.c: added tooltip for search entry.

2006-01-20

	* src/prefs_search_folder.c
	  src/prefs_folder_item.c: use gtk_widget_modify_base() instead of
	  copying style. Realize window before getting style.

2006-01-19

	* src/summaryview.c: summary_qsearch_reset(), summary_qsearch(): clear
	  invalidated selection (fixes crash on quick search).

2006-01-19

	* src/trayicon.c
	  src/menu.h: fixed account selector of compose window having
	  unintended mnemonic.

2006-01-19

	* libsylph/imap.c: imap_scan_tree_recursive(): handle virtual folders
	  properly.
	* src/folderview.c: folderview_menu_popup(): prohibit new folder under
	  virtual folders.

2006-01-19

	* src/summaryview.c: summary_thread_build(), summary_unthread(): block
	  signal handlers for optimization.

2006-01-19

	* src/summaryview.[ch]: implemented quick filter.

2006-01-18

	* libsylph/filter.[ch]
	  src/prefs_filter_edit.[ch]: added filter conditions of status such
	  as 'unread', 'mark', 'color-label', and 'mime'.

2006-01-18

	* src/summaryview.c: update all_mlist on sorting to save the order.

2006-01-17

	* src/export.c
	  src/import.c: modified the window management of export / import
	  dialog.

2006-01-17

	* libsylph/prefs_common.[ch]
	  src/summaryview.[ch]
	  src/mainwindow.c: enabled toggle of the searchbar.

2006-01-17

	* src/summaryview.[ch]
	  src/mainwindow.c: implemented quick search of the summary view.

2006-01-17

	* libsylph/news.c: news_get_group_list(): show more verbose warnings.

2006-01-13

	* version 2.2.0beta4

2006-01-13

	* libsylph/prefs_common.[ch]
	  src/trayicon.c
	  src/menu.h
	  src/main.h
	  src/prefs_common_dialog.c
	  src/mainwindow.[ch]: perform show/hide on trayicon click.
	  Implemented popup menu on trayicon.

2006-01-13

	* libsylph/pop.[ch]
	  src/inc.[ch]: fixed 32-bit integer overflow where the total size of
	  messages is greater than 2GB.

2006-01-12

	* src/summaryview.c: summary_set_tree_model_from_list(): fixed a
	  memory leak where threading is off.

2006-01-12

	* libsylph/virtual.c: virtual_rename_folder(): added.
	* src/folderview.c: folderview_rename_folder_cb(): fixed renaming of
	  virtual folders.
	  folderview_move_folder_cb(): don't allow a virtual folder as parent.
	  folderview_menu_popup(): enabled rename/delete of virtual folders
	  on newsgroups.

2006-01-12

	* src/folderview.c: replace "Search messages..." with "Edit search
	  condition..." menu on virtual folder.
	  folderview_menu_popup(): code cleanup.

2006-01-12

	* src/about.[ch]
	  README
	  README.ja: updated copyright year.

2006-01-11

	* src/folderview.c: folderview_check_new(): exclude virtual folders.

2006-01-11

	* version 2.2.0beta3

2006-01-11

	* src/mainwindow.c: search_cb(): open search folder property on
	  virtual folder.

2006-01-10

	* src/prefs_search_folder.c: added name entry. Also show name in the
	  window title.

2006-01-10

	* src/textview.c: get_uri_part(): use glib functions for isgraph() and
	  ispunct(). Include some trailing punctuations as URI.

2006-01-10

	* src/summaryview.c
	  src/mainwindow.c: repositioned the "Delete" menu and added a
	  separator to prevent accidental selection.

2006-01-10

	* libsylph/virtual.c
	  libsylph/defs.h
	  src/prefs_search_folder.c: implemented the modification of search
	  folder condition.

2006-01-06

	* src/prefs_search_folder.[ch]
	  src/summary_search.[ch]
	  src/folderview.c
	  src/prefs_filter_edit.[ch]: partially implemented search folder
	  properties.

2006-01-06

	* src/folderview.c: modified the message of deleting search folder.

2006-01-06

	* src/summary_search.c: accept when name entry is activated on the
	  save dialog.
	* src/summaryview.c: summary_status_show(): use gint64 for sel_size to
	  avoid overflow on environments where sizeof(off_t) is 4.

2006-01-06

	* libsylph/virtual.c: don't compare temporary flags (fixes a bug that
	  search cache occasionally didn't work).

2006-01-06

	* src/summary_search.c
	  src/prefs_filter_edit.[ch]: prefs_filter_edit_cond_edit_to_list():
	  added for minor code cleanup.

2006-01-05

	* src/textview.c: textview_make_clickable_parts(): add http:// scheme
	  before implicit URIs begin with 'www.'.

2006-01-05

	* libsylph/virtual.c
	  src/folderview.c: fixed a bug that search folders under IMAP4 or
	  NNTP folders couldn't be removed.

2005-12-27

	* libsylph/procmsg.[ch]
	  libsylph/virtual.c: cache search result to speed up on and after
	  the second search.
	* src/summary_search.c: fixed a warning.

2005-12-26

	* version 2.2.0beta2

2005-12-26

	* libsylph/pop.[ch]: prevent duplicate retrieval after incomplete
	  session.

2005-12-26

	* src/compose.c
	  src/messageview.c
	  src/prefs_common_dialog.c
	  src/mainwindow.c: added Windows-1252 for display encoding. Removed
	  EUC-TW from the outgoing encoding of compose window.

2005-12-26

	* src/compose.c: compose_attach_parts(): don't traverse inside
	  message/rfc822 to avoid duplicated attachments.

2005-12-26

	* src/compose.c: only add modified flag when files are manually
	  attached.

2005-12-26

	* libsylph/utils.c: subst_for_filename(): added more characters to be
	  substituted (for Win32).
	  generate_mime_boundary(): replaced subst_char() with subst_chars().

2005-12-25

	* src/compose.c: compose_attach_parts(): include message/rfc822 parts.

2005-12-25

	* src/folderview.c: fixed a bug that previously selected row was
	  removed from the view instead of currently selected one when
	  deleting/renaming folders from the context menu.

2005-12-25

	* src/compose.c: compose_attach_parts(): attach all parts with
	  filenames, and don't if not (fixes failure of forwarding attachments
	  in some cases).

2005-12-22

	* version 2.2.0beta1

2005-12-22

	* src/compose.c: compose_is_itemized(): fixed enumerated lines
	  detection.

2005-12-22

	* src/summary_search.c
	  src/mainwindow.c: modified window handling.

2005-12-22

	* src/summaryview.[ch]
	  src/summary_search.c: select activated message in summary view if
	  possible.

2005-12-22

	* src/summaryview.c: summary_row_expanded(): disable workaround with
	  GTK+ 2.8.

2005-12-21

	* libsylph/procmsg.[ch]
	  src/compose.c
	  src/summaryview.[ch]: reflect flag changes on virtual folders in the
	  real ones.

2005-12-21

	* libsylph/virtual.c
	  libsylph/filter.c
	  src/summary_search.c
	  src/prefs_folder_item.c
	  src/folderview.c: show progress when opening search folder. Don't
	  allow the search of search folder. Save case-sensitive option.
	* libsylph/procmsg.h
	  src/compose.c
	  src/summaryview.c: added MSG_FLAG_CHANGED flag.

2005-12-20

	* src/compose.c: compose_is_itemized(): also check for enumerated
	  lines such as (1), (2), 3. ...

2005-12-20

	* libsylph/account.[ch]: account_address_exist(): new.
	  src/account_dialog.c
	  src/summaryview.c: look for all accounts when the option "Display
	  recipient on `From' column if sender is yourself" is enabled.
	  src/folderview.c: write account config file immediately when an
	  account is removed.

2005-12-20

	* src/summaryview.c: summary_set_row(): fixed a memory leak.

2005-12-20

	* src/folderview.[ch]: reflect display_folder_unread setting
	  immediately.

2005-12-20

	* src/filesel.c: filesel_select_file_full(): fixed preselected
	  directory with GTK+ 2.8.

2005-12-19

	* src/subscribedialog.c: popup main window when the dialog is closed.

2005-12-19

	* src/mainwindow.c: main_window_get_size(): save summary view height
	  even if window is maximized.

2005-12-19

	* libsylph/prefs_common.[ch]
	  src/mainwindow.c: remember the maximized state.

2005-12-19

	* src/summary_search.[ch]
	  src/folderview.c
	  src/mainwindow.c: removed SummaryView* from the argument of
	  summary_search(). Preset folder when saving as search folder.

2005-12-19

	* libsylph/virtual.[ch]
	  libsylph/folder.[ch]
	  libsylph/filter.[ch]
	  libsylph/Makefile.am
	  src/summary_search.[ch]
	  src/prefs_folder_item.c
	  src/summaryview.c
	  src/folderview.c
	  src/mainwindow.c
	  src/prefs_filter_edit.[ch]: implemented query search and virtual
	  folder.

2005-12-19

	* libsylph/codeconv.[ch]: support nonstandard encoding
	  "ks_c_5601-1987" (thanks to Yoo Chung).

2005-12-14

	* version 2.1.9

2005-12-14

	* libsylph/prefs_account.[ch]
	  src/inc.c
	  src/folderview.[ch]
	  src/prefs_account_dialog.c: added an option to update only INBOX on
	  checking new messages of IMAP4 accounts.

2005-12-13

	* libsylph/account.c
	  libsylph/prefs_account.[ch]
	  src/prefs_account_dialog.c: enabled custom queue folder.

2005-12-13

	* src/subscribedialog.c: fixed a bug that invisible subscribed groups
	  was removed after refresh. Assume wildcards for keywords without
	  them. Display status when receiving of newsgroups list started.

2005-12-09

	* src/foldersel.c: also select top folder on FOLDER_SEL_ALL.
	* libsylph/folder.c: folder_find_item_from_identifier(): also return
	  top folder.

2005-12-09

	* src/filter.[ch]: filter_rule_requires_full_headers(): added.
	* libsylph/procheader.[ch]: procheader_get_header_list_from_msginfo():
	  added.

2005-12-09

	* src/prefs_filter_edit.[ch]: prefs_filter_edit_cond_hbox_to_cond():
	  added an argument for case sensitivity.

2005-12-08

	* src/prefs_filter_edit.[ch]
	  src/prefs_filter.[ch]: made more functions public.

2005-12-08

	* src/prefs_filter_edit.[ch]: generalized the condition edit.

2005-12-08

	* libsylph/imap.c: imap_get_msg_list(): only update mtime when folder
	  is not opened.

2005-12-07

	* libsylph/mh.c
	  libsylph/news.c
	  libsylph/imap.c
	  libsylph/procmsg.[ch]: update caches and flags when reading message
	  list from a folder.

2005-12-06

	* src/prefs_filter_edit.[ch]: made CondHBox / ActionHBox related APIs
	  public.

2005-12-05

	* src/compose.c: compose_reply_set_entry(): enabled
	  COMPOSE_REPLY_TO_ALL for NNTP. fixed a memory leak.

2005-12-05

	* libsylph/utils.[ch]
	  libsylph/imap.c: imap_cmd_append(): send message contents all at
	  once.

2005-12-02

	* src/textview.c: textview_add_part(): modified font for signature
	  part.

2005-12-02

	* src/addrbook.c: addrbook_update_address_list(): fixed crash bug when
	  an address in a group was modified.
	* src/addrbook.c: addrbook_update_group_list()
	  src/editgroup.c: addressbook_edit_group(): fixed memory leaks.

2005-12-02

	* src/passphrase.c: gpgmegtk_passphrase_cb(): fixed blocking on win32.

2005-12-01

	* src/folderview.c: added "Update summary" to the context menu.

2005-12-01

	* libsylph/session.h
	  libsylph/smtp.h: fixed compilation failure on some environments.

2005-11-30

	* src/summaryview.[ch]: display progress on filtering.

2005-11-30

	* version 2.1.8

2005-11-29

	* libsylph/session.c: removed debug print.

2005-11-29

	* src/send_message.c: send_message_queue_all(): follow the change of
	  compose.c::compose_send().

2005-11-28

	* libsylph/prefs_common.[ch]
	  src/prefs_common_dialog.c: moved outgoing encoding option into
	  Display - Encoding tab.

2005-11-28

	* libsylph/procmime.c: procmime_decode_content(): also normalize text
	  files on win32. Also do normalization for quoted-printable part.

2005-11-28

	* libsylph/pop.c
	  libsylph/recv.c
	  src/compose.c: reverted linebreak conversion.

2005-11-25

	* src/compose.c: also canonicalize on redirect/queue.

2005-11-25

	* src/compose.c: compose_write_to_file(): always canonicalize composed
	  message.

2005-11-25

	* libsylph/procmime.c: procmime_decode_content(): uncanonicalize
	  unencoded text.

2005-11-25

	* libsylph/pop.c
	  libsylph/recv.c: don't convert CR+LF to LF.
	* libsylph/procmime.c: procmime_decode_content(): don't uncanonicalize
	  message/rfc822.

2005-11-25

	* src/imageview.c: size_allocate_cb(): don't update image view if
	  image_data doesn't exist.
	* src/mimeview.c: mimeview_change_view_type(): clear hidden view.

2005-11-25

	* libsylph/session.[ch]: session_read_data_as_file_cb(): don't write
	  to file until buffer is filled more than the half. Extended the
	  buffer size.

2005-11-25

	* libsylph/session.c: session_recv_data_as_file_idle_cb(): fixed a bug
	  that lost first part of message data.

2005-11-24

	* libsylph/procmime.c: procmime_decode_content(): win32: don't
	  uncanonicalize text files.

2005-11-24

	* libsylph/pop.c
	  libsylph/session.[ch]: implemented session_recv_data_as_file(),
	  which receives data as file stream, to reduce memory usage on POP3
	  session.

2005-11-22

	* src/compose.c
	  src/prefs_common_dialog.c: don't save filtered sent message to
	  outbox. Only enable filtering of sent messages when saving of sent
	  messages is enabled.
	* src/inc.c: inc_drop_message(): removed redundant code.

2005-11-22

	* libsylph/utils.[ch]
	  libsylph/session.[ch]
	  libsylph/smtp.[ch]
	  src/send_message.c: reduced memory usage on SMTP session.

2005-11-22

	* libsylph/imap.c: QUOTE_IF_REQUIRED(): add "[]&" to characters to be
	  quoted (for courier-imap).

2005-11-22

	* libsylph/prefs_common.[ch]
	  src/compose.c: remember the last window position.
	* src/sourcewindow.c: win32: fixed window appeared always top-left.
	  Added margin to the TextView.

2005-11-21

	* src/compose.c: compose_create(): win32: fixed window appeared always
	  top-left.

2005-11-21

	* src/compose.c:
	  compose_get_signature_str()
	  compose_insert_file(): give priority to locale to UTF-8 conversion
	  (fixes wrong Japanese conversion on some case).

2005-11-21

	* libsylph/prefs_common.[ch]: modified the order of options.

2005-11-21

	* src/prefs_ui.[ch]
	  src/prefs_common_dialog.c: reorganized the common prefs.

2005-11-18

	* version 2.1.7

2005-11-18

	* libsylph/prefs_common.[ch]
	  src/prefs_common_dialog.c: moved the position of Spell tab.

2005-11-17

	* src/compose.c: compose_set_title(): made edit mark less intrusive.

2005-11-17

	* libsylph/utils.c: set_startup_dir(): win32: always set the startup
	  directory to the same directory as the location of executable file
	  (fixes untranslated messages when launched by other apps).

2005-11-17

	* src/prefs_common_dialog.c: fixed crash when quote colors dialog was
	  closed by the window close button. Fixed window focus after closing
	  it.

2005-11-17

	* src/about.c: show GtkSpell in compiled-in features.

2005-11-17

	* configure.in: fixed wrong status report of GtkSpell.

2005-11-17

	* libsylph/prefs_common.[ch]
	  src/compose.[ch]
	  src/prefs_common_dialog.c
	  configure.in: implemented spell checking using GtkSpell
	  (thanks to Victor Ananajevsky).

2005-11-16

	* src/compose.c: compose_reply_set_entry(): don't reply to list for
	  subscribe confirmation request etc.

2005-11-16

	* src/folderview.c: folderview_search_unread_recursive(): don't show
	  '+' (unread) mark even if unread messages are in Trash.

2005-11-16

	* src/summaryview.c: fixed a bug that the selection was broken (and
	  sometimes crashed) when mark, unread, and colorlabel flags were
	  changed while the summary was sorted by the flags.

2005-11-16

	* src/compose.c: fixed compilation error if GPGME is not enabled.

2005-11-15

	* src/account_dialog.c: account_open(): popup main window if edit
	  account dialog is not present.

2005-11-15

	* src/mimeview.c: mimeview_view_file(): win32: use g_file_test() to
	  detect common executable suffix.

2005-11-14

	* libsylph/mh.c
	  libsylph/mbox.c
	  src/compose.c: always set FolderItem::mtime to 0 if the folder
	  contents changed (fixes occasional summary update failure on win32
	  and some filesystems).

2005-11-14

	* libsylph/utils.[ch]
	  src/summaryview.[ch]: use gint64 for total_size to avoid overflow
	  on environments where sizeof(off_t) is 4.

2005-11-14

	* src/textview.c: changed the shadow type to GTK_SHADOW_ETCHED_IN.
	* src/summaryview.[ch]
	  src/mainwindow.c: added separator between the summary status and
	  the header pane.

2005-11-11

	* src/compose.c: fixed separator of newsgroups (thanks to KAZUKI
	  SHIMURA).
	  compose_reedit_set_entry(): also set Newsgroups and Followup-To
	  entry.

2005-11-11

	* src/main.c: app_init(): win32: disable digit locale variable such as
	  "LANG=1041".

2005-11-11

	* src/mainwindow.c: removed the outer border.

2005-11-10

	* libsylph/prefs_common.c
	  src/prefs_common_dialog.c: don't show gpg warning on win32 by
	  default. Changed "gpg_warning" to "show_gpg_warning".

2005-11-10

	* src/rfc2015.[ch]
	  src/main.c: implemented rfc2015_disable_all() and
	  rfc2015_is_available().
	* src/compose.c: hide PGP checkboxes if PGP is not available.
	* src/logwindow.c: prohibit abort when invalid UTF-8 text is inserted.

2005-11-09

	* src/passphrase.c
	  configure.in: check the availability of mlock().
	  src/main.c: check_gpg(): check if OpenPGP protocol is available.

2005-11-09

	* src/account_dialog.c
	  src/prefs_filter.c: win32: fixed window focus problem.

2005-11-09

	* src/compose.c: allow drop of files in the whole window. Disabled
	  insertion of text by DnD.

2005-11-08

	* version 2.1.6

2005-11-08

	* src/ldif.c: ldif_get_line(): fixed buffer overflow.

2005-11-07

	* src/main.[ch]
	  src/mainwindow.c: added '--exit' command line option.

2005-11-07

	* libsylph/prefs_common.[ch]
	  src/compose.[ch]
	  src/prefs_common_dialog.c: implemented auto-save.

2005-11-07

	* src/prefs_common_dialog.c: hide options which is useless on win32.

2005-11-07

	* src/prefs_common_dialog.c: moved fallback_encoding from Advanced tab
	  to Message tab.
	* libsylph/prefs_common.[ch]: changed 'fallback_encoding' to
	  'default_encoding'.

2005-11-04

	* src/compose.c: compose_ext_editor_kill(): fixed a crash when the
	  external editor was terminated while opening confirmation dialog.

2005-11-04

	* src/prefs_common_dialog.c: prefs_junk_create(): added preset menu
	  for learning commands.
	* libsylph/prefs_common.c: made the default junk commands on win32
	  bsfilter.

2005-11-04

	* src/summaryview.c: summary_junk_func(): follow the
	  'mark_junk_as_read' setting.

2005-11-02

	* src/account_dialog.c
	  src/prefs_account_dialog.c: popup main window when account edit
	  dialog is closed.

2005-11-02

	* libsylph/prefs_common.[ch]
	  src/summaryview.c
	  src/prefs_common_dialog.c: added an option to mark filtered junk
	  mails as read (thanks to Takushi Miyoshi). Added more description.

2005-11-02

	* src/compose.c: unlink compose->exteditor_file if exist.

2005-11-02

	* src/compose.c: compose_ext_editor_kill(): stop watching of child
	  process in case something weird happened.

2005-11-02

	* src/compose.c: fixed for win32.

2005-11-02

	* src/compose.[ch]: reimplemented external editor with GSpawn and
	  GChildWatch.
	* libsylph/utils.c: execute_async(): fixed wrong argument type.

2005-11-02

	* src/prefs_common_dialog.c: moved fallback encoding setting to
	  Advanced tab.

2005-11-01

	* src/prefs_actions.c
	  src/prefs_template.c
	  src/prefs_folder_item.c
	  src/prefs_common_dialog.c
	  src/prefs_summary_column.c
	  src/prefs_account_dialog.c
	  src/prefs_filter.c: bring main window in front after dialogs are
	  closed (to avoid the focus problem on win32).

2005-11-01

	* libsylph/prefs_common.[ch]
	  libsylph/procmime.c
	  src/textview.c
	  src/prefs_common_dialog.c: added fallback encoding setting.
	  Removed multi-byte alphanumeric to ascii conversion option.

2005-11-01

	* src/icons/sylpheed.ico
	  src/icons/Makefile.am
	  src/Makefile.am
	  configure.in: win32: added program icon.

2005-10-31

	* libsylph/utils.c: execute_sync(): win32: get exit status of child
	  process by not using helper program.

2005-10-31

	* src/textview.c: textview_show_part(): fixed scroll jumping on focus.

2005-10-29

	* version 2.1.5

2005-10-27

	* libsylph/socket.c: fd_accept(): enabled on win32.

2005-10-27

	* libsylph/socket.[ch]: fd_connect_inet(), fd_open_inet(): new.
	  fd_open_unix(): set SO_REUSEADDR flag to avoid bind() error.
	* src/main.c: win32: implemented remote command using TCP socket.

2005-10-27

	* src/compose.c: add hbox into the window before creating option menu
	  (fixed initially wrong widget size).

2005-10-27

	* libsylph/procmime.c: procmime_get_mime_type_table(): win32: read
	  mime.types in startup directory.
	* mime.types: included in the source tree.

2005-10-26

	* libsylph/prefs_common.[ch]
	  src/summaryview.c
	  src/prefs_common_dialog.c: added a setting to delete filtered junk
	  mails from server.

2005-10-26

	* libsylph/utils.[ch]: address_equal(): new.
	* src/compose.c: compose_reply_set_entry(): when replying to ML post
	  that has the Reply-To set, set the ML address in To: and Reply-To
	  address in Cc: (thanks to Colin Leroy).

2005-10-26

	* libsylph/utils.c: uri_list_extract_filenames(): use GLib functions
	  to extract URIs if available.

2005-10-26

	* src/main.c: win32: convert locale string to UTF-8 when setting
	  rc dir.

2005-10-25

	* src/messageview.c
	  src/summaryview.c: display confirmation dialog instead of input
	  dialog when printing.

2005-10-25

	* libsylph/procmsg.c: fixed a typo.

2005-10-25

	* configure.in: changed zh_TW.Big5 to zh_TW.

2005-10-25

	* libsylph/utils.[ch]: execute_print_file(): added.
	* libsylph/procmsg.c: procmsg_print_message(): win32: canonicalize
	  output file, and use ShellExecute() if command is unspecified.

2005-10-25

	* libsylph/procmsg.c: procmsg_print_message(): match the output
	  headers to the message view.
	* libsylph/procheader.[ch]: procheader_get_header_array_for_display():
	  added.
	* libsylph/displayheader.[ch]: moved from src/.
	* src/textview.c: textview_show_header(): code cleanup.

2005-10-24

	* src/inputdialog.c: win32: make dialog in front on focus out.

2005-10-24

	* src/inputdialog.c: create/destroy dialog each time it is displayed.

2005-10-24

	* src/messageview.c: set the title of separated message window to
	  "(Subject) - Sylpheed".

2005-10-24

	* src/summaryview.c
	  src/mimeview.c: fixed the problem that DnD didn't work on GTK+ 2.8
	  (thanks to Victor Ananajevsky).

2005-10-21

	* src/main.c: replaced gdk_input_add() with GIOChannel.

2005-10-20

	* src/textview.c: textview_adj_value_changed(): optimized a bit.

2005-10-20

	* src/textview.c: textview_adj_value_changed(): don't move cursor
	  if selection exists.

2005-10-20

	* libsylph/filter.c: fixed execution failure if a file path includes
	  space.

2005-10-20

	* src/textview.c: fixed a problem that the view was scrolled to top
	  when it got focus.

2005-10-20

	* libsylph/utils.[ch]: set_startup_dir(), set_rc_dir(),
	  get_startup_dir(): new.
	* src/main.[ch]: removed global variable startup_dir. Instead use
	  get_startup_dir().
	  added '--configdir' option which specifies directory which stores
	  configuration files.
	* src/manual.c: win32: fixed document paths.

2005-10-18

	* version 2.1.4

2005-10-18

	* libsylph/prefs_common.c: win32: modified the default commands.

2005-10-18

	* src/prefs_filter.c: prefs_filter_open(): correct focus when msginfo
	  is specified.

2005-10-17

	* src/prefs_common_dialog.c: win32: made the default editor command
	  'notepad'.

2005-10-17

	* src/inputdialog.c: adjusted the minimum dialog size.

2005-10-17

	* libsylph/prefs_common.c: win32: fixed compilation failure.

2005-10-17

	* src/prefs_common_dialog.c: added the default browser to the option
	  of URI command.

2005-10-17

	* src/trayicon.c: handle destroy event properly (thanks to Victor
	  Ananajevsky).

2005-10-16

	* libsylph/utils.c: open_uri(): win32: use ShellExecute() to open URI.
	  libsylph/prefs_common.c
	  src/prefs_common_dialog.c: win32: made the default URI command empty
	  which means to use the default browser.

2005-10-16

	* src/mimeview.c: win32: restrict launching of executable files.

2005-10-14

	* makewin32.sh: modified the optimization flags.

2005-10-14

	* src/main.c: win32: prohibit duplicate exec using CreateMutex().

2005-10-14

	* libsylph/procmime.c
	  src/compose.c: made some warnings just debug messages.

2005-10-14

	* libsylph/codeconv.c: changed the locale charset of Japanese Windows
	  from Shift_JIS to CP932.

2005-10-13

	* libsylph/codeconv.[ch]: enhanced the support of
	  environment-dependent Japanese characters (thanks to MORIYAMA).

2005-10-13

	* src/inputdialog.c
	  src/setup.c
	  src/mainwindow.c: modified the text of mailbox setup dialog.

2005-10-13

	* libsylph/utils.[ch]
	  src/mimeview.c: win32: use ShellExecute() to launch attachments, and
	  warn on launching an executable file.

2005-10-13

	* libsylph/folder.[ch]
	  src/prefs_folder_item.c
	  src/folderview.c: enabled the property of the top folder.
	* src/prefs_common_dialog.c: modified the text of key binding dialog.

2005-10-13

	* libsylph/imap.c: imap_cmd_ok(): fixed parsing of literal data (skip
	  quotes).

2005-10-12

	* libsylph/recv.c: recv_bytes(): null-terminate the received data
	  in case it's a string.
	  libsylph/imap.c: imap_cmd_ok(): also log literal strings.

2005-10-12

	* src/alertpanel.c: win32: make dialog in front on focus out.

2005-10-12

	* src/main.c: default_log_func(): fixed prefix on G_LOG_LEVEL_WARNING.

2005-10-12

	* libsylph/imap.c: imap_cmd_ok(): fixed parsing of literal data.

2005-10-12

	* src/summaryview.c: brought back 'Create filter rule' in the context
	  menu.

2005-10-11

	* src/prefs_folder_item.c: fixed the label "Type" not aligned to right.

2005-10-11

	* libsylph/utils.[ch]
	  src/main.c: output g_log() messages to the log window and log file.
	* configure.in: disabled console window on win32.

2005-10-11

	* src/folderview.c: folderview_drag_motion_cb(): win32: reset
	  context->actions if modifier key is not pressed (fixed DnD action
	  becoming copy by default).

2005-10-10

	* libsylph/utils.c
	  libsylph/procheader.c: fixed a bug that caused crashes on receive
	  if Date: header has abnormal time.

2005-10-07

	* libsylph/recv.[ch]
	  libsylph/imap.c: imap_cmd_ok(): support literals in response
	  (fixed out of sync when literals appeared).

2005-10-06

	* libsylph/codeconv.c:
	  conv_filename_from_utf8(), conv_filename_to_utf8(): put an
	  assertion.

2005-10-06

	* libsylph/utils.c: don't define _s_tempnam() on Unix.
	* src/prefs_folder_item.c: added file system path info.

2005-10-06

	* libsylph/utils.c: get_rc_dir(): win32: use environmental variable
	  APPDATA.
	* libsylph/prefs.c: prefs_set_default()
	  src/prefs_ui.c: prefs_set_dialog_to_default(): win32: don't convert
	  the encoding of environmental variable. Expand '~' to rc dir.

2005-10-06

	* src/main.c: win32: include startup directory into %PATH% for GSpawn.

2005-10-05

	* configure.in: support SSL on win32.
	* makewin32.sh: convenient build script for win32.

2005-10-04

	* libsylph/utils.c: my_tmpfile(): use g_mkstemp() instead of
	  directly using mkstemp().
	  win32: use _wtempnam() , open() and fdopen() instead of tmpfile()
	  because it creates temporary files to the root directory.

2005-10-03

	* src/main.c: app_init(): win32: pass locale encoding directory name
	  for bindtextdomain() (fixed not-working translation on non-ascii
	  directory).

2005-10-03

	* libsylph/mh.c:
	  mh_create_tree(): create directory hierarchy for root path.
	  mh_move_folder_real(): change current directory to prevent rename
	  failure on Win32.
	  libsylph/folder.c: folder_get_path(): always return absolute path.

2005-09-30

	* libsylph/prefs_common.c: prefs_common_read_config(): Win32: set the
	  default font to "MS Gothic 12" on Japanese environment.

2005-09-29

	* version 2.1.3

2005-09-28

	* src/main.c: app_init(): make the message catalog location absolute
	  path if LOCALEDIR is relative.

2005-09-28

	* src/compose.c: compose_set_title(): only show subject.

2005-09-27

	* src/rfc2015.c: check_signature(): disabled gpgme_data_set_encoding()
	  (it somehow results in error).

2005-09-27

	* src/rfc2015.c: check_signature(): set transfer encoding for S/MIME.

2005-09-27

	* src/compose.c: display the subject line in the window title bar
	  (thanks to Thomas White).

2005-09-27

	* src/mimeview.c
	  src/rfc2015.c: verify PKCS#7 (S/MIME) signature (thanks to Thomas
	  White).
	* src/main.c: null-check engineInfo->version when displaying debug
	  information of GPGME.

2005-09-26

	* libsylph/html.c: convert character entity references to UTF-8,
	  rather than US-ASCII (thanks to Lyonel Vincent). Use UCS-4 to
	  UTF-8 conversion for numbered references.

2005-09-22

	* libsylph/utils.[ch]
	  libsylph/procmime.[ch]
	  src/mimeview.[ch]
	  src/filesel.[ch]: implemented "Save all", which saves all
	  attachments in a message.

2005-09-22

	* src/gtkutils.[ch]
	  src/summaryview.[ch]: align selected row to center when reached to
	  the edge on key operation.

2005-09-22

	* src/summaryview.c: keep selecting row after changing thread display.

2005-09-21

	* configure.in: removed mbs/wcs functions check.

2005-09-21

	* libsylph/utils.[ch]
	  src/compose.c
	  src/gtkutils.[ch]
	  src/undo.c
	  src/addr_compl.c: removed mbs/wcs functions which are no longer
	  required.

2005-09-21

	* src/account_dialog.c: don't display checkbox if 'get all' is
	  unavailable.

2005-09-21

	* src/subscribedialog.c: don't display checkbox on non-selectable
	  rows.

2005-09-20

	* libsylph/news.[ch]
	  src/subscribedialog.[ch]
	  src/Makefile.am
	  src/folderview.c: renamed grouplistdialog to subscribedialog, and
	  reimplemented with GtkTreeView.

2005-09-16

	* src/compose.c: compose_write_to_file(): don't display code
	  conversion error and line limit warning on draft mode.

2005-09-16

	* libsylph/prefs_common.[ch]
	  src/prefs_common_dialog.c
	  src/folderview.[ch]
	  src/mainwindow.c: removed the option to set the vscrollbar policy
	  of the folder view and made it GTK_POLICY_AUTOMATIC.
	  Added an option to toggle message number columns in the folder view
	  (default is off).
	  Made the 'Translate header name' option a hidden one.

2005-09-15

	* version 2.1.2

2005-09-15

	* configure.in: use ${DATADIRNAME} for $localedir if it is defined.

2005-09-15

	* libsylph/codeconv.c: conv_euctojis(): re-enabled
	  prefs_common.allow_jisx0201_kana.

2005-09-14

	* libsylph/pop.c
	  libsylph/procmime.c
	  src/gtkutils.c
	  src/mimeview.c
	  src/undo.c
	  src/headerview.c
	  src/send_message.c
	  src/summaryview.c: fixed warnings about signedness difference.

2005-09-14

	* libsylph/utils.[ch]
	  src/compose.c: normalize address fields before encoding them.

2005-09-13

	* Makefile.am
	  sylpheed.spec.in: updated files to be included in tarball.

2005-09-13

	* libsylph/*.[ch]: changed the license from GPL to LGPL.
	* LICENSE: added.

2005-09-13

	* src/summaryview.c: summary_set_row(): don't reset S_COL_TDATE
	  (fixes sorting bug when flags changed).

2005-09-13

	* COPYING: updated GPL (changed the address of FSF).
	* COPYING.LIB: added LGPL.

2005-09-13

	* libsylph/procmsg.[ch]
	  libsylph/enums.h
	  libsylph/folder.[ch]
	  src/summaryview.c
	  src/mainwindow.c: added 'View/Sort/by thread date'.

2005-09-12

	* libsylph/imap.c: changed the message number limit on COPY.
	  imap_do_copy_msgs(): update progress bar on copy.

2005-09-09

	* libsylph/imap.c: added missing translation string.

2005-09-09

	* libsylph/utils.[ch]
	  libsylph/imap.c
	  src/main.c
	  src/mainwindow.[ch]: update progress bar when executing long
	  operations.

2005-09-08

	* src/addressbook.c: addressbook_tree_button_pressed(): fixed a bug
	  that the expander of the folder tree didn't work.

2005-09-08

	* libsylph/md5_hmac.c: md5_hmac_get(): minor code cleanup.

2005-09-08

	* libsylph/md5.[ch]: replaced with public domain code in GNet.
	* libsylph/md5_hmac.[ch]: separated from md5.[ch] and rewrote.
	* libsylph/pop.c
	  libsylph/smtp.c
	  libsylph/imap.c: modified for new MD5 interface.

2005-09-08

	* configure.in: use ${datadir} instead of ${prefix}/${DATADIRNAME}.

2005-09-08

	* libsylph/mbox.[ch]: moved into libsylph.

2005-09-07

	* libsylph/imap.c: limit number of messages to be copied at a time
	  with COPY command to prevent network timeout.

2005-09-07

	* libsylph/utils.[ch]: renamed print_status() to status_print().
	* libsylph/imap.c: adjusted the frequency of UI update.
	* src/folderview.c: don't allow selection if summary is locked.

2005-09-07

	* libsylph/codeconv.c: conv_guess_ja_encoding(): also support UTF-8
	  encoding.

2005-09-06

	* libsylph/imap.c: fixed warnings of signedness difference.
	  Added UI hints.
	* libsylph/utils.[ch]
	  src/gtkutils.[ch]
	  src/main.c: added ui_update() as a function for UI hints.

2005-09-06

	* libsylph/prefs_common.[ch]
	  libsylph/prefs_account.[ch]
	  libsylph/pop.h: save GPG settings even if GPGME is disabled.

2005-09-05

	* libsylph/imap.c: show progress when executing operations which
	  takes long time.

2005-09-05

	* libsylph/account.[ch]
	  libsylph/customheader.[ch]
	  libsylph/enums.h
	  libsylph/filter.[ch]
	  libsylph/folder[ch]
	  libsylph/imap.[ch]
	  libsylph/md5.[ch]
	  libsylph/mh.[ch]
	  libsylph/news.[ch]
	  libsylph/nntp.[ch]
	  libsylph/pop.[ch]
	  libsylph/prefs_account.[ch]
	  libsylph/prefs_common.[ch]
	  libsylph/procheader.[ch]
	  libsylph/procmime.[ch]
	  libsylph/procmsg.[ch]
	  libsylph/smtp.[ch]
	  libsylph/Makefile.am: moved more modules to libsylph.

2005-09-05

	* src/messageview.c
	  src/procmsg.[ch]
	  src/filter.[ch]
	  src/summaryview.[ch]
	  src/mainwindow.c
	  src/prefs_filter.h: moved procmsg.c::procmsg_get_filter_keyword()
	  to filter.c::filter_get_keyword_from_msg().

2005-09-05

	* libsylph/utils.[ch]
	  src/inc.c
	  src/main.c
	  src/imap.c
	  src/send_message.c
	  src/news.c: made query-password function UI independent.
	  Added UI independent print status func.

2005-09-05

	* src/main.c
	  src/procmsg.[ch]
	  src/send_message.[ch]
	  src/mainwindow.c: moved procmsg.c::procmsg_send_queue() to
	  send_message.c::send_message_queue_all().

2005-09-02

	* src/html.c
	  src/session.c
	  src/unmime.c: fixed 'warning: pointer targets in assignment differ
	  in signedness'.

2005-09-02

	* src/sourcewindow.c: added missing include.
	* src/filter.[ch]
	  src/prefs_filter.[ch]
	  src/folderview.c: moved prefs_filter_rename_path() and
	  prefs_filter_delete_path() to filter.c.

2005-09-02

	* src/main.c
	  src/filter.[ch]
	  src/prefs_filter.[ch]: moved prefs_filter_read_config() to filter.c.

2005-09-02

	* libsylph/recv.[ch]: moved to libsylph.

2005-09-02

	* libsylph/html.[ch]: moved to libsylph.

2005-09-01

	* src/prefs_common.c
	  src/procmsg.c: removed unused headers.

2005-09-01

	* src/account.[ch]
	  src/account_dialog.[ch]
	  src/folderview.c
	  src/mainwindow.c
	  src/main.c: separated UI code from account.c.

2005-09-01

	* src/prefs_account.c
	  src/prefs_common.c: removed unused headers.
	* src/enums.h
	  src/prefs_common.h
	  src/summaryview.h
	  src/mainwindow.h: separated some enums to reduce dependency.

2005-09-01

	* src/customheader.[ch]
	  src/prefs_customheader.[ch]
	  src/prefs_account.c: moved customheader read/write config function
	  to customheader.c.
	* src/main.c
	  src/prefs_common.c: don't use gtkutils.h from prefs_common.c.

2005-08-31

	* libsylph/prefs.h
	  src/prefs_ui.[ch]
	  src/account.c
	  src/prefs_template.c
	  src/prefs_account.[ch]
	  src/prefs_common.[ch]
	  src/prefs_account_dialog.[ch]
	  src/prefs_common_dialog.[ch]
	  src/mainwindow.c
	  src/Makefile.am: separated UI code from prefs_common.c and
	  prefs_account.c.

2005-08-31

	* src/trayicon.c: enable compilation on MinGW.

2005-08-31

	* libsylph/prefs.[ch]: added prefs_param_table_get() and
	  prefs_param_table_destroy().
	  prefs_config_parse_one_line(): optimized by using
	  prefs_param_table_get().

2005-08-31

	* libsylph/Makefile.am
	  libsylph/base64.[ch]
	  libsylph/codeconv.[ch]
	  libsylph/defs.h
	  libsylph/prefs.[ch]
	  libsylph/quoted-printable.[ch]
	  libsylph/session.[ch]
	  libsylph/socket.[ch]
	  libsylph/ssl.[ch]
	  libsylph/stringtable.[ch]
	  libsylph/unmime.[ch]
	  libsylph/utils.[ch]
	  libsylph/uuencode.[ch]
	  libsylph/xml.[ch]: made some core modules library (libsylph).
	* src/Makefile.am: modified so that it uses libsylph.la.

2005-08-30

	* src/prefs.[ch]
	  src/prefs_ui.[ch]: separated UI code from prefs.[ch].
	* src/prefs_common.c
	  src/prefs_account.c: added casts for (GtkWidget **).

2005-08-30

	* src/main.c: code cleanup.

2005-08-29

	* src/statusbar.c
	  src/utils.[ch]: separate statusbar from utils.c.

2005-08-29

	* src/logwindow.c
	  src/utils.[ch]: separate LogWindow from utils.c.

2005-08-29

	* src/main.[ch]
	  src/xml.c
	  src/utils.[ch]: made debug_mode static variable in utils.c.

2005-08-29

	* src/compose.c: compose_write_attach(): don't encode message/*
	  parts with quoted-printable or base64 (fixes broken attachments
	  on pgp-sign).

2005-08-26

	* src/compose.c: the line space setting now applies to the compose
	  window.

2005-08-26

	* src/socket.c: use g_io_channel_shutdown() instead of deprecated
	  g_io_channel_close().
	  sock_close(): use g_io_channel_shutdown() instead of directly
	  calling close() (fixes resource leak on Win32).
	  fd_close(): call closesocket() on Win32.

2005-08-25

	* src/folderview.c: folderview_button_pressed(): expand/collapse
	  tree row on double click.

2005-08-25

	* src/addressbook.c: fixed refresh of folder contents.

2005-08-24

	* src/trayicon.[ch]
	  src/mainwindow.[ch]
	  src/inc.c: separated trayicon into another module.
	  Notify new messages with trayicon on receive.

2005-08-24

	* src/prefs.[ch]
	  src/prefs_common.c: use GtkFontButton for font setting (thanks to
	  Alfons).

2005-08-24

	* src/stock_pixmap.[ch]
	  src/summaryview.c
	  src/prefs_filter_edit.c: removed stock_pixmap_widget() (instead
	  use stock_pixbuf_widget()).

2005-08-23

	* src/folderview.c
	  src/mainwindow.c: modified the 'Empty trash' messages.

2005-08-23

	* src/eggtrayicon.[ch]: added (borrowed from Loqui svn trunk).
	* src/mainwindow.[ch]: initial implementation of the tray icon.
	* src/stock_pixmap.[ch]: added stock_pixbuf_widget_scale().

2005-08-23

	* src/textview.c: modified fonts for mime parts.

2005-08-22

	* version 2.1.1

2005-08-22

	* src/addressbook.c:
	  addressbook_tree_selected()
	  addressbook_tree_button_pressed(): fixed a bug that multiple
	  selection with Ctrl key didn't work with GTK+ 2.6.9.

2005-08-22

	* src/procmsg.c
	  src/summaryview.c: fall back to date comparison on sorting
	  (fixes random date order when sorting by subject etc.).

2005-08-19

	* src/utils.c: path_cmp(): allow both '/' and G_DIR_SEPARATOR as
	  separator.

2005-08-19

	* src/folder.c:
	  folder_item_get_identifier(): force separator to "/".
	  folder_item_get_path(): force separator to filesystem's.

2005-08-19

	* src/recv.c
	  src/imap.c: made error check more strict.

2005-08-19

	* src/socket.c: fd_write_all(): use fd_write() instead of directly
	  using write() (fixes IMAP4 on win32).

2005-08-19

	* src/pixmaps/: renamed to src/icons/.

2005-08-18

	* configure.in: made $localedir, $manualdir, and $faqdir
	  user-configurable.

2005-08-18

	* src/compose.[ch]
	  src/mainwindow.[ch]: disused GtkHandleBox which haven't worked well.
	* src/stock_pixmap.c: stock_pixbuf_gdk(): allow NULL window.

2005-08-09

	* version 2.1.0

2005-08-09

	* src/mh.c
	  src/main.c
	  src/procmime.c: fix for config dir.

2005-08-09

	* src/folder.c
	  src/main.c
	  src/utils.[ch]
	  src/defs.h: modified directories for Windows convention.

2005-08-08

	* src/mh.c
	  src/template.c
	  src/codeconv.c
	  src/main.c
	  src/utils.c
	  src/addrbook.c: use GDir instead of directly using opendir().

2005-08-08

	* src/utils.[ch]: added wrappers for C library function that take
	  pathname arguments.
	* src/*.c: use wrapper functions.

2005-08-07

	* src/defs.h: modification for Win32.
	* src/main.c: check filename encoding only on Unix.
	* src/prefs_common.c: modification for Win32.

2005-08-07

	* src/codeconv.c: some fixes for Win32.

2005-08-07

	* src/procmsg.c: procmsg_send_queue(): close queue file before
	  removing it (Win32 fix).

2005-08-05

	* src/mh.c
	  src/session.c
	  src/mbox.c: braced Unix-specific code with #ifdef G_OS_UNIX.
	* configure.in: added -lws2_32 on MinGW environment.

2005-08-05

	* src/filter.c
	  configure.in: check for regex.h and regcomp().

2005-08-05

	* src/utils.[ch]: rename_force(): force rename even if the destination
	  file already exists (on non-Unix environment).
	* src/prefs.c
	  src/main.c: use rename_force().

2005-08-05

	* src/addrcache.c
	  src/compose.c
	  src/inc.c
	  src/action.c
	  src/session.c
	  src/main.c
	  src/utils.c
	  src/send_message.c
	  src/mbox.c
	  src/about.c
	  src/socket.c
	  src/socket.h
	  configure.in: enabled compilation with MinGW.

2005-08-04

	* src/compose.c
	  src/main.c
	  src/socket.[ch]: braced Unix-specific code with #ifdef G_OS_UNIX.

2005-08-04

	* configure.in: add -mms-bitfields to CFLAGS if the target is MinGW.

2005-08-04

	* src/utils.c: replaced tolower() with g_ascii_tolower().

2005-08-04

	* src/compose.c
	  src/main.c
	  src/utils.c
	  src/procmsg.c: replaced random() with portable g_random_*().

2005-08-04

	* src/about.c: modified version display.
	* src/socket.c: added sock_init() and sock_cleanup().

2005-08-04

	* src/mh.c: use GTimer for measuring time.
	* src/inc.[ch]
	  src/recv.c
	  src/session.[ch]: replaced gettimeofday() with portable
	  g_get_current_time(). 
	* src/socket.c: corrected signedness. Replaced usleep() with
	  portable g_usleep().

2005-08-04

	* src/prefs_common.c: removed mgedit from exteditor's candidates.

2005-08-03

	* src/utils.c:
	  execute_async()
	  execute_sync(): replaced fork() + exec() with GSpawn.

2005-08-02

	* src/compose.c
	  src/textview.c
	  src/quote_fmt_parse.y
	  src/pop.c
	  src/prefs_account.c
	  src/codeconv.c
	  src/imap.c
	  src/xml.c
	  src/utils.[ch]
	  src/addr_compl.c
	  src/procmsg.c
	  src/procmime.c
	  src/quoted-printable.c: replaced incorrect locale-dependent ctype
	  functions with GLib's. Corrected signedness mismatch.
	* src/about.c: set focus to the OK button.

2005-07-29

	* version 2.0.0

2005-07-22

	* version 2.0.0rc

2005-07-21

	* src/headerview.c: headerview_create(): added spacing for vbox.

2005-07-21

	* src/mh.c: mh_get_msg_list(): force strict cache checking on Queue
	  or Draft folders (fixes cache discrepancy).

2005-07-21

	* src/imap.c:
	  imap_modified_utf7_to_utf8(): fixed modified-UTF7 to UTF-8
	  conversion when the string includes '+'.
	  imap_utf8_to_modified_utf7(): use g_ascii_isprint() instead of
	  locale-dependent isprint().
	  Fixed warnings on conversion error.

2005-07-21

	* src/prefs_folder_item.c: display path with GtkLabel.

2005-07-20

	* src/rfc2015.c: unified indent. Use g_getenv() instead of getenv().
	  Use locale-independent g_ascii_toupper() instead of toupper().

2005-07-20

	* src/main.c: remove temporary files on startup. Code cleanups.

2005-07-19

	* src/compose.c: compose_insert_drag_received_cb(): added a hack to
	  prevent duplicated insertion.

2005-07-19

	* src/compose.c: compose_get_line_break_pos(): don't break line after
	  '/' (to protect file path etc.).

2005-07-19

	* src/compose.c: don't remove drag source on GDK_ACTION_MOVE.
	  Explicitly call gtk_drag_finish().
	* src/summaryview.c
	  src/folderview.c: made GtkTargetEntry static.

2005-07-15

	* src/summaryview.c: summary_modify_threads(): select correct row
	  when sorting is enabled.

2005-07-14

	* version 2.0.0beta6

2005-07-14

	* src/menu.c
	  src/prefs.c: removed '#warning FIXME_GTK2'.

2005-07-14

	* src/prefs_common.c: made textview_cursor_visible a hidden option.

2005-07-14

	* src/procmime.c: procmime_decode_content(): don't uncanonicalize
	  files whose name is *.txt but the Content-Type is
	  application/octet-stream.

2005-07-14

	* src/filter.c
	  src/folderview.c: modify filter rules after moving folders.

2005-07-13

	* src/textview.c
	  src/mimeview.c
	  src/procmime.[ch]: made the file size of attachments more accurate,
	  and human-readable.

2005-07-13

	* src/foldersel.c: display folder names with new/unread
	  representation.

2005-07-12

	* src/compose.c: compose_get_line_break_pos(): don't break line after
	  '-' (to protect e-mail address etc.).

2005-07-12

	* src/main.c
	  src/stock_pixmap.[ch]
	  src/Makefile.am
	  src/pixmaps/stock_sylpheed.png
	  sylpheed.png
	  sylpheed-64x64.png
	  sylpheed-128x128.png: added a new app icon, and specified it as
	  a default window icon.

2005-07-12

	* src/procmsg.[ch]: procmsg_send_queue(): clear summary cache to
	  prevent cache discrepancy.

2005-07-12

	* src/filesel.c: comply with prefs_common.comply_gnome_hig option.

2005-07-12

	* src/compose.c
	  src/addressbook.c
	  src/textview.c
	  src/account.c
	  src/summaryview.c: modified several alerts, and added accelerators
	  for the buttons.

2005-07-11

	* gtkut_tree_view_scroll_to_cell(): added margin for visibility.

2005-07-11

	* src/compose.c: compose_parse_header(): use Content-Type's charset as
	  a fallback encoding of broken header strings.

2005-07-11

	* src/compose.c: don't convert encoding if inserted file is UTF-8.

2005-07-11

	* src/compose.c: fixed duplicate signature problem in re-edit or
	  after editing with external editor.

2005-07-11

	* src/textview.c: get_uri_part(): don't include characters '{', '}',
	  '[', ']' in URI characters.

2005-07-11

	* src/compose.[ch]: replaced gdk_input_*() with GIOChannel.

2005-07-08

	* version 2.0.0beta5

2005-07-08

	* src/editjpilot.c
	  src/editvcard.c: fixed a crash when cancelling file selection dialog
	  by Escape key. Made non-ascii filename selectable. Use new file
	  chooser dialog.

2005-07-08

	* src/compose.c
	  src/procmsg.[ch]: put existing window in front when trying to reedit
	  draft/queued messages which are already open.

2005-07-08

	* src/alertpanel.[ch]: alertpanel_full(): added more generic function.
	* src/compose.c
	  src/account.c
	  src/folderview.c: modified some alert dialogs.

2005-07-08

	* src/addressbook.c
	  src/alertpanel.[ch]
	  src/summaryview.c: added G_ALERTCANCEL to AlertValue, and return it
	  if cancelled.

2005-07-07

	* src/summary_search.c
	  src/message_search.c: modified the order of buttons.

2005-07-07

	* src/prefs_display_header.c
	  src/prefs_actions.c
	  src/prefs.[ch]
	  src/prefs_account.c
	  src/prefs_common.[ch]
	  src/prefs_summary_column.c
	  src/prefs_template.c
	  src/gtkutils.[ch]
	  src/foldersel.c
	  src/summary_search.c
	  src/inputdialog.c
	  src/editbook.c
	  src/editgroup.c
	  src/editjpilot.c
	  src/editaddress.c
	  src/editldap_basedn.c
	  src/editvcard.c
	  src/editldap.c: made the order of buttons comply with GNOME HIG.

2005-07-06

	* src/stock_pixmap.[ch]
	  src/sylpheed-logo.png: replaced Sylpheed logo with new one.

2005-07-06

	* src/stock_pixmap.[ch]
	  src/pixmaps/*.xpm: removed unused images.

2005-07-06

	* src/pixmaps/stock_hand-signed.png: added.
	* src/compose.c: use new icon for Signature tool button.

2005-07-05

	* src/pixmaps/Makefile.am: added BUILT_SOURCES to EXTRA_DIST for
	  'make distcheck'.

2005-07-05

	* src/stock_pixmap.[ch]
	  src/pixmaps/*.png
	  src/pixmaps/Makefile.am: replaced pixmaps icons with png images
	  (most of them are copied from gnome-icon-theme,
	  stock_mail_receive_all and stock_mail_send_queue are contributed
	  from Jean-Yves Lefort).
	* src/compose.c
	  src/mainwindow.c: use new png icons.
	* src/folderview.c: use special icon for draft folder.

2005-07-04

	* src/procmsg.c: procmsg_read_cache(): mark cache as dirty if open
	  failed.

2005-07-04

	* version 2.0.0beta4

2005-07-04

	* src/folderview.[ch]: lock button/key input while a folder is
	  loading (fixed selection becoming wrong when another folder was
	  clicked quickly).

2005-07-04

	* src/mh.c: unified move_folder and rename_folder.

2005-07-04

	* src/imap.c
	  src/folderview.c: implemented IMAP4 folder move.

2005-07-01

	* src/mh.c
	  src/folder.h
	  src/foldersel.[ch]
	  src/imap.c
	  src/news.c
	  src/folderview.[ch]
	  src/mainwindow.c: implemented folder move (currently restricted
	  inside the same MH mailbox).

2005-07-01

	* src/filter.c: fixed a bug in syncing folder path.
	* src/folderview.c: some code cleanups.

2005-06-30

	* src/summaryview.c: summary_filter_func(): reflect flag changes to
	  IMAP server.

2005-06-30

	* src/compose.c: compose_write_to_file(): check for line length limit
	  and display warning if exceeds.
	* src/utils.[ch]: check_line_length(): new.

2005-06-29

	* src/main.c: main(): check for filename encoding on the first run.

2005-06-29

	* src/utils.c: get_outgoing_rfc2822_str(): reverted the previous
	  change (RFC 2822: 3.6.1. The origination date field).

2005-06-28

	* src/utils.c: get_outgoing_rfc2822_str(): overwrite Date: header
	  with current time (corrects date of queued messages).

2005-06-28

	* src/mh.c: mh_scan_tree_recursive(): put a warning and skip if
	  G_FILENAME_ENCODING is not specified but invalid UTF-8 directory
	  name appeared.

2005-06-27

	* src/imageview.c: fixed a possible crash on the view change from
	  imageview to textview (thanks to NINOMIYA Yuuki).

2005-06-24

	* src/ssl.c: show verify result as string.

2005-06-24

	* src/utils.c:
	  is_dir_exist()
	  is_file_entry_exist()
	  dirent_is_regular_file()
	  dirent_is_directory(): use g_file_test() instead of stat().

2005-06-24

	* src/ssl.c: verify SSL certificate (thanks to Kazuhiro NISHIYAMA).

2005-06-24

	* src/utils.[ch]
	  src/rfc2015.c: use a wrapper of strftime() to suppress the warning
	  of gcc about %c.
	* src/procheader.c: removed warning about invalid date.
	* src/jpilot.c
	  src/vcard.c: use get_home_dir() instead of g_get_home_dir().

2005-06-24

	* src/prefs_common.[ch]: removed unused option 'enable_hscrollbar'.

2005-06-24

	* src/summaryview.c: removed unrequired function
	  summary_set_column_titles().

2005-06-23

	* version 2.0.0beta3

2005-06-23

	* src/foldersel.c
	  src/folderview.[ch]: expand parent folder when new one is created.

2005-06-23

	* src/textview.c: added "Compose new message" and "Open with Web
	  browser" to the context menu.

2005-06-23

	* src/folderview.[ch]: modified the way to revert selection after
	  menu popup.

2005-06-23

	* src/editldap.c: made bind password entry invisible.

2005-06-22

	* src/prefs_common.c: quote_colors_set_dialog_key_pressed(): destroy
	  dialog only if Escape key is pressed.
	* src/textview.[ch]: update colors of text tags when prefs are
	  updated.

2005-06-22

	* src/summaryview.[ch]: made summary columns reorderable by DnD.

2005-06-22

	* src/mh.c
	  src/procmsg.h
	  src/prefs_common.[ch]: disabled strict checking of caches by stat()
	  and improved the performance.
	  Added MSG_CACHED flag to MsgTmpFlags.
	  Added 'Advanced' tab to the common prefs.

2005-06-21

	* src/folderview.c: folderview_delete_folder_cb(): modified the alert
	  message on deleting folders.

2005-06-21

	* src/prefs_account.[ch]
	  src/prefs_common.[ch]
	  src/news.c: moved the option of max news articles to account prefs.

2005-06-21

	* src/compose.c: compose_reply()
	  src/prefs_account.[ch]: added an option to encrypt when replying to
	  encrypted message (thanks to Vladi Belperchinov-Shabanski).

2005-06-21

	* src/summaryview.c: summary_reply(): use currently visible textview
	  for selection reply.

2005-06-20

	* configure.in: enabled GPGME and OpenSSL support by default.
	  Use pkg-config to detect OpenSSL (thanks to Michael Schwendt).

2005-06-20

	* src/imap.c: replace embedded null characters with ' ' when parsing
	  block data (fix parse errors when embedded null characters appeared
	  in headers).
	* src/socket.[ch]: modified *_getline() so that it returns the length
	  of string including embedded null characters.
	* src/utils.[ch]: subst_null(): replaces null characters with
	  specified one.

2005-06-20

	* src/textview.c: added "Add to address book" to the context menu
	  (thanks to Tomohiro Masubuchi), and changed "Copy this link" to
	  "Copy this address" when address is clicked.
	* src/addressadd.c: addressadd_selection(): open edit person dialog
	  right after it is added.

2005-06-17

	* src/prefs.h: added macro PACK_SMALL_LABEL().
	* src/inc.c: inc_finished()
	  src/prefs_common.[ch]: added an option to execute command when new
	  messages arrived.

2005-06-16

	* version 2.0.0beta2

2005-06-16

	* src/send_message.c: send_message_local(): check exit status to
	  detect errors.

2005-06-16

	* src/procmsg.c: procmsg_empty_trash(): unset dirty flag after cleared
	  cache/mark files (fixed wrong unread count of trash folders).

2005-06-15

	* src/summaryview.[ch]
	  src/mainwindow.c: added 'Tools/Filter junk mails in folder' and
	  'Tools/Filter junk mails in selected messages'.

2005-06-15

	* src/compose.c: made 'File/Insert signature' replace current
	  signature, or add it to the bottom.

2005-06-14

	* src/textview.c: fixed slightly wrong scroll position when the
	  displayed message changed.

2005-06-14

	* src/compose.c: scroll the view to the cursor position after paste.

2005-06-14

	* src/compose.c: don't scroll when view is created.
	  compose_input_cb(): set cursor to the top when the text is replaced.

2005-06-14

	* src/compose.c: scroll the view to the cursor position after
	  inserting signatures or files.

2005-06-14

	* src/mh.c: mh_remove_msg(): fixed a bug that unintentionally set
	  FolderItem::last_num to 0 (which caused wrong unread number
	  display).

2005-06-14

	* src/summaryview.c: summary_set_colorlabel(): fixed a bug that the
	  change of color labels was not saved.

2005-06-13

	* src/prefs_common.[ch]
	  src/inc.c: integrated junk filter setting into common prefs.
	* src/filter.[ch]: added filter_rule_list_free().

2005-06-13

	* src/summaryview.c: include currently selected row on flag search
	  if message view is visible but the row is not displayed.

2005-06-13

	* src/imap.c: reacquire CAPABILITY after STARTTLS since it can be
	  changed (thanks to Tomasz).

2005-06-10

	* replaced every strcasecmp/g_strcasecmp with g_ascii_strcasecmp,
	  and strncasecmp/g_strncasecmp with g_ascii_strncasecmp
	  (fixes Turkish locale problem) (thanks to Doruk Fisek).

2005-06-10

	* src/prefs.h
	  src/prefs_common.c: unified some frames and checkboxes.

2005-06-10

	* src/summaryview.c: summary_modify_node(): really fixed the crash
	  bug (referred freed memory on sorting).

2005-06-10

	* src/summaryview.c: flush events before scrolling to selected.

2005-06-10

	* src/summaryview.c: fixed possible crash (take 2).

2005-06-10

	* src/summaryview.c: fixed possible crash when sorted by
	  From/To/Subject.

2005-06-09

	* version 2.0.0beta1

2005-06-09

	* src/gtkutils.[ch]: added gtkut_tree_view_scroll_to_cell().
	  Removed ununsed CTree functions.
	* src/summaryview.c: fixed scroll positon problem after some
	  operations.

2005-06-08

	* src/inc.c
	  src/send_message.c
	  src/progressdialog.[ch]: reimplemented progress dialog with
	  GtkTreeView. Added some APIs.

2005-06-08

	* sylpheed.spec.in: modified for the latest RPM (thanks to Paul
	  Dickson).

2005-06-08

	* src/account.c
	  src/prefs_filter.c: made some buttons stock button.

2005-06-08

	* src/summaryview.c: summary_tree_view_create(): disabled typeahead
	  find.

2005-06-07

	* src/compose.c
	  src/main.c
	  src/procmsg.[ch]
	  src/send_message.[ch]
	  src/prefs_common.[ch]
	  src/mainwindow.c: added an option to apply filter rules to sent
	  messages.

2005-06-06

	* src/mimeview.c
	  src/sourcewindow.c: don't use "destroy" signal to destroy objects.

2005-06-06

	* src/compose.c: don't use "destroy" signal to destroy Compose object
	  (fix rare crashes on discard?).

2005-06-06

	* src/summaryview.c:
	  summary_attract_by_subject()
	  summary_sort(): clear selection list when the order of the list is
	  changed.

2005-06-06

	* src/summaryview.c: summary_remove_invalid_messages(): fixed a bug
	  that it took time at O(n^2) order if all messages were selected
	  and then they were removed.

2005-06-06

	* src/compose.c
	  src/messageview.c
	  src/prefs_common.c
	  src/mainwindow.c: added Hebrew encodings.

2005-06-06

	* src/codeconv.[ch]: always enabled Japanese auto-detection if the
	  first letters of locale string is "ja".

2005-06-03

	* src/compose.c
	  src/summaryview.[ch]
	  src/folderview.c: improved the DnD. Don't copy files on
	  summary-to-folder drag, and set mime type to message/rfc822 on
	  summary-to-compose drag.

2005-06-03

	* src/prefs_common.c: prefs_junk_create(): modified the description.

2005-06-03

	* src/summaryview.c: summary_junk_func(), summary_junk(): allow
	  empty junk folder.

2005-06-02

	* src/prefs_common.c: prefs_font_select(): select current font
	  when opening the dialog.

2005-06-02

	* src/prefs_common.[ch]
	  src/mainwindow.[ch]
	  src/summaryview.[ch]: added a feature for junk mail control.

2005-06-01

	* src/summaryview.c: summary_msgid_table_create_func(): ignore invalid
	  or deleted messages.

2005-06-01

	* src/textview.c:
	  textview_search_string()
	  textview_search_string_backward(): improved sequential searches.

2005-06-01

	* src/summaryview.c: don't include the current message for
	  "View/Go to/(Prev|Next) (unread|new) message".

2005-05-31

	* src/imap.c: imap_scan_tree_recursive(): disabled scanning of folders
	  because the STATUS command costs much.

2005-05-31

	* src/summaryview.c: summary_show(): fixed a bug that caused crash
	  if FolderView::selected is NULL (thanks to Yann Grossel).
	* src/folderview.[ch]: folderview_set_opened_item(): new.

2005-05-30

	* src/manage_window.c: manage_window_focus_out(): don't reset
	  focus_window on focus-out event.
	* src/inc.c
	  src/send_message.c: call manage_window_destroy() to reset
	  focus_window before destruction of window.

2005-05-30

	* src/alertpanel.c: don't let message label take focus.
	* src/headerview.c: don't let header labels take focus.

2005-05-30

	* src/summaryview.[ch]: optimized getting the selection list.
	  Set cache as dirty when reordered to remember the current order.

2005-05-29

	* version 1.9.12

2005-05-27

	* src/compose.c: compose_entries_set(): don't interpret Bcc header
	  field (conform to RFC 2368).

2005-05-27

	* src/mh.c
	  src/compose.c
	  src/folder.[ch]
	  src/imap.c
	  src/procmsg.c
	  src/news.c
	  src/summaryview.c: added FolderItem::mark_dirty flag to determine
	  if mark file really needs to be updated.
	  Write mark file only if cache_dirty or mark_dirty flag is set.

2005-05-27

	* src/imap.c: don't destroy the previous Session object when
	  reconnecting (fixed crash when reconnection happened while scanning
	  tree).
	  imap_cmd_search(): fixed a bug that only the first response was
	  recognized (thanks to Hanno Meyer-Thurow).
	* src/procmsg.h: added MSG_IS_SIGNED() macro.

2005-05-26

	* src/main.c: app_will_exit(): cleanup tmp directory when exit.
	* src/mimeview.c: fixed DnD of non-ascii filename.
	* src/utils.[ch]: encode_uri(): new.
	* src/summaryview.[ch]: use subject as the filename of droppend
	  messages. Added .eml as the extension.

2005-05-25

	* src/textview.c: textview_write_link(): also skip non-ascii space
	  at the head of link strings (phishing check didn't work at the case).

2005-05-25

	* src/utils.c: get_command_output(): use g_spawn_command_line_sync()
	  instead of popen().

2005-05-25

	* src/send_message.c: send_message_local(): use GSpawn, and detect
	  errors.

2005-05-25

	* src/message_search.c: removed Clear button.

2005-05-24

	* src/folder.[ch]: added FolderItem::cache_dirty flag to determine
	  if cache file really needs to be updated.
	* src/mh.c
	  src/imap.c
	  src/procmsg.c
	  src/news.c: set cache_dirty flag if folder contents differ from
	  the cache file.
	* src/summaryview.c: set cache_dirty flag if folder contents changed.
	  Write cache file only if cache_dirty flag is set.

2005-05-24

	* src/compose.c: disable attach toggle button for now.

2005-05-24

	* src/compose.[ch]: added a toggle button for the attachment pane.

2005-05-24

	* src/compose.[ch]: reimplemented the attachment list with
	  GtkTreeView. Fixed attaching of locale filename.
	* src/utils.c: uri_list_extract_filenames(): properly parse URI.

2005-05-24

	* src/gtkutils.c: fixed compilation failure with GTK 2.4.

2005-05-23

	* src/summaryview.[ch]: enabled DnD to external apps.

2005-05-23

	* src/compose.[ch]: added PGP Sign/Encrypt check button on the compose
	  window.

2005-05-23

	* src/summaryview.c: summary_step(): don't use "move-cursor" signal
	  to move cursor.

2005-05-23

	* src/gtksctree.[ch]: removed.
	* src/gtkutils.c: added missing include, and removed GtkSCTree init.

2005-05-23

	* src/textview.c
	  src/mimeview.[ch]
	  src/summaryview.c
	  src/mainwindow.c: reimplemented MimeView with GtkTreeView.

2005-05-20

	* src/summaryview.c: summary_show(): fixed the selection state on
	  refresh.

2005-05-20

	* src/summaryview.c: summaryview_clear_list(): set the value of
	  vadjustment to 0.0 so that the "value-changed" signal is always
	  emitted (fixes the scroll problem on refresh).

2005-05-19

	* src/message_search.c: improved the interface and made code cleanup.

2005-05-19

	* src/summary_search.c: improved the interface and made code cleanup.

2005-05-19

	* src/summaryview.c: summary_show(): fixed a problem that no message
	  was selected after processing left marks.

2005-05-19

	* src/textview.[ch]
	  src/prefs_common.[ch]
	  src/mainwindow.c: added an option to toggle cursor in message view
	  (thanks to Godwin Stewart).

2005-05-19

	* src/summaryview.c: summary_modify_threads(): block selection_changed
	  callback while modifying threads so that the toolbar doesn't
	  become insensitive unexpectedly.

2005-05-18

	* src/summaryview.c: set minimum column width.
	  src/folderview.c: set minimum column width. Remember every column
	  width.

2005-05-18

	* src/summaryview.c: display next messages after deleting when
	  immediate_exec is enabled.

2005-05-17

	* version 1.9.11

2005-05-17

	* src/summaryview.c: summary_remove_invalid_messages(): adjusted
	  selection and message display on execution.
	  summary_get_modified_node(): fixed an order problem.

2005-05-17

	* src/summaryview.c: summary_row_expanded(): made a workaround for
	  last-row expand problem.

2005-05-16

	* src/summaryview.c: summary_selection_changed(): forgot to unset
	  SummaryView::selected on empty selection.

2005-05-16

	* src/summaryview.c: fixed selection problem after execution.
	* src/gtkutils.c: gtkut_tree_model_find_by_column_data(): also compare
	  start node.

2005-05-15

	* src/summaryview.c: summary_button_pressed(): fixed a bug that
	  prohibited column resize.

2005-05-15

	* src/summaryview.c: summary_key_pressed(): fixed a bug that Return,
	  Space and Delete key are ignored when multiple messages were
	  selected.
	* src/headerview.c: added missing gtk/gtkimage.h include.

2005-05-13

	* version 1.9.10

2005-05-13

	* src/prefs_common.[ch]
	  src/summaryview.c: made rules hint configurable. Removed debug code.
	* src/gtkutils.c: gtkut_tree_row_reference_equal(): return FALSE if
	  one of the reference is invalid.

2005-05-13

	* src/summaryview.c: don't open selected messages on 'View/Go to'
	  if the message view is hidden.

2005-05-13

	* src/summaryview.c: modified the handling of middle-click and
	  double-click.

2005-05-13

	* src/summaryview.c: adjusted the width of icon-titled columns.

2005-05-12

	* src/summaryview.c: summary_attract_by_subject()
	  src/mainwindow.c: main_window_set_menu_sensitive(): disable 'Attract
	  by subject' if sorted.

2005-05-12

	* src/summaryview.c: summary_attract_by_subject(): optimized using
	  gtk_tree_store_reorder() (gtk_tree_store_move_after() is too slow).

2005-05-12

	* src/summaryview.c: display collapsed rows which have unread children
	  as bold.

2005-05-11

	* src/summaryview.c: summary_have_unread_children(): implemented.
	  summary_row_expanded(): expand all children.
	  summary_thread_build(): added missing g_hash_table_destroy().

2005-05-11

	* src/summaryview.c
	  src/mainwindow.c: summary_thread_build(): implemented.

2005-05-11

	* src/utils.c: remove_dir_recursive(): fixed operation failure if
	  current directory is inside one which is to be removed.
	* src/summaryview.c: summary_unthread(): implemented.
	* src/folderview.c: fixed crash when FolderView::selected became
	  invalid. Unset it if selection becomes empty.
	* src/defs.h: changed DEFAULT_MESSAHE_FONT from "Sans 14" to
	  "Monospace 12".

2005-05-10

	* src/summaryview.c: summary_select_thread(): implemented.

2005-05-10

	* src/summary_search.c: reimplemented summary search.

2005-05-10

	* src/summaryview.c:
	  summary_show(): display selected message if always_show_msg is set.
	  summary_button_pressed(): fixed the handling of modifier key.
	  summary_selection_changed(): clear message view if not single
	  selection.

2005-05-10

	* src/summaryview.c
	  src/gtkutils.[ch]: fixed compilation failure on GTK+ 2.4
	  (GTK+ 2.4 doesn't provide the way to unset the sort setting).

2005-05-09

	* src/editjpilot.c
	  src/editldap_basedn.c
	  src/editldap.c: added missing includes.

2005-05-09

	* src/compose.c
	  src/inc.c
	  src/addressbook.c
	  src/textview.c
	  src/messageview.c
	  src/editbook.c
	  src/editgroup.c
	  src/importldif.c
	  src/foldersel.c
	  src/mimeview.c
	  src/message_search.c
	  src/main.c
	  src/inputdialog.c
	  src/editaddress.c
	  src/addressadd.c
	  src/import.c
	  src/about.c
	  src/mainwindow.c
	  src/editvcard.c: added missing includes.
	* src/gtkutils.[ch]: added utility functions for GtkTreeView.
	* src/stock_pixmap.[ch]: stock_pixbuf_widget(): new.
	* src/folderview.c: modified for column sizing.
	* src/summaryview.[ch]
	  src/prefs_summary_column.c: reimplemented with GtkTreeView
	  (some features are not completed yet).

2005-05-06

	* src/socket.c: sock_connect_address_list_async(): only watch
	  G_IO_OUT to prevent a rare connection problem (thanks to Thorsten
	  Maerz).

2005-05-02

	* src/prefs_filter_edit.c: prefs_filter_edit_set_cond_hbox_widgets():
	  display unit on AGE condition.

2005-04-27

	* src/imageview.c: imageview_get_resized_pixbuf(): don't scale images
	  if not required (just increase ref count).

2005-04-27

	* src/mainwindow.c: main_window_create(): disable no longer required
	  workaround for resize grip on GTK+ 2.6.

2005-04-22

	* src/imap.c: imap_auth(): prefer CRAM-MD5 if authentication type is
	  automatic. Don't use LOGIN if CAPABILITY has LOGINDISABLED.

2005-04-22

	* src/folderview.c: folderview_selection_changed(): flush widget to
	  reflect selection change before showing summary.

2005-04-22

	* sylpheed.desktop: changed the encoding to UTF-8 (thanks to Daichi
	  Kawahata).

2005-04-22

	* src/folderview.c:
	  folderview_rescan_tree()
	  folderview_check_new(): refresh widgets before processing.

2005-04-20

	* src/gtkutils.[ch]: gtkut_widget_draw_now(): use
	  gdk_window_process_updates() to force update of widgets.
	  Removed gtkut_widget_wait_for_draw() which had a big overhead
	  because of waiting for all events processed.
	* src/statusbar.c
	  src/summaryview.c
	  src/setup.c
	  src/folderview.c
	  src/mainwindow.c: use gtkut_widget_draw_now(). Improved performance
	  of the update of statusbar.

2005-04-20

	* src/textview.c: textview_smooth_scroll_do(): redraw it after scroll
	  is done (fixed incorrect display when a part of the view is hidden).

2005-04-19

	* version 1.9.9

2005-04-19

	* sylpheed.desktop: added French translation (thanks to Nicolas Boos).

2005-04-19

	* src/session.[ch]: use separate buffer for large data to be sent,
	  and don't duplicate it (reduces memory usage) (thanks to Dirk).

2005-04-19

	* src/compose.c
	  src/prefs_common.c: removed '/Edit/Advanced' menu which had been
	  provided for old GtkSText, and had interfered with gtk-key-theme
	  configuration.

2005-04-15

	* src/folderview.c: folderview_create(): check GTK version for
	  "ellipsize" property.

2005-04-13

	* src/folderview.c: modified include.
	  folderview_col_resized(): fixed argument type.

2005-04-13

	* src/imap.c: imap_close(): don't do anything if item->path is NULL.
	* src/folderview.c: removed unused GtkStyle.
	  folderview_select_row(): don't expand the row itself.
	  folderview_selection_changed(): fixed a memory leak.

2005-04-13

	* src/rfc2015.c: pgp_sign(): fixed missing brackets. Check if
	  result->signatures is not NULL (fix crashes when ~/.gnupg doesn't
	  exist).
	* src/sigstatus.c: gpgmegtk_sig_status_to_string(): check if signature
	  is not NULL.

2005-04-12

	* version 1.9.8

2005-04-12

	* src/folderview.c
	  src/gtkutils.[ch]: remember the column width, and restored Search
	  menu.

2005-04-12

	* src/compose.c
	  src/messageview.c
	  src/codeconv.[ch]
	  src/prefs_common.c
	  src/mainwindow.c: support GBK encoding. Fallback to GBK if "X-GBK"
	  is passed (thanks to SuperMMX).

2005-04-12

	* src/compose.c: compose_write_to_file(): don't encode clearsigned
	  text.

2005-04-11

	* src/action.c: catch_output(): correctly select the insert text
	  (fix invalid iterator warnings).

2005-04-11

	* src/gtkutils.[ch]
	  src/folderview.[ch]: implemented message-to-folder DnD.
	  Auto-expand and auto-scroll are also implemented.

2005-04-08

	* src/folderview.c: folderview_check_new(): fixed infinite loop bug.
	  folderview_new_news_group_cb(): fixed crash bug when subscribing.
	* src/summaryview.c: summary_show(): update FolderView::opened before
	  folderview_update_opened_msg_num() is called.

2005-04-07

	* src/folderview.c: folderview_selection_changed(): don't let
	  GtkTreeView::gtk_tree_view_button_press() grab focus after opening
	  a folder by button press.

2005-04-07

	* src/folderview.[ch]: reimplemented folder view with GtkTreeView
	  (DnD is not implemented yet).
	* src/folder.[ch]: folder_item_compare(): compare function to sort
	  FolderItem.
	* src/gtkutils.[ch]:
	  gtkut_tree_model_next()
	  gtkut_tree_model_find_by_column_data()
	  gtkut_tree_view_find_collapsed_parent(): new.
	* src/pixmaps/dir-noselect.xpm
	  src/pixmaps/dir-open.xpm
	  src/pixmaps/dir-close.xpm: removed extra spaces.

2005-04-05

	* src/send_messages.c: send_message_smtp(): consider EOF right after
	  QUIT successful (workaround for Gmail SMTP server).
	* src/socket.c: ssl_read(), ssl_peek(): check EOF which violates the
	  SSL protocol.
	* src/procheader.c: removed an unused variable.

2005-04-01

	* configure.in: changed -traditional-cpp to -no-cpp-precomp for newer
	  Mac OS X support.

2005-03-31

	* src/account.c: reimplemented edit account dialog using GtkTreeView.

2005-03-31

	* src/colorlabel.c: removed warnings when displaying colorlabel menu
	  (don't use GtkAlignment).
	* src/prefs_filter_edit.c: stabilized displaying of widgets.
	* src/gtkutils.[ch]: gtkut_scrolled_window_reset_position(): reset
	  the adjustments to (0, 0).

2005-03-31

	* src/foldersel.c
	  src/prefs_filter.c: made column resize automatically.

2005-03-31

	* src/smtp.c: smtp_auth_plain(): fixed a bug that extra '\0' was
	  included in the auth string and PLAIN authentication failed
	  (thanks to IWAMOTO Kouichi).

2005-03-31

	* src/prefs_filter.c: reimplemented filter prefs dialog using
	  GtkTreeView.

2005-03-29

	* src/compose.c: don't join (presumably) itemized lines on
	  line-wrapping.

2005-03-29

	* version 1.9.7

2005-03-29

	* src/procmsg.c: procmsg_get_thread_tree(): look for indirect parent
	  only the second loop for accurate threading.
	* src/procheader.c: procheader_parse_stream(): made In-Reply-To take
	  priority of References for MsgInfo::inreplyto.

2005-03-28

	* src/utils.[ch]: references_list_prepend(): new.
	* src/procmsg.[ch]
	  src/procheader.c
	  src/summaryview.c: modified the thread creation so that it looks up
	  every message-id in References header if the real parent message is
	  not found (thanks to Alfons).
	* src/defs.h: upped the cache version.

2005-03-28

	* src/foldersel.c: reimplemented folder selection dialog using
	  GtkTreeView (thanks to Alfons).
	* src/stock_pixmap.[ch]: stock_pixbuf_gdk(): new. It generates
	  GdkPixbuf object from xpm.

2005-03-25

	* src/compose.c: compose_parse_header(): ignore empty Reply-To: and
	  Followup-To: header (thanks to Alfons).

2005-03-23

	* src/compose.c:
	  compose_write_to_file()
	  compose_write_headers(): separate header charset and body charset.
	  Fixed the issue that ISO-8859-1 was forced for headers when body
	  is US-ASCII only.

2005-03-23

	* src/codeconv.c: conv_jistoeuc(): fixed buffer overflow when
	  auxiliary Kanji appeared (only affects svn version after
	  2005-03-17).

2005-03-22

	* src/codeconv.[ch]: return error value in every code conversion
	  function.

2005-03-18

	* src/html.[ch]: html_parse(): made return value const.
	* src/textview.c: textview_show_html(): force output of newline.
	* src/procmime.c: procmime_get_text_content(): follow the API change.

2005-03-18

	* src/account.c: account_find_from_message_file(): added missing
	  NULL terminator of the HeaderEntry array which had introduced
	  crash on re-edit (thanks to Michael Schwendt).

2005-03-17

	* src/utils.c: strncpy2(): optimized based on Alfons' code.

2005-03-17

	* src/codeconv.[ch]
	  src/textview.c
	  src/unmime.c
	  src/procheader.c
	  src/sourcewindow.c
	  src/rfc2015.c
	  src/html.c: made every code conversion API allocate new memory.
	  This removes redundant string copy on conversion.

2005-03-16

	* src/prefs_common.[ch]
	  src/textview.c: added an option whether to render HTML as text or
	  not.

2005-03-16

	* src/filesel.c: remember the state of the expander of file save
	  dialog.

2005-03-16

	* src/compose.[ch]: added a menu to temporally change the outgoing
	  encoding. Use UTF-8 also for headers if it is forced for body.
	* src/codeconv.[ch]:
	  conv_get_outgoing_charset_str(): don't use prefs_common setting.
	  conv_encode_header(): added an argument for outgoing encoding.
	* src/prefs_common.c: added separators to outgoing encoding menu.
	* src/messageview.c
	  src/mainwindow.c: changed 'Code set' (which is rather incorrect)
	  in the menu to 'Character encoding'.

2005-03-15

	* version 1.9.6

2005-03-15

	* src/action.c: create_io_dialog(): use user-defined text font
	  (thanks to Alfons), and modified its appearance.

2005-03-15

	* src/compose.c: compose_write_to_file(): fixed a memory leak.

2005-03-14

	* src/compose.c: compose_write_to_file(): do a strict check for code
	  conversion.
	* src/codeconv.[ch]:
	  conv_codeset_strdup_full()
	  conv_iconv_strdup()
	  conv_iconv_strdup_with_cd(): added an argument to return an error
	  value.

2005-03-14

	* src/smtp.[ch]
	  src/prefs_account.c: implemented PLAIN authentication method
	  (thanks to mori).

2005-03-14

	* src/filesel.c:
	  filesel_select_file_full(): remember directories for each operations.
	  filesel_create(): set default response.
	* src/textview.c: textview_key_pressed()
	  src/mimeview.c: mimeview_key_pressed(): move focus to upper view
	  if Esc key is pressed.
	* Thanks to Sergey Pinaev for the above.

2005-03-11

	* src/compose.[ch]: use GtkTextTag for signature replacement to
	  stabilize it.

2005-03-10

	* src/textview.c: implemented 'Save this image as...' in the context
	  menu of inline images.
	* src/procmime.c: procmime_get_part_file_name(): new.

2005-03-10

	* src/mainwindow.c: main_window_set_widgets(): request size first
	  to prevent window size becoming wrong.
	* src/utils.c: debug_print(): use g_print() to output with locale
	  encoding.

2005-03-10

	* src/passphrase.c: partially fixed grab input of passphrase dialog.
	  Confine pointer to window.

2005-03-09

	* src/compose.c: fixed wrapping of quote when auto-wrapping is
	  enabled.

2005-03-09

	* src/mainwindow.c: fixed remembering of the state of the visibility
	  of MessageView.

2005-03-09

	* src/compose.c: compose_attach_cb(): enabled multiple file selection.
	* src/main.c: migrate_old_config(): copy also mime.types.
	* src/filesel.[ch]: filesel_select_files(): returns multiple selected
	  files.

2005-03-08

	* src/imageview.[ch]: imageview_get_resized_pixbuf(): new.
	  src/textview.c: textview_add_part(): follow the setting of
	  prefs_common.resize_image.
	* src/configure.in
	  src/about.c
	  src/mimeview.c: removed enable-gdk-pixbuf option since gdk-pixbuf
	  is now built-in.

2005-03-08

	* src/messageview.[ch]
	  src/mimeview.[ch]: changed the implementation of switching
	  Text/MIME view (enables smooth switching).

2005-03-08

	* src/textview.c: textview_make_clickable_parts(): optimized the
	  URI search (fixes freeze at extremely long lines with many '@').
	* src/gtkutils.[ch]: gtkut_text_buffer_insert_with_tag_by_name():
	  new. Force linebreak of long lines (> 8190 chars) to prevent the
	  slowdown of GtkTextView.

2005-03-07

	* src/mainwindow.c
	  src/mimeview.[ch]: save selected attachments if mimeview has focus
	  when 'File/Save as...' is selected.
	  Made mimeview_save_as() public.

2005-03-07

	* version 1.9.5

2005-03-07

	* src/codeconv.c: conv_unmime_header(): use fixed size of buffer.
	* src/procheader.c: procheader_scan_date_string(): support header
	  like: "[Tue,] 01 Feb 2005 09:57[:00]".

2005-03-04

	* src/unmime.[ch]: use GString for a buffer for header MIME decoding
	  to improve the efficiency.
	* src/codeconv.c: conv_unmime_header(): directly return the return
	  value of unmime_header(). Restrict the buffer size on the stack.

2005-03-04

	* src/codeconv.[ch]: removed conv_unmime_header_overwrite() because
	  it had introduced heap buffer overflow.
	  conv_unmime_header(): modified so that it returns newly-allocated
	  string.
	* src/compose.c: compose_parse_header(): don't use
	  conv_unmime_header_overwrite() which introduced buffer overflow.
	* src/procheader.c
	  src/news.c
	  src/procmime.c: followed the API change.

2005-03-03

	* use Content-Type's charset as a fallback encoding of broken header
	  strings (thanks to Sergey Pinaev).
	* src/textview.c: use Content-Type's charset information and
	  force-charset setting when displaying headers.
	* src/codeconv.c: conv_iconv_strdup(): convert even if src and dest
	  are identical, or dest is US-ASCII.
	  conv_unmime_header(): try to convert with default encoding if
	  string is not ascii.
	* src/procheader.[ch]:
	  procheader_get_header_array()
	  procheader_get_header_array_asis(): added an argument for default
	  encoding.
	  procheader_parse_stream(): use Content-Type's charset information.
	* src/procmime.[ch]: added procmime_scan_content_type_str() which
	  returns parameters of Content-Type header.
	* src/unmime.[ch]: removed unused function prototype.

2005-03-02

	* version 1.9.4

2005-03-02

	* src/compose.c: compose_destroy(): destroy paned only if it's not
	  attached to window. Fixed memory leak of popup menu.

2005-03-02

	* src/sigstatus.c: modified the popup dialog. Fixed warning when
	  pressing escape key. Fixed indentation of the source.

2005-03-02

	* src/main.c: removed redundant code.
	* configure.in: removed redundant PKG_CHECK_MODULES.
	  use PKG_CONFIG instead of GLIB_CONFIG which is no longer available
	  (fixes LDAP compilation).

2005-03-01

	* configure.in: check for GLib/GTK version (>= 2.4.0).

2005-03-01

	* src/gtkutils.[ch]: removed non-used code.

2005-03-01

	* src/mimeview.[ch]: display action buttons when attached files are
	  selected.
	  Fixed the handling of key press and popup menu.
	  Fixed redraw problem of widget pane.
	* src/summaryview.[ch]: minor code cleanup.
	* src/mainwindow.c: prev_cb(), next_cb(): handle mimeview if it has
	  focus.
	* src/filesel.c: change current directory before creating dialog
	  (fixed performance problem on folders with large number of
	  message).
	* src/textview.[ch]: removed unused functions.

2005-03-01

	* ac/check-type.m4
	  ac/gnupg-check-typedef.m4: fixed a warning of the newer automake
	  (thanks to Daichi Kawahata).

2005-02-28

	* src/compose.c: compose_parse_header(): generate References: from
	  In-Reply-To: even if the parent message doesn't have Message-Id:
	  (thanks to mori).

2005-02-28

	* src/procheader.[ch]: fixed the argument type of buffer length
	  (thanks to Alfons).

2005-02-27

	* src/socket.c: sock_add_watch(): fixed a bug that g_io_add_watch()
	  was called even on SSL connection. It has introduced random bugs.

2005-02-25

	* src/messageview.c: messageview_select_all(), reply_cb(): fixed
	  selection bugs.

2005-02-25

	* src/compose.c
	  src/textview.c
	  src/quote_fmt_parse.y: follow the API changes.
	* src/procmsg.c: procmsg_print_message(): output text with locale
	  encoding.
	* src/procmime.[ch]:
	  procmime_get_text_content()
	  procmime_get_first_text_content(): added an argument for dest
	  encoding.
	* src/codeconv.[ch]: conv_code_converter_new(): added an argument for
	  dest encoding.
	* src/html.c: removed broken locale specific entity reference
	  conversion.

2005-02-25

	* src/compose.c
	  src/messageview.c
	  src/mimeview.c
	  src/export.c
	  src/summaryview.c
	  src/import.c
	  src/filesel.[ch]: replaced GtkFileSelection with
	  GtkFileChooserDialog.
	  Added filesel_save_as().

2005-02-24

	* src/alertpanel.c: modified its design to fit other GTK2 apps.

2005-02-24

	* src/progressdialog.c
	  src/inc.c: inc_progress_dialog_create(): modified ProgressDialog
	  to use GtkDialog.

2005-02-24

	* src/compose.c: compose_write_attach(): force transfer encoding to
	  protect trailing spaces for PGP signing.

2005-02-23

	* src/gtkutils.[ch]: removed unused functions.
	  gtkut_text_buffer_match_string()
	  gtkut_text_buffer_find(): changed the API to use iterator.
	  gtkut_text_buffer_find_backward(): new.
	* src/textview.c:
	  textview_search_string()
	  textview_search_string_backward(): use new API.

2005-02-23

	* src/logwindow.c
	  src/prefs_common.[ch]: re-enabled the line number limit, and made
	  the value configurable.

2005-02-22

	* src/codeconv.c:
	  conv_anytodisp(): check if converted string is valid UTF-8.
	  conv_localetodisp(): convert to valid UTF-8 if conv_iconv_strdup()
	  failed.
	  conv_unmime_header_overwrite()
	  conv_unmime_header(): try to convert unencoded strings using locale
	  encoding (thanks to Egor Yu. Shkerin and Oliver Lehmann).

2005-02-21

	* version 1.9.3

2005-02-21

	* src/compose.c:
	  compose_join_next_line(): consider tab width. Keep cursor position
	  as much as possible.
	  compose_wrap_paragraph(): remove trailing spaces on wrapping.
	  compose_insert_sig(): don't select text when placing cursor.
	  compose_insert_file(): disable autowrap while inserting text.
	  compose_undo_cb()
	  compose_redo_cb(): disable autowrap while performing undo/redo.

2005-02-21

	* src/summaryview.c: summary_ctree_create(): changed indent size to
	  12.

2005-02-18

	* src/textview.c: added 'Copy this link' to the context menu
	  (thanks to Hiroyuki Ikezoe).
	* po/Makefile.in.in: added checks and statistics display option to
	  msgfmt command.

2005-02-18

	* src/compose.c: compose_join_next_line(): removed extra spaces
	  between the next line.

2005-02-18

	* src/compose.c: compose_wrap_paragraph(): comply with 'Wrap
	  quotation' setting.

2005-02-18

	* src/textview.c: fixed glitches of underlined URI in textview
	  (thanks to Alfons).

2005-02-18

	* src/compose.c: compose_join_next_line(): don't use
	  gtk_text_buffer_backspace() which is gtk-2.6 only API.

2005-02-17

	* src/compose.c: implemented new line-wrapping routine. Enables full
	  i18n support and proper line-breaking.
	* src/utils.[ch]: get_uri_len(): returns URI length.

2005-02-16

	* src/procmime.c: procmime_get_tmp_file_name(): convert filename
	  to filesystem encoding.

2005-02-14

	* src/intl.h: removed.

2005-02-10

	* src/compose.c: compose_write_file(): force transfer encoding to
	  protect trailing spaces for PGP signing (fixes incompatibility
	  between gnupg 1.2 and 1.4) (thanks to Thorsten Maerz).

2005-02-10

	* src/compose.c
	  src/sourcewindow.c: automatically show horizontal scroll bar.

2005-02-09

	* version 1.9.2

2005-02-09

	* src/textview.c: implemented better hypertext processing (pointing
	  a link shows its URI and single-clicking it follows the link).

2005-02-08

	* src/codeconv.[ch]
	  conv_filename_from_utf8()
	  conv_filename_to_utf8(): new. They always returns non-NULL strings.
	* src/filesel.c
	  src/summaryview.c: fixed non-UTF8 filename handling of the file
	  selection dialog (thanks to Sergey Pinaev).
	* src/compose.c: compose_attach_cb(): fixed attaching of files with
	  non-UTF8 names (thanks to Sergey Pinaev).

2005-02-08

	* src/prefs_filter.c: use stock buttons.

2005-02-08

	* src/procmime.[ch]
	  src/textview.c
	  src/prefs_common.c: implemented inline image display.

2005-02-07

	* src/gtkutils.c: gtkut_window_popup()
	  src/about.c: about_show(): use gtk_window_present() to popup
	  window.

2005-02-07

	* src/*.c: replaced intl.h with glib/gi18n.h (thanks to Yoichi Imai).
	* configure.in
	  Makefile.am
	  po/Makefile.in.in: use AM_GLIB_GNU_GETTEXT. Removed intl/.

2005-02-04

	* src/action.c: execute_actions(): don't include header part in
	  message text.

2005-02-04

	* src/textview.c
	  src/gtkutils.[ch]: reimplemented message text search.

2005-02-04

	* src/gtkutils.[ch]: gtkut_widget_set_small_font_size(): new.
	* src/prefs_account.c
	  src/prefs_common.c: made the font size of supplementary
	  explanations smaller, and enabled line wrap.

2005-02-03

	* version 1.9.1

2005-02-03

	* src/compose.c: compose_create(): use normal API for setting font.

2005-02-02

	* src/main.c: parse_cmd_opt(): convert help message to locale
	  encoding.

2005-02-02

	* src/compose.c:
	  GET_CHAR(): speed up by using gtk_text_iter_get_char().
	  get_indent_length(): use GtkTextIter for the loop.

2005-02-02

	* src/compose.c:
	  text_inserted(): revalidate iterator so as not to invalidate it
	  after gtk_text_buffer_insert() while enabling auto wrapping.
	  Do paste-as-quotation directly inside compose_paste_as_quote_cb().

2005-02-01

	* version 1.9.0

2005-01-31

	* src/codeconv.c: conv_utf8todisp(): replace every 8bit character
	  if the source string is not a valid UTF-8.

2005-01-31

	* src/defs.h: use original ".sylpheed_cache" for CACHE_FILE.
	  changed CACHE_VERSION to 0x20.

2005-01-31

	* src/rfc2015.c: sig_status_full(): convert string returned by
	  strftime() (which is locale encoding) to UTF-8.

2005-01-31

	* configure.in
	  src/textview.c
	  src/passphrase.[ch]
	  src/mimeview.c
	  src/main.c
	  src/select-keys.[ch]
	  src/rfc2015.[ch]
	  src/sigstatus.[ch]: ported to gpgme-1.0 (thanks to Toshio Kuratomi).

2005-01-28

	* src/template.c: template_write_config(): fixed a memory leak.

2005-01-28

	* src/compose.c: removed redundant code for Ctrl-Enter handling
	  (not required for GTK2).

2005-01-27

	* src/prefs_actions.c
	  src/prefs_template.c
	  src/summary_search.c
	  src/message_search.c
	  src/folderview.c
	  src/prefs_customheader.c
	  src/prefs_filter.c: use GTK stock button for alertpanel.

2005-01-27

	* src/codeconv.c: conv_utf8toeuc(), conv_utf8tojis(): added to
	  prevent character corruption on conversion.

2005-01-26

	* src/stock_pixmap.[ch]
	  src/pixmaps/stock_add_16.xpm
	  src/pixmaps/stock_remove_16.xpm: removed two pixmaps.
	* src/prefs_filter_edit.c: use GTK stock icon for add and remove
	  button.

2005-01-26

	* src/alertpanel.c: use smaller size for title font.

2005-01-26

	* src/codeconv.[ch]: made encoding-specific functions static, and
	  removed redundant code.

2005-01-26

	* src/procmime.c:
	  procmime_scan_content_type()
	  procmime_scan_content_disposition(): removed raw ISO-2022-JP to
	  EUC-JP conversion.
	* src/jpilot.c: use conv_codeset_strdup() instead of
	  conv_sjistodisp().

2005-01-26

	* src/compose.c
	  src/folder.c
	  src/prefs.c
	  src/codeconv.[ch]
	  src/imap.c
	  src/xml.c
	  src/addrbook.c
	  src/addrindex.c: added constant C_INTERNAL and CS_INTERNAL which
	  replace conv_get_internal_charset_str().

2005-01-25

	* src/inc.c: inc_finished(): removed warning when updating a
	  folder item while no folder is selected.

2005-01-25

	* src/gtkutils.[ch]: gtkut_get_default_font_desc(): returns default
	  font_desc.
	* src/prefs_common.[ch]
	  src/defs.h: removed unused font configs.
	* src/textview.c: use default font for headers.
	* src/headerview.c
	  src/folderview.c: generate bold font from normal font.
	* src/summaryview.c: generate bold and small font from normal font.

2005-01-24

	* src/alertpanel.c: alertpanel_create(): generate title font from
	  normal font.

2005-01-24

	* src/pop.c: pop3_get_uidl_table(): removed the old code for
	  migration.
	* src/main.c: migrate_old_config(): also migrate sylpheedrc, and
	  check the existence of source files.
	* src/prefs_common.c: changed the font setting name for migration.
	* src/defs.h: added UIDL_DIR, and changed the default font.

2005-01-24

	* src/compose.c
	  src/addressbook.c
	  src/messageview.c
	  src/mimeview.c
	  src/select-keys.c
	  src/sigstatus.c: use GTK stock button for button set.
	* src/passphrase.c: improved the passphrase dialog.

2005-01-24

	* src/alertpanel.c: use GTK stock icon instead of pixmap.
	* src/pixmaps/stock_dialog_*_48.xpm: removed.

2005-01-24

	* src/grouplistdialog.c: replaced fnmatch() with g_pattern_match_*().

2005-01-24

	* src/prefs_display_header.c
	  src/action.c
	  src/grouplistdialog.c
	  src/textview.c
	  src/editbook.c
	  src/editgroup.c
	  src/importldif.c
	  src/summary_search.c
	  src/message_search.c
	  src/select-keys.c
	  src/editjpilot.c
	  src/export.c
	  src/editaddress.c
	  src/addressadd.c
	  src/editldap_basedn.c
	  src/prefs_summary_column.c
	  src/import.c
	  src/prefs_filter_edit.c
	  src/editvcard.c
	  src/prefs_customheader.c
	  src/editldap.c
	  src/sigstatus.c: use GTK stock button for button set.

2005-01-24

	* src/compose.c
	  src/inc.c
	  src/prefs_actions.c
	  src/prefs.c
	  src/progressdialog.c
	  src/account.c
	  src/prefs_template.c
	  src/foldersel.c
	  src/main.c
	  src/alertpanel.c
	  src/inputdialog.c
	  src/prefs_common.c
	  src/summaryview.c
	  src/about.c
	  src/mainwindow.c
	  src/prefs_filter.c: use GTK stock button for button set.
	* src/gtkutils.[ch]: gtkut_stock_button_set_create(): added.

2005-01-21

	* src/gtkshruler.c: use PangoLayout instead of GdkFont (thanks to
	  Alfons).

2005-01-21

	* src/colorlabel.c: removed include of gdk/gdkx.h.
	* src/compose.c: compose_connect_changed_callbacks(): fixed a typo.
	* src/codeconv.[ch]: added conv_utf8todisp().
	* src/sourcewindow.c: source_window_append()
	  src/textview.c: textview_write_line(), textview_write_link()
	  src/unmime.c: unmime_header()
	  src/html.c: html_read_line(): assume the encoding of source
	  string is UTF-8 instead of locale encoding.

2005-01-20

	* src/codeconv.[ch]: conv_copy_dir(): copy directory contents with
	  code conversion.
	* src/main.c: migrate_old_config(): migrate templates.

2005-01-20

	* src/action.c: convert locale strings to UTF-8 before displaying
	  it (thanks to Alfons).

2005-01-20

	* src/statusbar.c
	  src/summaryview.c
	  src/setup.c
	  src/folderview.c
	  src/mainwindow.[ch]: restored the resize grip of the main
	  statusbar with its proper position (thanks to Yoichi Imai).

2005-01-20

	* src/jpilot.c: fixed Japanese code conversion.

2005-01-19

	* src/compose.c: compose_insert_sig(): fixed broken signature
	  replacement.

2005-01-19

	* src/mh.c
	  src/utils.c
	  src/procmsg.c: ignore 0-numbered message file. Don't use symbol
	  'fileno' used in stdio.h.
	* src/messageview.c: messageview_show(): check if
	  procmsg_msginfo_get_full_info() succeeds (fixes crash when
	  opening 0-numbered message) (thanks to WAKAI Kazunao).

2005-01-19

	* src/summaryview.c: summary_reply(): fixed a bug that didn't
	  correctly get text selection.

2005-01-12

	* Ported to GTK+-2.4 (based on Ashie's sylpheed-gtk2).
